Welcome to Help

Fibotrader Help

This help is designed to assist you with all questions concerning Fibotrader and QuoteMan.

Use the books on the left to navigate through the help! Get a quick chapter overview by clicking directly on the book.


Release notes

Nearly a year has passed since the last major release. This time has been used to implement several hundreds of customer requests, improve the usability of the software and extend the underlying technical foundation.

The most eye-catching change is the redesigned user interface. The explorer has been replaced by a toolbar as the main application, which consumes less space and offers quick access to all major functions. At the same time it has been integrated into the chart to allow switching symbols quickly without opening additional windows. Many functions should be more accessible and better grouped as before.

A majority of the new functions concerns the chart windows as well as the charting technology and trading signals. Many often requested details have been integrated. These are for example the display of the last update time, individual colors for Fibonacci levels, individual decimal places, improved export, extended possibilities for strategy development and analysis as well as an increase in overall performance.

In addition there have been improvements to nearly all modules. The chart gallery and list are more powerful, CRB/Pro files can be read, the use of bis. data has been greatly improved and a speed assistant helps to prevent problems and many more.

We hope this new version will help you even better to be a successful trader. We are looking forward to your feedback and suggestions.

Your team from www.Fibotrader.com


Introduction

Fibotrader assists you with all your questions concerning securities. Many powerful tools offer both beginners and professional investors various opportunities for chart and portfolio analysis. Build, test and optimize your custom trading strategies including stops and profit targets. You can even create your own indices and have them update periodically.

Benefit from the wide range of supported Data Providers or from free quotes over the internet and teletext. View automatic updates through Realtime push data streams in all modules including charts.

The assistant as well as the extensive and substantial help will answer most of your questions. If you encounter problems which cannot be solved, you get quick and professional help via E-Mail!

The development of Fibotrader is a ongoing process. The AutoUpdate Function allows you to update Fibotrader automatically.


Installation

Notice: All data in the chosen folder will be deleted during the installation. Please save your data from previous versions if you want to continue using it! In order to backup your data, it is enough to copy the complete data directory to a new destination outside the program directory. After installation, copy it back into the new directory to continue using your old data. It might be necessary to start with the /reinit command line parameter to convert the database to the new version in case you experience strange behaviour.

If you own the CD version of Fibotrader, the installation will start automatically after inserting the CD into the drive. Otherwise start Setup.exe in your Windows Explorer.

We use the newest and most modern installation- and deinstallation technology available in order to ensure that you have no problems with the software. In addition, our own pre-installation program ensures a smooth procedure during the installation and deinstallation.

1. The Installation is being prepared

Just wait for the next screen.

2. Welcome

Choose Continue to go on.

3. License

Accept the license terms and press Continue.

4. Destination Folder

Choose a folder or just leave it to the default folder. Data in this folder will be deleted. Acknowledge with Continue.

5. Ready to Install

If you click Install, the program will be installed on your computer. If the install wizard completed click 'Finish'. You can start the program right now by having 'Launch the program' checked or by clicking the icon on your desktop or in the Start -> Programs menu.


Trading Basics - An Introduction

The following chapters are small introductions to the stock market. They should be read in order, beginning with the general topics and followed by the more detailed introductions to the analysis of stocks.


What is the Stock Market

Companies need large financial resources to achieve their goals. The Stock or Securities Market gives them the opportunity to obtain these resources. The Investor has the chance to acquire shares of a company.

In return the investor can benefit from the future development of the company. If the company is successful, the investment can gain in value and be of higher value from what the investor invested. Additionally the investor participates in a profit of the company, which is distributed annually. This distributed profit is called a dividend. Dividends do not have to be distributed though.

Many people became rich by trading stocks, but also many people lost everything. Therefore, bear in mind that companies are not always successful and that you could loose the money invested.


Who trades at the stock market

For many people trading stocks has become a way to earn a living. There are many different groups of investors. Private investors have only a small influence on the chart-development of the stock, while bigger institutional investors like fonds have several billion dollars to their disposal with which stock prices can be altered easily.


How is a quote generated

The quote is the price for a certain stock, which defines for how much money one stock can be bought or sold. Volatile stocks change their price all the time while small-caps sometimes don't change at all. The price is the result of the law of supply and demand. If more investors want to buy a stock than people who want to sell it, the price increases and vice versa.

The quote or price is not to be mistaken as the real value of a company. There have been times at which for example some internet companies had a higher value as traditional brands such as car manufacturers. The quote or price is the value which investors assign to the company.

There are different kinds of quotes, which refer to different points in time. The first quote of the day is called opening price. During the day there are Intraday quotes and the last quote of the day is the closing price. Furthermore, there is the lowest and the highest price.


Security types

Worldwide there are hundreds of thousands of securities traded at over 100 stock exchanges in different currencies with different characteristics. They have different levels of risk. The most common ones include:

Stocks/Shares - Part of a company
A form of security representing a portion of the nominal capital of a company. It entitles the owner to a proportion of distributed profits (dividend) and to vote at General Meetings. The purchase of stocks is a way to invest money by hoping that it can be sold at a later date at a higher price. For long term investors the dividend can also be a source of benefit.

Investment Funds - Professional Stock Management
Funds are being managed by professional traders who make the decisions which securities to choose. The assets are managed by the fund's management for the account of the investors. Depending on the type of investment fund, the assets may be invested in securities, money market instruments or in real estate. It is either a one time investment or can be paid monthly. Funds are good for unexperienced long term investors.

Bond issue - Fixed Interest
Medium- to long-term securities issued by different institutions during a specified period as a means of raising capital. Bond issues are being sold at a exercise price with a fixed-interest. At final maturity the exercise price is being paid back plus the fixed-interest. Bond issues contain a certain risk such that some bonds (usually with unusual high interest) are not being paid back.

Warrants - Option Trading
Type of security, usually issued together with a bond or preferred stock, entitling the holder to buy a proportionate amount of common stock at a specified price for a period of years. Warrants are being issued by different companies (Emittents) equipped with individual characteristics. Originally, this type of security was developed to secure prices for contractors. Nowadays it is used to bet on the development of a stock price.


Investment options

You don't necessarily have to become active yourself to earn money at the stock market. The easiest way is to invest money in a fond. A fond is being managed by professional stock traders, who decide which stock to buy or sell. Another advantage is that you can start with a low amount of money. A disadvantage is that you cannot use your own ideas, if you see a chance to make money.

If you have the time and knowledge, you should get involved in stock trading.


How to start

At first you have to choose a bank over which you can trade at the stock market. A depot at a arbitrary bank is a requirement for trading stocks. If you have experience and don't need advice, Internet based banks are best. They do not over any kind of advisory service but offer usually lower fees.

Pay attention to the different fees. There is not only the annual depot fee but also transaction fees for every trade you make. The transaction fees are the main cost factor if you trade often and should be as low as possible.

If all the paper work is done, get the necessary information how to trade. Even though telephone or fax trading is possible, it is highly recommended to use the internet to order stocks. If you now buy stocks, you are a shareholder of the company.


What is an Index

The share index is the average price of different shares. In Germany the most commonly used equity price index is the DAX, in the US it is the DOW. The DAX contains 30 of the biggest German companies and indicates the trend of the stock market.

There are many different indices for certain branches or services.


Golden Rules for Successful Trading

For successful trading the following rules should be considered.

1. Your depot should be composed of 5 to 10 different stocks

To limit the risk, your money should be spread into different investments. Choose stocks from different companies in different branches and countries. With this diversified portfolio, your investment will depend less on a certain economic development and you will have the chance to compensate for possible a loss.

2. Don't use leverage

Only invest money that is your own! In case of a heavy decline in prices you could get easily get a shortage in liquidity if you trade on a loan. This might cause problems with your bank. When people go broke, it's almost always because they were operating with borrowed money. If you handle all your business and investment affairs on a cash basis, there's practically no chance you could lose everything no matter what might happen in the world.

3. Your stocks should come from different branches and if possible from different countries

This rule belongs to the diversification rule, as described under 1. If you have chosen 5 to 10 different securities to invest in, make sure that they belong to different branches and if possible that they are traded in different countries. This diversification limits the risk if one branch under performs. Also you are protected from political developments in one country, if you own securities in more than one country.

4. Cut your losses and let your profits ride

This is one of the most important rules and the essence of good investing. Never let your losses run. The basic failing of most speculators is that they put a limit on their profits and no limit on their losses. A man hates to admit he's wrong. Therefore, an individual will often let his loss ride, becoming larger and larger in hopes that eventually the market will turn around and prove him correct. Then after a while, he begins hoping for a small loss and gives up hoping for a profit. Human nature also dictates that an individual wants to take his profit right away and thus prove himself correct. There is an old saying, "You never go broke taking a small profit." But you'll certainly never get rich that way. Being satisfied with small profits is the wrong mental approach for making money in speculation. If you are correct when entering a speculative situation, you will know it almost immediately and will show a profit quickly. However, if you are wrong, you will show a loss and you should remove yourself from the situation quickly. Taking a small loss does not necessarily mean you were wrong in your thinking. It simply means that your timing was perhaps incorrect and that you should wait for the correct timing and situation to allow you to reenter the market. Remember, in any speculative situation, the market is the final judge. An individual must let the market tell him when he is wrong and when he is right. If you show a profit, ride it until the market turns around and tells you that you are no longer right, and, at that time, you should get out...but not before! The easiest way to limit a loss and to ensure a profit is to set up a stop-loss-limit, which will automatically sell, if the limit is reached.

5. Adjust your strategy to the market situation

This rule follows the rule about setting up stops. As soon as a limit is reached, have a look at the market situation and reinvest if there is a consolidation in prices. Adjust your strategy to the psychology of the market as explained in 7.

6. Invest long-term

The only way to seriously earn money by trading stocks is to invest long term. This is one of the rules of Andre Kostolany, the well known stock market guru, who was very successful obeying this rule.

7. Don't follow the crowd

Buy when people are selling and vice versa. Each person is unique, so is their trading style. Remember when people are selling in panic, it is someone else’s buying opportunity. For example, during a bear market (falling prices), many investors panic and sell their stocks, while during bull markets (rising prices) everybody is crazy about stocks and the important fundamentals are forgotten. Psychology is very important in stock trading. Trade anti-cyclical, buy at the end of bear markets and sell before a bull market ends. To find the right timing is the key. People who buy too early often find that they have large losses. Those who have a little patience, and know the safest time to buy, can build large positions at comparatively low prices with a very high degree of safety.

8. Buy stocks from growing branches, which have a good market position

Invest only in top companies, who are leaders in their branches and performed well over the last years. Try to invest in branches which promise to grow in the future. Biotechnology and the pharmaceutical industry are for example interesting branches.

9. Invest only a small amount of your fortune into risky investments

If you want to maximize your gains, you also have to limit your losses. This is not only done by setting up stops, but also buy only investing a small amount of money into very risky investments like warrants. Also many stocks from new branches such as the internet or biotechnology carry a high risk. Many investors have lost huge sums by putting too much money in those sectors. The trader who wants to make money seriously should do everything to limit his risk of losing money!


How to use stops

Before buying a stock, assess how much money you are willing to risk. If the price falls below your limit, sell! It is a common mistake to hope on better prices or buying even more stocks, because now they are "cheaper". Greed and hope are the biggest enemies to the trader.

The following table is supposed to clarify how much a price has to rise to compensate for a loss.

Loss in % | Necessary gains in %
10 | 11,1
20 | 25,0
30 | 42,9
40 | 66,7
50 | 100,0
60 | 150,0
70 | 233,3
80 | 400,0
90 | 900,6


Help & Tutorials

Quick help (FAQ)

A lot of questions our support team has to answer are basically the same. In this section you find a list of the frequently asked questions and their answers. If your questions is not listed here, please contact our technical support.


Preface

Fibotrader assists you with all your questions concerning securities. Many powerful tools offer both beginners and professional investors various opportunities for chart and portfolio analysis. Build, test and optimize your custom trading strategies including stops and profit targets. You can even create your own indices and have them update periodically.

Benefit from the wide range of supported Data Providers or from free quotes over the internet. View automatic updates through Realtime push data streams in all modules including charts.

The extensive and substantial help will answer most of your questions. If you encounter problems which cannot be solved, you get quick and professional help via E-Mail!

The development of Fibotrader is a ongoing process. The AutoUpdate Function allows you to update Fibotrader automatically.


Introduction

With Fibotrader you have a trading program which will help you in almost all parts of security management.

This introduction will give you an overview of the basic functions of the involved programs and inform you about the approach and different solutions for your tasks and fields of interest.

First step: Data administration


Data administration

Fibotrader offers a wide selection of data sources which is continuously enlarged.
You reach it via Toolbar / icon Data management / Data sources.

Within the data source overview the desired source can be selected.

.

Next step: The Toolbar


The Toolbar

The Toolbar contains the important core functions of this program. Here you can organize symbols and portfolios, as well as call the different modules and functions by clicking the icons.

You can configure the available icons by right-clicking the Toolbar and opening the Toolbar administration.

The functions from left to the right:

1. Close program

2. View mode: Here you can dock the Toolbar to the upper screen border or minimize or hide it temporarily. Additionally you can hide all open windows except the Toolbar to quickly access the desktop. This function is also available by right-clicking the eye.

3. Help

4. Preferences

5. Tools / Program modules

6. Data administration

7. Windows

8. Search

9. Chart

10. Start search or open search window

11. Folders (managed by yourself)

12. Catalogs (provided by the data vendor)

13. List module

14. Advisor

Next step: Securities management


Security filing

Securities management

The Symbol folders module in the Fibotrader explorer already contains the example folders DAX 30 and Dow Jones with EOD Data. You can create an unlimited number of folders and sub-folders. These can then contain your symbols.

Right click the module 'Symbol folders' within the explorer and choose 'New folder...' Enter a name and confirm. The folder is added.

You can add symbols to this folder by right clicking it. The options menu opens. Now select 'Add symbol', the search mask will be opened.

Enter a search word, start the search and select a hit. Click the button OK. The selected symbol is now copied to the new folder.

You also can copy symbols from other folders using two ways:
Choose the desired symbol and drag it into the new folder using the mouse. When you release the left mouse button a copy will be created in the folder.

Or right click the desired symbol and choose 'Copy to clipboard' (Alternative: Press F11). The clipboard window opens and shows the current content. You can copy more symbols or even folders to the clipboard the same way.

Now finish the process by right clicking the new folder and selecting 'Insert from clipboard'(Alternative: Press F12). All values from the clipboard are now copied to this folder.

Next step: Chart window structure


Chart window structure

The chart window consists of three main components. In the middle is the big charting area, on the left the explorer and on the right the object tree where all the configuration can be done. There are vertical dividing buttons between the explorer, the object tree and the actual chart, which allows to show and hide the individual parts.

If you select an object in the object tree the configuration options of this object will be shown below. Here you can find e.g. the 'Appearance' options with the available chart types.

Next step: Adding an indicator


Adding an indicator

Indicators can be added by right clicking an object in the object tree or by pushing the Add indicator button from the chart toolbar. A window opens showing all available indicators.

After selection of the desired indicator it will be calculated and shown in the chart.

Next step: Chart drawings


Chart drawings

The chart module offers a wide variety of tools which allow to draw directly in the chart. These tools can also create signals in a lot of cases. From the draw tools menu you can choose the tool you want. In the chart window, press and hold the left mouse button, to start drawing. Release it, when done.

Drawings will be highlighted when moving the mouse above them. A couple of little circles will appear, which allow to modify, e.g. move, the drawing. Pressing the right mouse button on a highlighted drawing brings up a menu which shows additional options. To delete drawings either use this menu or press the delete key.

Drawings like the Phi-Ellipse have different adjustment options. These can be edited by right clicking the drawing or within the left configuration area by selecting the drawing in the object tree.

Next step: Save chart templates


Save chart templates

Saving chart templates

The current chart configuration can be stored for later use by using chart templates. Within a template all indicators, parameters and preferences are saved.

A template can be easily loaded with a single mouse click.

Next step:Trading signals


Trading signals

Many indicators can create trading signals. These represent buy and sell moments which are shown by green and red markings. If the mouse cursor is moved over a signal a dialog showing detail information appears.

The signal presentation can be configured for each indicator. Select the indicator in the object tree and change to the 'Signals' tab sheet. Here all signals can be (de-)activated. All signals from sub windows are always shown in the main chart and there combined.

In the lower right corner of the chart the result achieved with the current strategy is shown. This contains profit / loss as well as the number of trades. Details of the calculation can be configured in backtesting sets in the Signals / Backtesting / Manage menu. Here the calculation of short signals is controlled as well as the preferences for position sizes and transaction costs.

There are different stop systems available. These are automatically processed after the indicator calculation. There for it is often useful to deactivate the indicators signals.

By right clicking at 'Stop system' you can add stop systems and profit targets.

Stops generate cover signals which are marked yellow within the chart.

Additionally to the short summary of the strategy results you can request a detailed evaluation. This can be done in the meno Signals / Results.

The evaluation is divided into three parts: Reports show the important facts in compressed form, the signal list shows all signals of the current strategy with detailed information and the graphical analysis offers a fast overview over the evolution of the equity chart and the profit / loss relation.

Next step: Optimization


Optimization

The optimization tries to change the parameters of all indicators in the chart that way historical the maximized profit would have been reached.

The optimization is started in the menu Signals / Optimize.

Fibotrader automatically offers limits within which an optimization makes sense. These limits can be adjusted in the 'Optimization parameters' tab sheet. All indicators and their parameters contained in the current template are listed here. For each parameter a start value, step width and end value can be set. In the lower part of this window the complete step count is shown. By clicking Start optimization the process is activated.

After the optimization is finished the evaluation shows each tested parameter combination with reached profit, number of trades and drawdown. This view is already filtered.

The filter preferences can be configured by selecting Optimization / Preferences. Here the minimum number of trades per year and other limits can be defined.

The best result is automatically marked green and loaded into the chart.

Next step: Using lists


Using lists

Lists are a useful tool giving a fast overview. Quotes and also the state of trading systems and their current signals can be watched.

A new list column can be added by right clicking the head row. The selection of available columns appears.

Next step: Create a portfolio


Create a portfolio

Fibotrader allows to handle virtual papertrade portfolios. Right click on 'Portfolio management' in the Explorers object tree and choose 'New papertrade portfolio...' You can use an unlimited number of portfolios.

An input dialog opens, requiring to enter a name. Enter a name, optionally you can add other data like owner and bank. Finish by clicking OK.

The portfolio is now created and you can book transactions. An initial transaction has been made to have some money available in the virtual portfolio.

Next step: Portfolio management


Portfolio management

A detailed view of the portfolio with different evaluations offers the portfolio manager. Right click a portfolio and choose 'Portfolio manager'.

Here you can find the possibility to book different transactions. The order is not relevant because entries are automatically sorted by date.

Next step: Buying securities


Buying securities

There are different possibilities to buy securities. To buy and sell securities you need a portfolio. If you haven't created a portfolio yet, proceed with creating a portfolio.

  • Right click on your portfolio in the Fibotrader Explorer
  • Select Portfolio manager
  • Click on Transaction, then New, and select Buy/sell stock
  • Select the security and enter the amount you want to buy/sell
  • Acknowledge with OK

Another way to buy a security is to select and drag & drop it into your portfolio. Or just right click on the security and select Buy.

Next step: Introduction to QuoteMan


Get current quotes

After the first start of QuoteMan you should start a data update. This can be done in Fibotrader by selecting Update data from the Data menu. The pre-selected data vendor is most often the free (delayed) internet service. You will be asked to select the catalogs to download.

After you chose these the download is started. You can open task manager from the 'Tools' Menu to watch the current state of the download. There are three progress bars in the QuoteMan main window. When the Intraday download is finished the missing historical data will be loaded. This process can be followed in the history assistant which can also be found in the 'Tools' menu.

The automatic download of Intraday data can be configured in the 'Data' menu by selecting 'Update automatically...' Here the interval can be chosen or deactivated.

In QuoteMan select Program / Preferences / Internet download. A list of available indices opens which can be selected by setting the checkboxes. Select only the indices you're interested in. The next update will simply ignore the not selected data.

Next step: Security management


Security administration

Securities administration

The securities administration can be found in the 'Tools' menu. Here you can change quotes manually, alter fundamental data, perform splits and much more.

Next step: ASCII file import


ASCII File Import

You can import price data easily from ASCII files with the import assistant of QuoteMan. This can be done in the menu Data / Import. Here select the file which contains the quotes and the target symbol. The data format is most often automatically recognized.

In most cases the recognition works flawless, beside that always check the result in the 'Fields' tab sheet to exclude mistakes.

Next step: Creating signal conditions (for professionals)


Professionals: Creating signal conditions

You can combine multiple indicators to one signal condition. Buy, sell, cover and signal filter conditions can be created.

Create a new signal condition by right clicking at 'Signal conditions'. The Strategy assistant allows to define the desired combination of indicator values, signals and quote data. Afterwards the new condition can be edited In the tab sheet Parameters, based on the integrated script language.

Next step: Creating custom indicators (for professionals)


Professionals: Creating custom indicators

In Fibotrader you can create you own indicators by right-clicking the symbol in the object tree and choosing 'Create new indicator...'. This way you can first enter a name for this new indicator.

After confirmation of the dialog the script assistant opens. Here the new script code can be added.

By using the integrated script language you can use all implemented functions and add you own. The most indicators are available as source code and give a helping hand at first questions.


... add securities, which are not in the catalog

If you do not use a professional data subscription like Lenz + Partner which includes almost 100.000 securities, you can manage any number of your own securities.

  • Start QuoteMan
  • Select Manual stock administration in the Tools menu
  • Press the New button in the Stock management menu, and add the name of the new security
  • The security has now been added and you can insert the securities data


... deinstall the program?

To deinstall the software go to the windows control panel and select software. In the list which appears there will be an entry for Fibotrader. Select change and then remove in the installation assistant.

Tip: If you choose remove instead of change some elements will not be deleted.


... optimize signal systems based on a intraday basis

... optimize signal systems based on an Intraday basis

  • The procedure to optimize signal systems based on a Intraday basis is almost the same as the optimization on a daily basis
  • The difference lies within the signal system
  • Select a resolution in the chart and activate the option Save resolution.
  • Save the signal system.
  • From now on it will be optimizes in the chosen resolution.


... send the log-files to the technical support?

Log-files are created when an error occurred. At the next start after the error a message will appear stating that logs have been activated. You can also activate them manually via command line or through the Help/maintenance menu.

The log-files will be saved in the program directory with the extension .log. They contain information about the activities which led to the problems. The technical support can simulate problems this way and solve issues faster.

With the log files activated try to recreate the error. Only then the support team will be able to see the cause of the problem. There will be three files with the extension .log in the Fibotrader directory. Please send these files via E-Mail to us.


... start programs with a parameter?

If you want to supply a parameter to the program you cannot just double-click on it or start it from the program menu:

  • Choose Start and then "Run..."
  • Click on "Browse..."
  • Navigate to the program directory (e.g. C:\Program files\FFC\WinPhiTech)
  • Double-click on the program file (.exe extension)
  • Add a space behind the text in the run screen
  • Add the parameter (/help shows a list of possible values) and start it


Access Paths

Below many help page topics you can see an access path, which explains where to find the module / function.

Example:

Located at: Fibotrader > Toolbar > icon Data management > Date sources

The first entry shows which program contains the function (Fibotrader / QuoteMan)

For Fibotrader the second entry names the window, within which the function can be found (Toolbar / Chart window / Explorer as part of the chart window or standalone window).

Afterwards follows a detailed path of menus and tab sheets to find the function.


Registration

Located at: Fibotrader > Toolbar > icon Preferences > License management

This software is completely free as long as just the ASCII import is needed. Registering this software allows you to update data from many other sources and to use the online services. The license key can be obtained online through our web site at www.fibotrader.com.

The Registration is done by selecting Help/Registration assistant from the help menu. Entering the user data and clicking Download license will install the obtained licenses. Included is the Fibotrader software, support and the unrestricted access to the weekly market letters of Robert Fischer. Visit our web page to find out about additional modules like advisors.

Unregistered users will only be able to use the manual ASCII import.


Data handling & Data vendors

Located at: Fibotrader > Toolbar > icon Data management > Date sources

There are several ways to obtain data. You can download free quotes from the internet, use professional data from well known data vendors or import existing data via ASCII import or interfaces to other software packages. For some data sources another program, QuoteMan, is started which will perform all operations in the background.

You choose a data source by going to the Program/Data source menu. QuoteMan can be started manually through the Program/Linked programs.

We put a lot of effort in making you independent from a single data vendor. Through this you have an alternative should your main provider be down. In this case, you can switch to another vendor and continue your analysis. Should your internet connection terminate, you can still use teletext or even enter data manually.

We distinguish between two types of data: Intraday data, which is collected during the day and End of Day data, which contains the opening, high, low and close of one single day. You can choose a different provider for each data type. This makes sense when you have a data provider for EOD quotes which offers very long historical data but no or insufficient Intraday data.

Some data vendors offer a catalog function. This is a very helpful tool. If available, there will be a new entry in the Fibotrader Explorer named Symbol catalogs. It is a much easier way to find and organize data. This way you do not have to hassle with data management and can concentrate on analysis.

Currently supported data sources:

  • ASCII file import
  • bis./Premium Trader
  • CSI
  • Custom Script import (e.g. Sentix, Aktienscout24, c't Geld Spezial MxM quotes...)
  • DP file import
  • Enter data manually
  • eSignal
  • Interactive Brokers
  • Internet (delayed, free)
  • Lenz + Partner data subscription
  • Market Maker
  • MetaStock
  • Sino
  • TaiPan/Database Engine interface
  • TaiPan Realtime interface
  • Teletext
  • Tenfore

Example: Selecting a data source

  • You can reach the data source selection via the context menu of the Data management icon in the Fibotrader Toolbar.

  • Within the data source overview the desired source can be selected.


ASCII data

The ASCII format is a special text file format, where price data is easily accessible line by line. There are several formats, which differ in the amount of data, date formats and separators between individual columns.

Example:

12/03/1990,83.17,83.17,83.17,83.17
12/04/1990,83.13,83.15,82.67,82.73

In this case, there are five columns separated by comma stating date, open, high, low and close.

This software supports two easy ways to read from ASCII data, either by importing it into the local database, or by reading it directly, without the need to import first.


ASCII file import

Located at: QuoteMan > menu Data > Import > ASCII File

The ASCII file import assistant helps to read text files into the local database. The format will be detected automatically in most cases. The only prerequisite is that the data is contained line by line.

The data needs to be linked to a symbol from the local database. If the data does not contain a symbol column, it can be set manually in the preferences tab. If this is not done, a symbol with the name of the file will be created and the data will be saved there.

It is possible to use wildcards in the file text box to import multiple files at once. Example: c:\temp\*.txt will import all files from the directory, assuming they all have the same format.

Example: Importing a CSV-file containing EOD-Data

  • Choose the menu data / import / ASCII file.

  • The dialog for selecting of the CSV-file and the security data appears. You can add the ticks to an existing security or create a new security in a folder. In this case the file name is used as name.

  • After selecting the file the automatic detection recognizes line breaks, column delimiters and can also interpret the file header as well as date and time formats. Furthermore it is capable of finding out, how many lines to skip at the beginning.
    Check the correct detection in the 'Fields' tab sheet.

  • The fields tab allows to assign fields to columns, which were not or incorrectly recognized. Clicking on the column name opens a list with all available fields.

  • After the configuration is done the import process is started by clicking the Start-button.


ASCII vendor

ASCII data directory

Located at: Fibotrader > Explorer > menu Program > Preferences > Data sources

The traditional way to read ASCII data is to import it into the local database. This has some disadvantages though. It is time consuming, can be slow and has to be repeated each time the ASCII file is updated. It is possible to skip this step completely.

In order to do this, there is a data vendor called ASCII. It allows to select directories, which contain ASCII files. Any format template from the ASCII import assistant can be used to adapt to custom file formats. The directories will be displayed as catalogs. In addition, as soon as a file is changed, the system recognizes this and updates the data automatically. This way, ASCII data can be streamed into the Fibotrader software from another program exporting ASCII.


BIS

bis./Premium Trader

Located at: Fibotrader > Toolbar > icon Data management > Date sources

Connects to an installed bis. or Premium Trader system through WBServer, TickServer and BTRDaten. EOD and ID data is supported as well as realtime push-news.

Attention: The slot for realtime data needs to be unlocked through the b.i.s. AG hotline. It can be configured through the data source preferences.

Link: www.bis.de


CSI

L ocated at: Fibotrader > Toolbar > icon Data management > Date sources

Connects to an installed CSI software and loads data from CSI. CSI is one of the biggest end of day data vendors with a huge database and in-depth future support.

Link: www.csidata.com


eSignal

L ocated at: Fibotrader > Toolbar > icon Data management > Date sources

Connects to an installed eSignal software and loads data from eSignal, which is one of the biggest data vendors and offers a big selection of stock market information.

Link: www.esignal.com


Interactive Brokers

Located at: Fibotrader > Toolbar > icon Data management > Date sources

Fibotrader is able to collect realtime updates from the Trader Work Station. For some symbols even historical data will be added automatically. For a list of supported historical symbols please see our website.

Link: www.interactivebrokers.com

How to configure your Interactive Brokers Trader Workstation to work with Fibotrader

1) Login to your Trader Workstation with your username and password. You can use either the standalone or browser based TWS.

2) In the ‘Configure’ Menu, choose the ‘API’ submenu and activate ‘Enable ActiveX and Socket Clients’ checkbox.

3) Only in case you changed the ‘Socket Port’ setting in your Trader Workstation, follow these additional steps:

1) Start Fibotrader

2) In the ‘Program’ menu, choose ‘Preferences’ and ‘Data sources’

3) Left-click on the Interactive Brokers Logo

4) In the appearing window, you can adjust the Fibotrader settings to your needs

5) Restart Fibotrader


Internet (delayed, free)

Located at: Fibotrader > Toolbar > icon Data management > Date sources

QuoteMan can download free quotes from the internet, which contain most of the major indices (DAX, MDax, SDax, Nemax, Dow Jones, Nasdaq...) free of charge. Historical data is available and will automatically be kept up to date. Catalogs are also supported.

This is the recommended method for free quote updates. It can be used all over the world since QuoteMan supports international settings and time zones.

You can choose which data to load by opening QuoteMan (double-clicking on the QuoteMan Icon in the systray). There in the Program/Preferences/Internet download dialog check the entries to download. With the next update the catalogs will be created and historical data will be downloaded by the history assistant.


Lenz + Partner data subscription

L ocated at: Fibotrader > Toolbar > icon Data management > Date sources

The German Lenz + Partner AG offers a variety of data subscriptions. QuoteMan can handle and update the EOD data. To perform an update, QuoteMan and the custom LP Online Manager is needed. Catalogs are supported. Before running this process the first time, the history CD should be imported.

Link: www.lp-software.de


Lenz + Partner daily updates

When updating Lenz + Partner data, a connection is established to their server and data is downloaded. Should several days be missing, they will be downloaded too so that gaps are closed automatically. During the day you can get 15 minute delayed data (Intraday Neartime).

You can watch the progress of the import by selecting Tools menu/Quote update.

The download of the quotes is done by an additional software from LP called the (Online Manager), which QuoteMan uses. As soon as the download is done, the update starts. The time needed depends on the size of your data subscription.

The update is done in these steps:

1. Preparation

2. Download

3. Import


Lenz + Partner History CD Import

Located at: QuoteMan > menu Data > Import > Lenz + Partner > History CD

After signing up with Lenz + Partner you receive a CD with historical quotes. The import of this CD is done by this assistant. Consider that importing these quotes takes a long time. On a Pentium 450 the import of all modules takes about five hours.

We recommend doing this import over night. We estimate 2.7 Gb of needed hard disk space for the complete import (Premium Plus subscription). The assistant deletes all portfolios and other references to symbols. We recommend to do this the first time you install the CD.


Lenz + Partner TPW Import

Located at: QuoteMan > menu Data > Import > Lenz + Partner > TPW File

The TPW format is a special backup format of Lenz + Partner. It is used from time to time when new modules are released and have to be installed. The process is the same as for the History CD.

Lenz + Partner History CD Import


Background information to the Lenz + Partner Import

During the import process the following actions are performed:

  • Downloading current quote data if necessary
  • Copying the data from the CD to the local hard disk
  • Expanding the data
  • Importing the data in the main database
  • Creating meta information about the data
  • Importing current quote data
  • Optimizing the database

The Lenz + Partner data format is totally different to our format. This conversion will take the longest time.


Requirements for Lenz + Partner subscription

QuoteMan supports the full Lenz + Partner data format. If you should be using TaiPan we recommend using the TaiPan link though. This way you do not need to import the History CD again. The following tips only apply to the import process without TaiPan.

The import of the History CD consumes a lot of time. On a modern computer this can take up to seven hours for a premium plus subscription. The basic subscription needs approximately two hours.

The update process for the last day takes around 20-30 minutes, for a blue chip subscription around 2 minutes. If you do not need all data you save time by not importing all catalogs. Updating Intraday data is very fast and only needs around 2 minutes.

The data needs approximately three Gigabytes on your hard drive for the Premium Plus subscription and one Gigabytes for the base subscription. You should also have one Gigabyte available for temporary operations.


Market Maker

Market Maker/Wiso Börse

L ocated at: Fibotrader > Toolbar > icon Data management > Date sources

Connects to an installed Market Maker or Wiso Börse software and loads EOD data. Data management is completely done by the German Market Maker company. This way no separate database is needed. Simple catalogs are supported.

Link: www.marketmaker.de

Link: www.buhl.de


MetaStock

Located at: Fibotrader > Toolbar > icon Data management > Date sources

MetaStock is a commonly used format for technical analysis. The directories will be shown as catalogs. There is an easy automatic search for MetaStock directories on your hard drive. You can access it in the Symbol catalogs where the entry Add directory is available. Double-click on the entry to open the assistant. There you can either select a single directory or perform a search across all hard drives.


Sino

Located at: Fibotrader > Toolbar > icon Data management > Date sources

Connects to an installed X-Trader Pro client to receive historical and Realtime push data.

Link: www.sino.de


TaiPan Realtime interface

L ocated at: Fibotrader > Toolbar > icon Data management > Date sources

Users of the excellent German software and data package TaiPan Realtime can use TaiPan Realtime data. Catalogs are supported and long EOD history can be ordered.

Link: www.lp-software.de


TaiPan/Database Engine interface

L ocated at: Fibotrader > Toolbar > icon Data management > Date sources

Users of the German software package TaiPan can use TaiPan data. This also applies to the TaiPan Database Engine which is available separately. Catalogs are supported.

Link: www.lp-software.de


Teletext import

Attention: The following pages are only available in German at this point of time!

Sie haben die Möglichkeit, Kurse aus dem Videotext mittels der Schnittstelle zu VTPlus zu importieren, welches mit WinTV Karten zusammenarbeitet. Der Pfad zu VTPlus sollte im Einstellungsdialog eingetragen sein (und wird auch automatisch ermittelt).

Ist VTPlus noch nicht gestartet, kann dies QuoteMan für Sie übernehmen und auch wieder beenden. Hinweis: VTPlus hat manchmal einen Fehler in der Initialisierung, wenn vorher noch kein TV Programm gestartet wurde und zeigt dann keinen Videotext an. Starten Sie in diesem Fall zuerst kurz Ihr TV Programm.

Die Funktionsweise des Imports ist wie folgt:

  • Videotextseite aufrufen
  • Maske erstellen
  • Beschreibung für einen Bereich erstellen (z.B. DAX 30)
  • Testlauf (eventuell Namen in Aliasliste speichern)
  • Eventuell nicht gefundene Namen in der Aliasliste Wertpapieren zuordnen

Fast allen Seiten im Videotext liegt ein Schema zugrunde, welches die Anordnung der Daten bestimmt. Das macht sich QuoteMan zunutze und stellt Ihnen Masken zur Verfügung. Diese Masken geben die Position und den Inhalt der Felder im Videotext an. Sie erstellen eine Maske einmal und können Sie dann aufgrund der Ähnlichkeit der Seiten auf einer Vielzahl von anderen Videotextseiten weiterverwenden.

Wenn Sie eine Maske erstellt haben, ordnen Sie diese einem ganzen Bereich von Seiten zu, beispielsweise den Seiten 214-218 mit den unterseiten 1 und 2. Außerdem geben Sie an, wie die Maske verschoben werden soll.

Die einzelnen Bereiche können Sie zu Sets zusammenfassen, um später nur die Daten zu aktualisieren, welche Sie auch wirklich interessieren.

Seiten, welche die WKN des Wertpapieres mit angeben, werden nach der Definition der Masken und Bereiche völlig automatisch eingelesen. Fehlt die WKN, so ist es zuerst noch notwendig, in der Aliasliste dem Namen, der im Videotext erscheint, eine WKN zuzuordnen. Im Testlauf werden Wertpapiere ohne WKN automatisch der Aliasliste hinzugefügt. Sie brauchen dann nur noch die leeren Einträge in der Liste zuzuordnen.

Durch diese allgemeine Definition ist es völlig unproblematisch, auf welcher Seite oder Unterseite sich ein Wertpapier tatsächlich befindet. Sie geben nur den Bereich ein, in welchem es auftauchen kann, und QuoteMan erledigt den Rest für Sie.

Achtung: Da im Videotext ab und zu Übertragungsfehler auftreten, sind die Daten nicht als zuverlässig anzusehen. Sorgen Sie für sehr gute Empfangsqualität Ihrer Fernsehanlage, um akzeptable Ergebnisse zu erhalten.

Maskenverwaltung
Maskenzuordnung
Set Manager
Aliasliste

Hinweise


Maskenverwaltung

Teletext Maskenverwaltung

Located at: QuoteMan > Menu Data > Teletext Manager

Masken können Sie sich wie Schablonen vorstellen, welche Sie beliebig über die Videotextseite bewegen können. Es werden alle Bereiche abgedeckt und nur bestimmte Felder freigelassen. Dort finden Sich dann wichtige Daten wie Kurs oder Volumen. Mit diesen Masken teilen Sie QuoteMan mit, wie er eine Videotextseite, welche für die Software ja nur aus einer Folge von Buchstaben besteht, korrekt einlesen soll.

Es gibt eine Reihe von Feldern, welche Sie zuweisen können. Es gibt dabei einige Schlüsselfelder. Nicht alle Felder müssen angegeben werden. Mindestanforderung ist aber entweder die WKN oder der Name. Wenn die WKN auf der Seite enthalten ist, sollten Sie dieser immer den Vorzug geben, da QuoteMan den Wert dann automatisch korrekt zuordnen kann. Wenn nur ein Name angegeben wird, ist das nicht so einfach möglich. Dazu müssen Sie den Namen einmal in die Aliasliste aufnehmen.

Sie verwalten die Masken über die Liste am oberen Bildschirmrand. Hier können Sie auch neue Masken erstellen. Danach erhalten Sie eine leere Liste. Wenn Sie Felder zuweisen möchten, markieren Sie diese mit der Maus im Videotextmanager. Es wird automatisch die Anzeige der aktuellen Maske aktualisiert. Wenn Sie die Markierung abgeschlossen haben, klicken Sie auf den Setzen Knopf des jeweiligen Feldes und die Zuweisung ist abgeschlossen. Setzen Sie außerdem das Häckchen am Anfang der Zeile, wenn der Wert in Zukunft eingelesen werden soll.


Maskenzuordnung

Teletext Maskenzuordnung

Located at: QuoteMan > Menu Data > Teletext Manager

Wenn Sie eine Maske erstellt haben, können Sie diese hier einem Bereich von Seiten zuordnen, welcher damit eingelesen werden kann. Außerdem können Sie festlegen, wie die Maske verschoben werden soll, um alle vorhandenen Daten zu erfassen.

Seiten festlegen
In diesem Feld können Sie festlegen, welche Seiten und Unterseiten eingelesen werden sollen. Dabei ist das Schema "Seite/Unterseite;Seite/Unterseite", also zuerst die Hauptseite, danach ein Schrägstrich (/) und darauf folgend die Unterseite.

Beispiel:

214/1
214/1;214/2;215/1;215/2

Sie können die Angaben auch zusammenfassen und damit verkürzen. Bei den Hauptseiten können Sie ein Minus (-) verwenden, um einen ganzen Bereich von Seiten anzugeben, beispielsweise 214-218. Damit werden alle Seiten (214, 215, 216, 217, 218) eingelesen. Bei Unterseiten können Sie diese Schreibweise auch verwenden, beispielsweise 214/1-2, und zusätzlich auch das Komma. Die Angaben 214-218/1-2 sind daher identisch mit 214-218/1,2. Mit dem Komma können Sie aber dafür bestimmte Unterseiten ausschließen, beispielsweise 214/1,2,5-8,10.

Maske verschieben
Auf einer Videotextseite sind meist mehrere Wertpapiere untergebracht und entweder in Zeilen oder in Spalten angeordnet. Sie können angeben, wieviele Zeilen oder Spalten eingelesen werden sollen und wie groß die Abstände dazwischen sind. Im Videotext Manager sehen Sie immer sofort eine grafische Rückmeldung und können das Ergebnis so schon im Vornherein kontrollieren.


Set Manager

Teletext Set Manager

Located at: QuoteMan > Menu Data > Teletext Manager

Wenn Sie die Bereiche im Videotext definiert haben, können Sie diese zu Gruppen (Sets) zusammenfassen. Dadurch haben Sie die Möglichkeit, nur ausgewählte Bereiche zu aktualisieren und damit Zeit zu sparen. Sie können im QuoteMan Menü Kursquellen/Einstellungen/Videotext festlegen, welches Set verwendet werden soll.


Aliasliste

Teletext Aliasliste

Located at: QuoteMan > Menu Data > Teletext Manager

Wertpapiere werden in der Datenbank mit der WKN identifiziert. Im Videotext ist diese WKN aber nicht immer angegeben, sondern nur der Name oder Teile des Namens. In diesem Fall kann QuoteMan diese Zuordnung nicht automatisch vornehmen. Der entsprechende Name wird aber automatisch in der Aliasliste gespeichert. Hier können Sie dann selbst bestimmen, unter welchem Wertpapier die Daten abgelegt werden sollen. Dies muss nur einmal geschehen.


Hinweise

Teletext Hinweise

Die Zuordnung der Wertpapiere erfolgt im Gegensatz zu allen anderen Teilen des Programms mittels der Wertpapierkennummer, damit die Definitionen nicht verloren gehen, wenn Sie einmal die Datenbank erneuern.


Tenfore

Located at: Fibotrader > Toolbar > icon Data management > Date sources

If you have a subscription to a Tenfore datafeed this datafeed can be used. There are two possibilities to connect depending on your Tenfore license:
  • through QuoteSpeed (ClientAPI)
  • directly with Tenfore server (ServerAPI)
Both versions offer the same functionality.

Link: www.tenfore.de


ASCII export

Located at: QuoteMan > menu Data > Export > ASCII Format

The ASCII export assistant supports you in selecting the desired format and data resolution as well as the count and order of the data fields.

Example: Exporting a security to a CSV-file

  • Select the menu Data / Export / ASCII Format.

  • Within the appearing dialog the desired security and the target file can be defined. Also the date range and the compression can be chosen.

  • In the tab sheet "Format" the data fields can be (de-)selected and the date format, time format and the separator can be configured.

  • Clicking the OK-button starts the export process.


QuoteMan export

Located at: QuoteMan > menu Data > Export > QuoteMan Format


Security administration

Securities administration

Located at: QuoteMan > Menu Tools > Security administration

All information for a specific security can be managed here. You can change fundamental data as well as price data.

Attention: In case you are using a Data vendor which supports catalogs, all changes are made automatically. It is not recommended to change anything here in this case.


Enter quotes

Entering quotes

Located at: QuoteMan > Menu Tools > Security administration

It is easy to enter quotes manually. In the Custom stock administration, click on New to open the custom data dialog. Navigate with the tabulator or the return key through the individual text fields. The content will be selected to allow easy overwriting.

Pressing return in the volume field, the data will be saved and the date will be set to the next trading day, or, if in Intraday mode, to the next 15 minute time interval. This allows you to immediately continue with the next quote.


Unnamed symbols

Located at: QuoteMan > Menu Tools > Security administration > Menu Symbol management > List of unnamed symbols

If QuoteMan, while updating from the internet or teletext, encounters symbols which are not yet contained in the database, it will add them and mark them as new. The name and the symbol will be the same in this case. Use the list of unnamed symbols from the Custom stock administration to easily load and rename them manually.


Artificial quote creation

Located at: QuoteMan > menu Data > Artificial quote creation

This module was created for internal use in the beginning. Over time, we realized that it makes a lot of sense to release it to all users. It allows you to simulate a steady flow of quotes for one or more symbols. This can help you to greatly enhance the test process for your strategies. You can freely experiment with this function, since all artificial quotes can easily be deleted by clicking the Delete all artificial quotes button.

This function is especially useful for testing trading strategies and their reaction to random scenarios. The charts created look extremely similar to real charts.


Data links

If you want to combine data from several data sources you create data links. They can also be used as a backup to store quote data from an external data vendor in he local database to use it when the main data vendor should not be available.

It is also possible to direct incoming price data to the local database. This will result in a significant speed up. Historical data will not be requested via internet but loaded directly from the local database. Intraday data will be added automatically.

This process can only in parts be done automatically. The reason for this are the different symbols the data vendors choose for the same stock. Microsoft from one vendor can have a totally different ID from another vendor and is therefore a different symbol for Fibotrader. Creating a data link solves this problem by linking both values which tells the system that MSFT is the same as MSFT.US for example. Right-click on a symbol and select Data link from the context menu to open the assistant.

Folders and catalogs also offer a data link option in the context menu. This allows you to link a whole list of symbols at once. Here you find the option to automatically scan for the link to a symbol. Internally a search is conducted and only if more than one possibility to link exists you get prompted to select one.

The typical steps for backing up an external data vendor in the local database are as follows:

  • Right-click on the folder or catalog you want to save and choose Data link

  • Let the automatic scan perform a search and ignore all symbols which were not found

  • After the search, let all symbols which were not found be created automatically

  • All symbols will have a link now

  • Switch to QuoteMan and open the Data/Save external data dialog

  • Select the folder or catalog you just linked and download the historical data, either EOD or Intraday or both, this may take a while

  • If you want to save Realtime updates, activate the module to collect and save all ticks

  • Your local database will now contain the same data

Attention: This module is currently under construction to simplify this process and will be available in an improved way in future versions.


Realtime data

All modules displaying quotes can do this in Realtime. This is available for:

  • Charts
  • Portfolios
  • Lists
  • Symbol details
  • Explorer
  • Ticker
  • Watch lists
  • Custom indices

The updates are done automatically. Currently, the TaiPan Realtime, Sino, Interactive Brokers, Tenfore and eSignal support the push method, which sends data to the application as soon as it is available. All other vendors use the pull method, which requires Fibotrader to actively request, if there is new data available. QuoteMan is not needed for push data, since all management is done by Fibotrader.

As soon as you select a symbol or create a list, the data is registered for the Realtime push data stream. You can view the list of currently registered symbols in the Realtime monitor, which you find in the Tools/Monitors menu.

Loading charts sometimes takes a little while, since the interface to the data vendor cannot be influenced by us. Once loaded, data will be show in Realtime. The data is buffered internally and will be available instantly for any consecutive calls.

Attention: In TaiPan RT mode, the message "Server busy" can appear when loading big blocks of data. Click on retry in this case.


Charts, Signals and Optimization

Charts show the historical development of a security. Fibotrader supports the analysis process with a wide variety of tools. A chart can be opened by either double-clicking on the name of the security in the Fibotrader explorer or by dragging it into the chart window. The chart will be updated automatically, as soon as price updates are available.

This software makes it very easy to develop custom trading strategy which can also be tested and optimized on historical data. You design your strategy in the chart window. This way, you get instant visual feedback on how the system performs in certain situations. The most simple system is probably a single moving average. You can, on the other hand, create far more complex systems, which consider a wide variety of key issues and generate exactly those signals you want.


The chart window

Chart window

The chart window consists of three main components. On the right side the object tree is situated, which shows all objects contained in the chart. There all preferences can be adjusted.

There is a vertical dividing button between the object tree and the actual chart, which allows to resize, hide or show the whole object tree.

The middle area contains the chart, indicators and drawings. On the left side you can find the Explorer. He can be resized, shown or hidden with the dividing button.


The object tree

The object tree contains all elements which are shown in the chart window. Depending on the entry chosen, different preferences will be available. The hierarchy (except for drawings) is as follows:

  • Signal conditions
  • Buy condition 1
  • Buy condition N
  • Sell condition N
  • Cover condition N
  • Entry rules
  • Entry rule 1
  • Entry rule N
  • Stop systems
  • Stop system 1
  • Stop system N
  • Chart 1
  • Base
    • Indicator 1
    • Indicator N
      • Sub indicator 1
      • Sub indicator N
  • Chart 2
  • Base

When adding new entries, they inherit the basic properties of the last object created. When selecting an entry in the object tree, the parameters can be changes in the parameters box below. All changes will be shown automatically except for indicators, which need to be recalculated, by either pressing the recalculate button or the return key after having made the changes.

Position of drawings in the object tree


Chart resolutions

You can set the count and detail of the displayed data by selecting the appropriate entry from the drop down list using the icon Chart Resolution. Two values are important: The resolution, within which the data is loaded as well as in which interval backwards the data is loaded. Examples are 5 minutes for 1 week, 1 day for 5 years...

You can store multiple resolutions which are available later by one mouse click. The charts title bar always thows the current resolution.

You can set resolutions through direct input in the command line. The topic 'command line' contains more information about this.

days/weeks/months/years
The day resolution is the standard value. For this presentation the end of day data is uses and completed with the last intraday quote.

hours/minutes/seconds/ticks
This mode presents quote changes within one day if these data is available.

The data processing works as follows:

  • If only one data point exists in the chosen interval, it is shown normally.
  • If multiple data points exist within one resolution point. (e.g. multiple data points within one minute), the highest and lowest values are searched and used as high / low value of the final data point. The first and the last data point are the open and close values. The volume is added up within one data point.

Example: Adding a new chart resolution

  • Within the chart click on the chart resolutions symbol and select 'Manage resolutions...'.

  • The dialog to manage resolutions opens. Click New entry to create a new chart resolution.

  • Here all adjustments can be made. After this is done click OK.

  • The new resolution is shown in the list. Finish the creation by clicking Close.

  • You can now select and use your new chart resolution.


Chart properties

Additional chart windows can be created by using the Chart management menu and selecting Create new chart window. There is no limit to sub chart windows. Each chart window will contain the base symbol, which cannot be deleted (e.g. Microsoft). The size of the sub window can be changed by moving the horizontal separator between the chart windows. Each sub window has its own set of preferences. They can be accessed by selecting the appropriate chart entry in the object tree (e.g. Chart 1). The preferences section below the object tree will show the current settings.

Axis

In the Axis tab sheet you can adjust the axis presentation. Additional modules can be activated, like price volume chart, if provided by the data vendor also market depth, and the chart legend.

Background preferences

The background can be set to any color, gradient, color alternation or even to a picture. Pictures will be resized to fit the chart window. It should be considered that gradients take a little, pictures a lot of time to draw. For presentations this can be a nice feature though.

Color alternation shows different colors for odd and even periods. On an Intraday chart, hours will be marked for better navigation. On End of Day charts, weeks or months will be painted differently. In Point & Figure mode you can easily see the time period for each bar this way.

Scaling preferences

Linear and logarithmic scaling is supported. With logarithmic scaling, the distance between small values is bigger than between big values.

An important function here is the fixed axis ratio. If you often use round draw tools like the Phi ellipse you know that the intersection point with the quotes depend on the window size. This can be eliminated by using a fixed axis ratio. If you click the button within the edit field 'Ratio' the current view is fixed.


Object properties

Depending on the entry selected in the object tree, different preferences will be available. They can be accessed in the lower left corner of the chart.

Appearance

This pane contains all settings which modify the visible component of the entry, like the color. Also, the style can be set here to e.g. Candlestick or Point & Figure.

Parameters

Many indicators have parameters, which modify their behavior. The changes are made after clicking Update or pressing the Return key.

In addition, many drawings have parameters like fixed ratios, which can be modified here, too. Clicking on ratios with the right mouse button will bring up a menu to create custom ratios.

g

Signals

This view manages the signals which should be shown. Inverting signals switches buy and sell signals. This might result in interesting possibilities in down trends. Consider, that the graph needs to be recalculated, in order for the changes to take affect.

Most of the indicators generate buy and sell, but no cover signals. In a strategy, where you trade short signals, this can cause negative effects. If you actually want to cover a position instead of going short for this indicator, activate the option Sell->Cover. All sell signals will be changed to cover signals.


Navigating the chart

Navigating in the chart

The chart window is very dynamic and there are several ways to navigate in it. It can be moved, expanded, shrunken and zoomed. In addition, there is instant feedback about the current mouse position on the different axis.

Scaling

Charts in Fibotrader do have traditional scroll bars at the bottom of the chart. In addition, since charts are calculated in Realtime, the navigation offers more possibilities.

Moving the mouse over the axis (either time or price) causes the cursor to change. Holding down the left moue button and moving it changes the current chart window size. The arrow in both directions allows to pan the chart without changing the width or height.

Information about the chart

Right above the chart the open/high/low/close of the current bar will be displayed. Holding down the Shift key will create a popup window, which shows additional information. If there are indicators, information to those will also be shown. Holding down the CTRL key in addition will display even more information, including the volume and the current position of drawings. The control key will also extend the daily dividers on Intraday charts all the way to the bottom of the chart. This way you can easily differentiate between days.

Moving the mouse over a signal will show information about it, including profit/loss. If an R is displayed behind the signal date, the signal is redundant and does not have impact on the overall signal result.

Reference point of signals

To see which signal and price is used when calculating profits, you can move the mouse over the signal and press the CTRL key. A line will be drawn and connected to the signal it references. Also, if an entry rule has been applied, the original position of the signal can be shown this way.

Show current mouse position in all chart sub windows

Pressing the CTRL key will draw a vertical line through all chart sub windows at the current mouse position.

Zooming

You can zoom into areas of the chart by holding the right mouse button and drawing a rectangle around the area. Releasing the right mouse button zooms in, pressing it one time afterwards zooms out again. The zoom out function can be used several times to undo all zoom operations.

Additional possibilities

  • Double-clicking on any axis will fit the graph into the chart window.
  • Using the scroll wheel of your mouse you can contract and expand the time axis.


Browse several symbols

You can browse through a list of symbols easily by dragging folders or even portfolios into the chart window. All symbols will be shown in a list in the top left corner. You can switch between them by using the drop down menu.


Chart time span

Located at: Fibotrader > chart window > icon Time spans

Time spans are a helpful tool for quickly selecting certain areas in the chart. Custom time spans can easily be defined. Selecting a time span from the Time spans menu will cause the time axis to change to the specified period. They have nothing to do with the actual data loaded though (this is set in the chart preferences).

Example: Creating a custom time span

  • In the chart window click the arrow next to the calendar symbol an select 'Manage time spans'.

  • Within the appearing dialog you can select another time span or create a new one by clicking 'New entry'.

  • The new time span can now be configured, there can be defined spans of chart data or time periods. The entry bars is independent of the current data resolution. This way it is possible to define time periods, which work on Intraday as well as on End of Day charts.

  • Back in the administration dialog the new time span is shown in the list. Select it and click 'Close' to activate it now.


Drawing in the chart

Drawing in the chart is done by holding the left mouse button and moving mouse. The drawing is only visible in the sub chartwindow it was drawn in.

When holding the Shift key while drawing, the endpoint of the drawing will be connected to the nearest closing price. Pressing the Shift key before drawing it is also possible to over existing drawings (instead of manipulating it).

Draw tools can be selected in the Draw tools menu. In order to stop drawing at all, there is also a deactivate drawing option.

Signals

Some tools can generate signals. Most of the times, a buy signal is created when the close crosses the line from below and a sell signal when it crosses from above. Some tools like text do not generate signals, others obey additional rules like trend channels.

It should be considered that the signals depend on the scale mode of the chart. Linear scales generate different signals than logarithmic charts.

Normally the drawing will be placed under the base value (e.g. Microsoft) and signals will be generated depending on the quotes. If you want to calculate intersection points with indicators, deactivate the option "Put drawings under main graph" in the chart preferences. If done so, drawings will be put under the currently selected entry in the object tree.


Command line

The command line within the toolbar in the chart window is a useful instrument. Normally just the name of the current symbol is displayed here. But different commands can be entered here, which simplify the daily work. Each command must be submitted by hitting the Enter key.

Choose the start date

Through entering a date the start date can be set. The input format is yyyy-mm-dd. E.g. to load data since 1.1.2000, 2000-01-01 must be entered

Change the resolution

The chart resolution can be entered like DATA VOLUME@RESOLUTION.
Available time constants are:

  • t - tick

  • s - second

  • m - minute

  • h - hour

  • d - day

  • w - week

  • n - month

  • y - year

Examples:

  • 5d@5m - 5 days with 5 minutes resolution

  • 2y@1d - 2 years with 1 day resolution

  • 5m - 5 minutes resolution, the data interval is set by the global value in the chart preferences.

  • 2000-01-01@1w - weekly data since 1.1.2000


Axis Ratio

Fixed axis ratio

A problem of many analysis with round draw tools like the Phi ellipse is the point that the intersection points differ by the scaling of the chart window. In Fibotrader the possibility of fixing the current scaling and deactivate automatic scaling is implemented. This way analysis always stay consistent. This can be done by setting the fixed axis ratio in the chart scaling options.

Example: Setting a fixed axis ration in the current chart window

  • Choose the chart to fix from the object tree and select the tab sheet 'scaling'.

  • Here a custom ratio can be specified and be activated by clicking the checkbox 'Fixed axis ratio'. Or you can click on 'Current' to have the current ratio selected.

  • The chart will be scaled within the new ratio, deselecting the checkbox activates free scaling again.


Draw tools

Located at: Fibotrader > chart window > menu Draw Tools

The chart module offers a wide variety of tools which allow to draw directly in the chart. These tools can also create signals in a lot of cases. From the draw tools menu you can choose the tool you want. In the chart window, press and hold the left mouse button, to start drawing. Release it, when done.

Drawings will be highlighted, when moving the mouse above them. A couple of little circles will appear, which allow to modify, e.g. move, the drawing. Pressing the right mouse button on a highlighted drawing brings up a menu which shows additional options. To delete drawings either use this menu or press the delete key. The available draw tools include:

Line
Trend channel
Regression
Text
and many more

Fibonacci Tools

Some of the tools are based on the numbers and ratios of Fibonacci, a mathematician.


The Fibonacci numbers

The 1170 born mathematician Leonardo da Pisa - known as Fibonacci - discovered a sequence of numbers which repeats in many different areas of life.

The formula

Zn=Zn-1+Zn-2

results in the sequence:

0, 1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89, 144, 233...

The ratios of two consecutive numbers approaches Phi with 0.618. Using Phi, we get the following sequence:

Zn=Zn-1/Phi

0.618, 1, 1.618, 2.618, 4.237, 6.656, 11.093...


Line

Located at: Fibotrader > chart window > menu Draw Tools

Lines connect two points. There are two special forms, the horizontal line to identify resistance and support areas and the vertical line.

Buy signal: Price crosses from below
Sell signal: Price crosses from above


Phi Ellipse

Located at: Fibotrader > chart window > menu Draw Tools

The Phi-Ellipse is very different to the normal ellipse. It can be rotated freely and it has a fixed Phi-Ratio.

There are no signals generated.

For detailed and in-depth information about the Phi-Tools please refer to the books of Robert Fischer!


Phi Channel

Located at: Fibotrader > chart window > menu Draw Tools

Phi channels are drawn like normal trend channels. In addition on either side there are parallel lines in Phi-Ratios. The Phi ratios can be selected by either right clicking on the channel or through the object tree.

There are no signals generated.

For detailed and in-depth information about the Phi-Tools please refer to the books of Robert Fischer!


Fibonacci Arcs

Located at: Fibotrader > chart window > menu Draw Tools

Fibonacci arcs are drawn at fixed ratios on the base line. Through the parameters it is possible to also create a full circle instead of an arc.

There are no signals generated. The Fibonacci ratios can be selected by either right clicking on the Arcs or through the object tree.


Fibonacci Fanlines

Located at: Fibotrader > chart window > menu Draw Tools

Fibonacci Fanlines are similar to Speedlines. Fibonacci ratios are used to draw the lines.

There are no signals generated. The Fibonacci ratios can be selected by either right clicking on the Fanlines or through the object tree.


Fibonacci Retracements

Located at: Fibotrader > chart window > menu Draw Tools

Fibonacci Retracements show possible turning points in up or down trends. Following the Fibonacci philosophy, important points are the 38.2%, 50% and the 61.8% levels.

There are no signals generated. The Fibonacci ratios can be selected by either right clicking on the retracements or through the object tree.


Fibonacci Time Relations

Located at: Fibotrader > chart window > menu Draw Tools

Fibonacci Time Relations show possible turning points. The initial distance is multiplied with Phi ratios to determine future points.

There are no signals generated. The Fibonacci ratios can be selected by either right clicking on the drawing or through the object tree.


Fibonacci Time Zones

Located at: Fibotrader > chart window > menu Draw Tools

Fibonacci Time Zones show possible turning points. The sequence of the Fibonacci numbers is plotted into the future.

There are no signals generated.


Trend channel

Located at: Fibotrader > chart window > menu Draw Tools

The trend channel consists of a base line and a second parallel line. You can change the distance of the second line by using the little modifier at the end of it.

Buy signal: Price crosses upper line from below
Sell signal: Price crosses lower line from above


Regression

Linear Regression

Located at: Fibotrader > chart window > menu Draw Tools

The regression tries to draw a line in a chart in a way that it fits best in it (method of ordinary least squares). This shows the theoretical trend as the computer would recognize it.

The regression channel creates two additional lines, which form the channel. There are two modes: in normal mode, the system chooses a width which would touch the farthest point from the middle line and doubles it with the same distance below. Alternatively the standard deviation can be used. To set the number of standard deviations use the object tree preferences.

The signals of regression lines are created the same way as for normal lines. Regression channels obey the same rules like normal trend channels.


Text

Located at: Fibotrader > chart window > menu Draw Tools

Text allows you to annotate certain movements in the chart. You draw it the same way as the line. To change the text, select it in the object tree and go to preferences. There is a limit of 255 characters.

There are no signals generated.


Drawing Signals

If signals for drawings are activated, they are calculated between quotes and the drawing. They also can be calculated between drawings and indicators. This can be done using the following way:

  • Choose the indicator from the object tree which shall create the point of intersection.

  • Be sure that the "Put drawings always under main graph" in the chart window / menu Chart manager / Preferences / Chart is not set.

  • Draw the line.

  • The new line should be shown below the indicator in the object tree.

  • Now select the line within the tree and activate the desired signals in the signals tab sheet.


Indicators

Indicators can help in the process of making a buy or sell decision. There are a lot of different indicators with fixed interpretation. It is also possible to easily create custom indicators.

Indicators can either be drawn directly into the chart or they move around a center line, so called oscillators. Right-clicking on the base value in the object tree you can add indicators by selecting Add indicator. There is no limit to the number of indicators used in a single chart. Indicators can even be attached to indicators by right-clicking on an indicator and choosing Add indicator there.

The indicator window lists all available indicators. Entries marked with a star (*) are internal indicators and execute faster. In addition it is also possible to download indicators from the internet.

The preferences of the indicator are shown in the preferences section below the object tree. You can apply the changes you made by clicking on Update or pressing the return key.

Adding overlays

Overlays show how the base value performs compared to another symbol. The starting point is always the left border of the chart window. Indicators cannot be used on overlays.

Develop custom indicators


Indicator types

There are different types of indicators. A first division can be made for internal and external indicators. The moving average is an example for an internal indicator. The reason for this is speed. Although scripts are extremely fast, it makes sense to implement indicators, which are used very often, directly in the main program. External indicators are scripts, which are called each time the calculation is made.

Furthermore indicators can be distinguished by the graph they reference:

  • Using the graph right above (e.g. moving average)
  • Using several foundation indicators to create a new one (e.g. Crossover)
  • Creating only signals (e.g. Stop systems)
  • Changing signals (e.g. Entry rules)
  • Signal conditions
  • ...

Indicators can return a variety of results:

  • Draw new graphs
  • Generate signals
  • Draw objects (e.g. Trend lines)
  • Change the format (e.g. colors)
  • ...

If an indicator references other indicators, they will be shown under the Base entry in the object tree. They themselves refer to the entry above. The behaviour of the base depends on the indicator. Some indicators need a fixed amount of base graphs, which are created automatically and cannot be deleted. Others can use any number.


List of available indicators

_Testbedingung

Acc./Distr. Line

All Candlestick pattern
Recognizes important Candlestick patterns and generates the necessary signals.

All Point & Figure pattern
Recognizes important Point & Figure patterns and generates the necessary signals.

Aroon
The Aroon was developed by Tushar Chande, the oscillator will be high when the Aroon Up is high and the Aroon Down is low, indicating a strong upward trend. The Aroon Oscillator will be low when the Aroon Down is high and the Aroon Up is low, indicating a strong downward trend.

Ascending Triple Top
Recognizes Ascending Triple Top (3 ascending tops, 2 ascending bottoms) and sets buy signal.

Average Directional Mov. Index
Average Directional Index (ADX) was developed by J. Welles Wilder Jr. and as its name implies attempts to measure the strength of the direction the security is moving in.

Average True Range
The real bandwidth between High and Low und consideration of gaps. 0-no smoothing (TR), 1-X smoothing with X days (ATR).

Barros Swing
By Ramon Barros: The Barros Swing is a swing chart and like all swing charts identifies the trend of a specific timeframe. We all know that an uptrend is a series higher, highs and higher lows, a downtrend is a series of lower lows and lower highs, and a sideways trend is a series of about equal highs and equal lows. The trick is to differentiate the quarterly highs and lows from the monthly highs and lows and the monthly highs and lows from the weekly highs and lows etc. The Barros Swing is constructed using an algorithm that encompasses time and price. The yearly trend is seen using the 12-monthly swings, the quarterly trend is seen in the 13-week swings, the monthly trend distinguished by the 18-day swings and the weekly by the 5-day swings. The first setting, of any timeframe, need not be displayed e.g. for daily charts this is 3, for weekly charts this 4 and for monthly charts this is 3. The middle and final setting represent the trend of timeframe you want to display. For a full description read the Nature of Trends by Ray Barros, www.tradingsuccess.com

Bearish Belt-Hold
Recognizes important Candlestick patterns and generates the necessary signals.

Bearish Catapult
Recognizes Bearish Catapult (Triple Bottom + following Double Bottom) and sets sell signal.

Bearish Engulfing
Recognizes important Candlestick patterns and generates the necessary signals.

Bearish Signal
Recognizes Bearish Signal (2 descending bottoms + 3 descending Tops) and sets sell signal.

Bullish Belt Hold
Recognizes important Candlestick patterns and generates the necessary signals.

Bullish Catapult
Recognizes Bullish Catapult (Triple Top + following Double Top) and sets buy signal.

Bullish Engulfing
Recognizes important Candlestick patterns and generates the necessary signals.

Bullish Signal
Recognizes Bullish Signal (2 ascending Tops + 3 ascending Bottoms) and sets buy signal.

Buy Condition
Generates a buy signal as soon as the condition is true.

Börsengang

CCI Fibo Peak
Generates the Fibonacci Peak (CCI(8)+CCI(13)+CCI(21))/3 and the Peak Exploration with cross lines at +100 and -100.

Chaikin Oszillator

Chaikin Volatility

Chande Momentum Oscillator
The CMO is closely related to, yet unique from, other momentum oriented indicators such as Relative Strength Index, Stochastic, Rate-of-Change, etc. It uses data for both up days and down days in the numerator, thereby directly measuring momentum. The calculations are applied on unsmoothed data. Therefore, short-term extreme movements in price are not hidden.

Commodity Channel Index
The Commodity Channel Index (CCI), developed by Donald Lambert, was designed to identify cyclical turns in commodities. Lambert recommended using 1/3 of a complete cycle (low to low or high to high) as a time frame for the CCI.

Coppock

Cover at end of day
Covers open positions at the end of the day when used in Intraday charts. This way traders do not have positions over night.

Cover Condition
Generates a cover signal as soon as the condition is true.

Current trend
Draws the current trend into the chart. In an uptrend a buy signal is generated, in a downtrend a sell signal.

Dark Cloud Cover
Recognizes important Candlestick patterns and generates the necessary signals.

Demark's Range Expansion Index
DeMark's Range Expansion Index is a market-timing oscillator. The oscillator is arithmetically calculated and is designed to overcome problems with exponentially calculated oscillators, like MACD. The TD REI oscillator typically produces values of -100 to +100 with 40 or higher indicating overbought conditions and -40 or lower indicating oversold.

Descending Triple Bottom
Recognizes Descending Triple Bottom (3 descending Bottoms + 2 descending Tops) and sets sell signal.

Dienstag

Directional Movement Index (DMI)
DMI is an indicator which determines the rate of price change, if an instrument is moving in a trend.

Double Bottom
Recognizes Double Bottom (2 descending Bottoms) and sets sell signal.

Double Bottom with Resistance
Recognizes Double Bottom with Resistance (2 descending bottoms + 2 tops at same level) and sets sell signal.

Double Smoothed Stoch. (Blau)
Der Stochastic wurde von William Blau durch zwei exponentiell geglättete, gleitende Durchschnitte weiter entwickelt.

Double Smoothed Stoch. (Bressert)
Developed by Walter Bressert, Double Smoothed Stochastics is a variation on Slow Stochastics.

Double Top
Recognizes Double Top (2 ascending Tops) and sets buy signal.

Double Top with Support
Recognizes Double Top with Support (2 ascending Tops + 2 Bottoms at same level) and sets buy signal.

Elder Ray

Envelopes
Creates envelopes around the underlying graph. If the graph reaches the upper line, the market is taken as oversold and a sell signal is generated and vice versa. Hint: Bollinger Bands only work on a moving average

Equity
Plots the equity curve in the chart, resulting from the transactions created by the current signals.

Evening Doji-Star
Recognizes important Candlestick patterns and generates the necessary signals.

Evening Star
Recognizes important Candlestick patterns and generates the necessary signals.

Expo1

Expo5

FiboCounterTrend
Retracement after swing creates counter trend signal

FiTestSuperK13

FiTestSuperK4

Fixed stop (%)
Creates a cover signal if the quote reaches a certain limit compared to the last buy signal.

Force Index

Gap marker
Marks gaps in the chart. These appear when the low of the previous day is above the high of current day and vice versa.

haDiffCO & Mov
haDiffCO indicator, plots haClose - haOpen, apply to Heikin-Ashi chart only! Moving average creates Mov-HaDiffCO indicator, signals are set on crossover.

Hammer
Recognizes important Candlestick patterns and generates the necessary signals.

Hanging Man
Recognizes important Candlestick patterns and generates the necessary signals.

Harami
Recognizes important Candlestick patterns and generates the necessary signals.

Harami Cross
Recognizes important Candlestick patterns and generates the necessary signals.

HeikinAshi

High Pole
Recognizes High Pole (long bar up with following correction down of at least 50%) and sets downtrend.

High/Low Break
Creates an entry signal if the quote break through the last high or low in a given period of time.

Histogram
Plots the difference between two graphs.

Horizontal lines
Draws horizontal lines at user defined levels.

Ichimoku Kinko Hyo
Ichomoku Kinko Hyo is a Japanese charting technique which shows where a market is headed and provides entry and exit points. Ichimoku analysis is similar to Moving Average analysis. Buy and sell signals are given by cross-overs. A bullish signal is issued when the Tenkan Sen crosses Kijun Sen from below. Conversely, a bearish signal is given when Tenkan Sen crosses Kijun Sen from above.

IKH Chikou Span
n/a

IKH Kijun-Sen
n/a

IKH Senkou Span A+B
n/a

IKH Tenkan-Sen
n/a

In-Neck Pattern
Recognizes important Candlestick patterns and generates the necessary signals.

Inverted Hammer
Recognizes important Candlestick patterns and generates the necessary signals.

Kairi
The Kairi shows the percentage difference between price and moving average.

Kaufman's Adaptive MA
Developed by Perry Kaufman, this indicator is an EMA using an Efficiency Ratio to modify the smoothing constant, which ranges from a minimum of Fast Length to a maximum of Slow Length.

Keltner Channels
The Keltner Channel indicator is used to identify overbought / oversold conditions as well as the trend strength of a market.

kvgd (Custom)

Last Peak/Valley Break
Creates an entry signal if the quote breaks through the last existing peak or valley.

Livermore Market Key
This representation of J. Livermores Market Key shows the different states a security is in. Use it on line charts! For more details please read the provided HTML file.

Logarithmic Returns

Long Tail down
Recognizes Long Tail Down (O-Bar with at least 20 boxes and following reversal) and sets buy signal.

Low Pole
Recognizes Low Pole (long bar down with following correction up of at least 50%) and sets uptrend.

MACD
The Moving Average Convergence/Divergence study creates signales from the smoothed difference of two moving averages.

MACD Histogram
The Moving Average Convergence/Divergence study creates signales from the smoothed difference of two moving averages. This is the histogram of the study.

Majority Rule (MJR)
The Majority Rule calculates, which percentage of days within the period the price increased.

Midas

Midos
Implementation of the Midos system of Dennis McNicholl in his book Taming complexity in Trading.

Modified Moving Average

Modified Moving Average (Joe Sharp)
MA modified by Joe Sharp, described in 'More Responsive Moving Averages'

Momentum
Measures the speed of a quote movement. Values above 0 generate a buy signal and vice versa.

Money Flow

Morning Doji-Star
Recognizes important Candlestick patterns and generates the necessary signals.

Morning Star
Recognizes important Candlestick patterns and generates the necessary signals.

Moving average
Smoothes a graph over a given period of time.

Negative Volume Index

Net Trend Divergence (NTD)
Positive indicator values represent an uptrend, negative values a downtrend. This way the NTD can show the trend speed: Values leaving the zero-line represent an accelerating trend, values moving towards zero represent the slow-down of a trend.

Notis %V

On Balance Volume

On-Neck Pattern
Recognizes important Candlestick patterns and generates the necessary signals.

P&F horizontal count
Calculates the theoretical quote goal using the hoizontal count method.

P&F vertical count
Calculates the theoretical quote goal using the vertical count method.

Parabolic SAR (Meyers)
Modification of the Parabolic SAR by Dennis Meyers. A position change only occurs if the price exceeds / fells of the stop level by a given value, not only if the price crosses the stop level.

Parabolic Stop & Reverse
The Parabolic SAR is based on the Stop And Reverse (SAR) method. It is calculated using both time and price, the result is a series of trailing stops on a curved line (like a parabola approaching the chart). Reaching the chart line means a trend change.

PeaksNValleys
Peaks and Valleys.

Piercing Pattern
Recognizes important Candlestick patterns and generates the necessary signals.

Pivot channel

Pivot lines
Colors: Blue=Pivot, Positive=Pivot High/Low, Negative=Support/Resistance, Border=Additional Support/Resistance

Point of Balance Oscillator
n/a

Polarized Fractal Efficiency
Use the PFE indicator to measure how trendy or congested the price action is. PFE readings above zero indicate that the trend is up and the higher the reading the trendier and more efficient the upward movement. PFE readings below zero mean that the trend is down. The lower the reading the trendier and more efficient the downward movement. Readings near zero indicate choppy, less efficient movement and a balance between supply and demand.

Positive Volume Index

Price and Volume Trend

Pring's KST

Profit target
Creates a cover signal if the profit reaches a predefined limit.

Psychological Line (PSL)
A psychological line is based on the number of time intervals the market was up during the preceding period.

PVC2

Quick formula
Allows the user to enter a custom scripting formula to plot without the need to create a new indicator file first. This is perfect for quickly testing different easy strategies or typical One-Liners.

Random graph
Create a random graph. This way it is possible to test random walk theories.

Random quote development
Creates a random quote development at the end of the graph. This interesting for testing the reaction of trading systems as well as random walk tests. The original graph will be copied in order to allow other indicators to calculate signals.

Random signals
Generates random trading signals.

Range Action Verification Index
The Range Action Verification Index (RAVI) indicator, developed by Tushar Chande can be used to identify whether the market is trending. It attempts to improve on the Average Directional Index (ADX) and is claimed by the author to respond more predictably to price fluctuations than the ADX.

Rate of Change
Measures the rate of change of a quote movement. Values above 100 generate a buy signal and vice versa.

Relative Momentum Index
The Relative Momentum Index function determines the internal momentum of a field using the number of upward and downward price changes across a given number of bars over a given period of time.

Relative strength (Levy)

Relative strength (Wilder)
The market is supposed to be oversold when reaching the lower limit and vice versa.

Relative strength (Wilder) neu
The market is supposed to be oversold when reaching the lower limit and vice versa.

Relative Strength 3M3 (Bressert)
The RSI3M3 is a 3-bar RSI smoothed with a 3-bar moving average.

Relative strength Classic
The market is supposed to be oversold when reaching the lower limit and vice versa.

Relative Vigor Index
This indicator was developed based the January 2002 Stocks and Commodities article entitled Relative Vigor Index. This indicator is an oscillator built on the basic equation (CL - OP) / (HI - LO). The oscillator is basically in phase with the cyclic component of the market prices.

RenkoLimits

Sell Condition
Generates a sell signal as soon as the condition is true.

Shooting Star
Recognizes important Candlestick patterns and generates the necessary signals.

Show portfolio transactions
Sets signals corresponding to the transactions in the current depot.

Signal filter
Shows only signals which are conform with a given condition.

Signal range
Triggers a buy signal when the graph crosses the upper boundary and a sell signal, when it crosses the lower boundary.

Single Doji
Recognizes important Candlestick patterns and generates the necessary signals.

Smoothed Rate of Change

Som

Standard Deviation
Calculates the Standard Deviation of the Close values.

Stochastic
The Stochastic indicator is one of todays most widely known and used oscillators. It represents the relation of the difference of todays close and the used periods all time low calculated against its trading range. The Stochastic indicator always moves in the range 0% to 100%.

Support lines
Finds important support and resistance lines. The number next to the line indicates how many points this line crosses and can be used as a measure of importance.

Swingchart
Retracement after swing creates trend signal

Swingchart Breakout

Swingchart Retracements

SwingDoubleTop-Bottom

T3 Average
By Bob Fulks, modified by Alex Matulich 4/2003.

TD Sequence
Recognizes the several phases of the DeMark sequence and generates the necessary signals. Countdown is cancelled if True High of Buy Setup is exceeded or True Low of Sell Setup is exceeded, or if new Setup starts. No Intersection used

TD-Trendlines
Detects major trend lines in a given time period.

Three Crows
Recognizes important Candlestick patterns and generates the necessary signals.

Three White Soldiers
Recognizes important Candlestick patterns and generates the necessary signals.

Thrusting Pattern
Recognizes important Candlestick patterns and generates the necessary signals.

Tick Stop
Sets a fixed stop when the loss is greater than the tick size times the number of ticks. These settings can be set individually.

Time Range Break
Enters a trade when the price exceeds the trading range of the beginning of the day. The range is calculated from the first X bars.

Time Series Forecast
Calculates a linear regression over a given time period. The end point of this line is the new value of the indicator.

Time stop
Generates a stop signal after a given period of time.

TimeUntilNextBar

Trading range
Shows the trading range as well as the mean value for a given period of time. A buy signal is generated when the quote is above the middle and vice versa.

Trailing stop
Simulates a trailing stop which moves up at rising quotes. A sell signal is generated at a drawdown of X percent.

Trend confirmation

Trend Continuation Factor (TCF)
The Trend Continuation Factor (TCF) was introduced by M. H. Pee. It was created to help identify the trend, and it's direction. Positive values of either the Positive Trend Continuation Factor (TCF+) and the Negative Trend Continuation Factor (TCF-) indicate the presence of a strong trend. Positive values of TCF+ indicator a strong uptrend, while positive values of TCF- indicate a strong downtrend. TCF+ and TCF- cannot both be positive at the same time, since both an uptrend and a downtrend cannot occur simultaneously. Both can be negative. If both are negative, this signifies consolidation, or the absence of a trend. It recommended to enter long positions when the TCF+ value is positive, and enter short positions when the TCF- value is positive.

Trend Intensity Index (TII)
Trend Intensity Index (TII) is based on an article by M. H. Pee that will be available in the June 2002 issue of Stocks and Commodities Magazine. TII is used to indicate the strength of the current trend in the market. The stronger the current trend, the more likely the market will continue moving in the current direction. It is recommended to enter the market during a strong trend and ride it until TII shows signs of a reversal, at which time you should abandon your position and prepare to enter in the opposite direction.

Tri Star
Recognizes important Candlestick patterns and generates the necessary signals.

TriggerChannel
Creates signals when the trigger line is crossed.

TriggerLine
Creates signals when the trigger line is crossed.

Triple Bottom Breakout
Recognizes Triple Bottom (2 descending Bottoms or at same level + 1 following descending bottom) and sets sell signal.

Triple Top Breakout
Recognizes Triple Top (2 ascending Tops or at same level + 1 following ascending Top) and sets buy signal.

TRIX

Two Crows
Recognizes important Candlestick patterns and generates the necessary signals.

Up/Down Visualizer
Creates a positive bar if the parent plot rises and a negative one if it falls.

Value Chart
Value Chart

Vertical Horizontal Filter

Volatility
Calculates the volatility.

Volatility Index Dynamic Average
The VIDYA, developed by Chande, is a moving average derived from linear regression.

Volume
Plots the volume graph for the symbol.

Volume Oscillator

Wilder's Volatility

Williams %R

Williams Variable Acc./Distr.

X-CrossOver
Generates signals of overlapping moving averages. Buy signals are generated when the shortest MA is above the second shortest MA and so on and vice versa.

Zig Zag


Chart analysis

Chart analysts try to predict future price movements by examining historical charts and patterns. They use a big toolset to draw trend lines, calculate indicators or optimize signals. All these features are available in Fibotrader.


Different types of charts

Chart types

There are a lot of different chart types, which differ in the amount of information and the alignment over time.


Line

The line chart is the type most commonly used. All close quotes are simple connected with each other. Although this simplicity is nice in the beginning, you do not see high/low quotes which is a serious drawback.


Bar

To get additional information in the chart, bar and candlestick charts were developed. Bar charts show the opening quote left and the close quote on the right of a vertical var, which represents the trading range.


Candlestick

For candlesticks open and close quote are connected through a rectangle. This is called the body. This body is either white or black and shows is which direction the quotes moved.

In candlestick charts it is possible to identify formations which show trends, risks and generate signals. Fibotrader can find them for you automatically through the Candlestick indicators.


Equivolume

Equivolume charts draw a body just like candlesticks. In addition, the width is modified in respect to the trading volume. This way you can see directly where the high volatility bars are.

Consider that as with Point & Figure the X-Axis is not linear. Sub chart windows can differ.


Candle Power

The candle power chart is an improvement of the Equivolume chart. In addition to the volume adjusted body also the high and low is shown as a vertical line. You can see the differences by switching between the two chart types.


Point & Figure

Point & Figure charts were developed in Japan and are very different to traditional line, bar and candlestick charts. Now, the time axis is not linear anymore which means that the difference between two datapoints are not same but can be days or months. Also, the quotes will be drawn in columns of X and O, with X and O never being in the same column.

Construction

Starting with the first quote, an X is drawn when the price went up or an O when it went down. In this example we start with an X. We have one single X in the first column now. There is a setting called box size which determines how often new boxes are drawn. In the chart you can see many boxes of the specified size. Each X and O will be drawn in its own box

The chart module supports two methods of calculating Point & Figure charts.

1. Original method of Dorsey
Using this method he box size is not fixed but depends on the price. It is described in Thomas Dorsey's book "Sicher anlegen mit Point & Figure". It is not implemented for prices above 200 since it will create too many boxes then.

The box size is defined as follows, depending on the price:

  • 0-5 : 1/4
  • 5-20 : 1/2
  • 20-100: 1
  • >100 : 2

This means, between 3 and 4 are exactly 4 boxes (4*1/4), between 19 and 21 there are 3 (2*1/2+1*1).

2. Fixed size
With this traditional method all boxes have the same size (e.g. 2 dollars).

If the price rises above the current box a new X will be drawn above. But what happens when prices go down? The second important parameter next to the box size is the reversal. A reversal of 3 means for example that if in an X column (uptrend) the price moves 3 boxes down, a new column begins which would be an O column.

This way it is easy to see that a column could span over days, but even months given that the prices do not move too much or the reversal condition is not reached. This way the many small movements in charts are eliminated.

Point & Figure charts can generate buy and sell signals. These are based on certain formations. There is also a way to calculate price goals. Many of these formations and the price goals can be calculated automatically through the P&F indicators


Renko

This chart type is very similar to the Point & Figure chart. Although it looks different the underlying concept is the same. So called bricks are drawn when a predefined limit is reached. Only one brick is allowed per column. This results in the typical Renko steps.

see Point & Figure charts


Steps

This chart type is very similar to the line chart. The difference lies in the way the close quotes are connected. Instead of directly connecting them, two lines are used. One shows the vertical change and the other one connects horizontally.


Symetrics

Symetrics Charts are especially qualified for analysis with Fibonacci, Gann and Phi Tools. The chart is created by drawing the price differences weighted on the time line. This way the chart is always constant and contained drawings always produce the same intersections.


Candlestick formations

Candlestick formations can consist of several candles. The more candles are needed, the more important a formation is. Formations marked with a star (*) are detected automatically through the candlestick indicators (plus some additional formations not listed here).

Attention: Explanations are only available in German at this time!

Formations consisting of one candle

White Block or Realbody
Black Block or Realbody
Doji*
Hammer*
Hanging Man*
Inverted Hammer*
Shooting Star*

Formations consisting of two candles

Dark Cloud Cover*
Piercing Pattern*
Negatives In-Neck Pattern*
Positives In-Neck Pattern*
Bullish Engulfing*
Bearish Engulfing*
Positive Harami*
Negative Harami*
Negative Thrusting Pattern*
Tweezer

Formations consisting of three candles

Two Crows
Stalled Pattern
Advanced Block
Morning Star*
Evening Star*
Abandoned Baby
Tri Star
Rising Three Methods
Falling Three Methods
Three White Soldiers*
Three Crows*


Abandoned Baby

Das "verlassene Kind" ist eine Spezialform von Morning Star oder Evening Star.

Einziger Unterschied zum Morning Star (Evening Star) ist, daß zwischen 1. und 2. Tag sowie 2. und 3. Tag jeweils ein Fenster (=Gap/Kurslücke) auftritt. Die einzelnen Schatten berühren den Star somit nicht.

Das Kauf/Verkaufsignal wird hierdurch deutlich verstärkt !


Advanced Block (Vormarsch Block)

Voraussetzung
Hier treten bei den letzten beiden Kerzen größere Dochte auf. Außerdem ist der Anstieg vom 2. auf den 3. Tag deutlich geringer als beim 1. auf den 2. Tag.

Interpretation
Nach starken Gewinnen vom ersten auf den 2. Tag läßt nun die Dynamik etwas nach. Der dritte Tag verläuft zwar noch positiv, dennoch hat der Optimismus nachgelassen.

Prognosekraft
Der Advanced Block ist schwächer als die Three White Soldiers. Dennoch billigt auch er weiteres Aufwärtspotential zu. Die Hausse ist intakt, obwohl eine Verlangsamung des Aufwärtstrends zu erwarten ist.

Vergleich/Pendant
Three White Soldiers (stärker), Stalled Pattern (schwächer)


Bearish Engulfing

Voraussetzung
Die Formation besteht aus einer weißen und einer schwarzen Kerze. Hierbei hüllt letztere die weiße Kerze ein - d.h., dass der schwarze Kerzenkörper die komplette weiße Kerze "umschließt". Das negative engulfing pattern kommt am Ende einer Aufwärtsbewegung vor.

Interpretation
Nach anhaltend steigenden Kursen eröffnet der Markt am zweiten Tag noch höher. Im Tagesverlauf schwindet dann das Kaufinteresse. Verkaufsdruck kommt auf und drückt die Kurse unter das Vortagesniveau. Die Stimmung hat merklich gedreht.

Prognosekraft
Trendwende möglich! Verkaufssignal.

Gegenteil
Bullish engulfing pattern

Sind die Kerzen "umgekehrt" angeordnet, so handelt es sich um ein negatives Harami


Bullish Engulfing

Voraussetzung
Die Formation besteht aus einer schwarzen und einer weißen Kerze. Hierbei hüllt letztere die schwarze Kerze ein - d.h., dass der weiße Kerzenkörper die komplette schwarze Kerze "umschließt". Das positive engulfing pattern kommt am Ende einer Abwärtsbewegung vor.

Interpretation
Nach anhaltend fallenden Kursen eröffnet der Markt am zweiten Tag noch schwächer. Im Tagesverlauf schwindet das Verkaufinteresse und Käufer heben die Kurse an. Der Verkaufsdruck ist vorerst passe.

Prognosekraft
Trendwende möglich! Leichtes Kaufsignal.

Gegenteil
Bearish engulfing pattern

Sind die Kerzen "umgekehrt" angeordnet, so handelt es sich um ein positives Harami


Dark Cloud Cover

Voraussetzung
Beide Kerzen haben kurze Lunten/Dochte. Der Schlusskurs der weissen Kerze ist klar über dem Schlusskurs der schwarzen Kerze. Es kommt am Ende eines Aufwärtstrends vor!

Interpretation
Nach dem freundlichen Anstieg des Vortages (fast ein Block) kommt es am zweiten Tag zur Ernüchterung.

Prognosekraft
Trendwende möglich! Leichtes Verkaufssignal.

Vergleich/Pendant
Stärker als Negative in Neck Pattern und stärker als das Negative Thrusting Pattern


Doji

Voraussetzung
Der Doji besteht aus einer Kerze. Der Kerzenkörper ist minimal oder gar nicht ausgeprägt, der Schlusskurs liegt also sehr nahe am Eröffnungskurs.

Interpretation
Der Markt ist unentschlossen.

Prognosekraft
Der Markt könnte drehen. Der Doji allein gesehen kann allerdings noch nicht als Signal verstanden werden. Beim Auftreten des Doji sollten Sie extrem "wachsam" sein! In Verbindung mit anderen Formation (z.B. Morning Star) ist der Doji als Verstärkung des anderen Signals zu sehen!


Evening Star (Abendstern)

Voraussetzung
Der Evening Star ist eine Formation, welche aus drei Kerzen besteht. Sie kommt am Ende einer Aufwärtsbewegung vor. Die erste Kerze ist weis, hat meist nur einen kurzen Docht/Lunte. Die 2. Kerze liegt deutlich über der Ersten. Abgeschlossen wird der Abendstern durch die 3. Kerze: Sie eröffnet (deutlich) unterhalb des Vortagesschlusskurses. Tagsüber fallen die Kurse weiter (=schwarze Kerze).

Interpretation
Der Optimismus des ersten Tages hält am zweiten Tag noch an, weshalb der Markt höher eröffnet. Im Handelsverlauf fehlt dann allerdings die Kraft weiter zuzulegen. (Dies stellt noch kein Verkaufssignal dar!). Am dritten Tag liegt die Eröffnung deutlich tiefer, was eine Zurückhaltung der Investoren gleichkommt. Die Gewinnmitnahmen im Tagesverlauf zeigen anschließend, daß der Optimismus nun dem Pessimismus klar gewichen ist.

Prognosekraft
Am Ende einer Aufwärtsbewegung stellt der Evening Star ein klares und nicht zu ignorierendes Verkaufssignal dar. Durch einen Doji am zweiten Tag kann das Signal noch verstärkt werden!

Vergleich/Pendant
Spezialformen sind der Tri Star und das Abandoned Baby

Gegenteil
Morning Star

Durch einen Doji am zweiten Tag kann das Signal noch verstärkt werden!


Falling Three Methods

Voraussetzung
Die Formation besteht aus drei weißen Kerzen, welche jeweils ansteigen. (3. Kerze liegt über der 2., welche wiederum über der ersten liegt). Diese weißen Kerzen werden durch zwei schwarze Kerzen umrahmt. Hierbei muß die zweite schwarze Kerze unterhalb der Eröffnung der ersten weißen Kerze und unterhalb dem Schlusskurs der anderen schwarzen Kerze liegen.

Interpretation
Nach starken Kursverlusten kommt es drei Tage in Folge zu einer Erholung. Durch die erneuten Verluste am fünften Tag - der Markt geht extrem in die Knie - wird der Versuch einer Trendwende zunichte gemacht.

Prognosekraft
Die Falling Three Methods ist eine Bestätigung des Abwärtstrends. Für antizyklische Käufe ist es noch viel zu früh, da die Abwärtsdynamik sich nochmals beschleunigen dürfte.

Gegenteil
Rising Three Methods


Hammer (Sonnenschirm)

Voraussetzung
Eine Hammer besteht aus einem sehr kurzem Körper mit langer Lunte. Dabei sollte die Lunte mindestens die doppelte Länge des Kerzenkörpers besitzen. Die Farbe des Körpers ist hierbei fast egal. (Ein weisser Körper ist etwas positiver zu werten als ein schwarzer.) Er kommt am Ende eines Abwärtstrendes vor!

Interpretation
Der Wert konnte sich von seinen Tiefkursen bis zum Handelsende wieder deutlich erholen. Eine gewisse Unentschlossenheit ist im Markt.

Prognosekraft
Der Hammer gilt als leichtes Kaufsignal.

Vergleich/Pendant
Das Gegenteil stellt der Hanging Man (Kerze sieht genauso aus) dar, welcher eine mögliche Umkehr im Aufwärtstrend signalisiert.

Vergleiche
Inverted Hammer


Hanging Man

Voraussetzung
Eine Hanging Man besteht aus einem sehr kurzem Körper mit langer Lunte. Dabei sollte die Lunte mindestens die doppelte Länge des Kerzenkörpers besitzen. Die Farbe des Körpers ist hierbei fast egal. (Ein weisser Körper ist etwas positiver zu werten als ein schwarzer.) Er kommt am Ende eines Aufwärtstrendes vor!

Interpretation
Der Wert konnte sich von seinen Tiefkursen bis zum Handelsende wieder deutlich erholen. Eine gewisse Unentschlossenheit ist im Markt.

Prognosekraft
Der Hanging Man gilt als mögliche Trendumkehr.

Vergleich/Pendant
Das Gegenteil stellt der Hammer (Kerze sieht genauso aus) dar, welcher am Ende eines Abwärtstrends vorkommen kann.


Inverted Hammer

Voraussetzung
Ein Hammer besteht aus einem sehr kurzem Körper mit langem Docht. Dabei sollte die Docht mindestens die doppelte Länge des Kerzenkörpers besitzen. Die Farbe des Körpers ist hierbei fast egal. (Ein weisser Körper ist etwas positiver zu werten als ein schwarzer.) Er kommt am Ende eines Abwärtstrendes vor!

Interpretation
Der Wert versuchte im Tagesverlauf den Abwärtstrend zu brechen. Die Kraft liess gegen Ende allerdings nach.

Prognosekraft
Selten. Deutet eine mögliche Trendumkehr an

Vergleich/Pendant
Hammer


Morning Star (Morgenstern)

Voraussetzung
Der Morning Star ist eine Formation, welche aus drei Kerzen besteht. Sie kommt am Ende einer Abwärtsbewegung vor. Die erste Kerze ist schwarz, hat meist nur einen kurzen Docht/Lunte. Die 2. Kerze, massgeblich ist der Kerzenkörper, liegt deutlich unter dem Kerzenkörper der Ersten. Abgeschlossen wird der Morgenstern durch die 3. Kerze: Sie eröffnet (deutlich) oberhalb des Vortagesschlusskurses. Tagsüber steigen die Kurse weiter (=weiße Kerze).

Interpretation
Der Pessimismus des ersten Tages hält am zweiten Tag noch an, weshalb der Markt tiefer eröffnet. Im Handelsverlauf fehlt dann allerdings der Verkaufsdruck. (Dies stellt noch kein Kaufssignal dar!). Am dritten Tag liegt die Eröffnung deutlich höher, woran Sie das Kaufinteresse erkennen. Die weiter steigenden Kurse zeigen im Tagesverlauf, daß der Pessimismus nun dem Optimismus klar gewichen ist.

Prognosekraft
Am Ende einer Abwärtsbewegung stellt der Morning Star ein klares und nicht zu ignorierendes Kaufssignal dar. Durch einen Doji am zweiten Tag kann das Signal noch verstärkt werden!

Vergleich/Pendant
Spezialformen sind der Tri Star und das Abandoned Baby

Gegenteil
Evening Star

Durch einen Doji am zweiten Tag kann das Signal noch verstärkt werden!


Negatives Harami

Voraussetzung
Die Formation besteht aus einer weißen und einer schwarzen Kerze. Hierbei liegt die zweite Kerze "im" Kerzenkörper der Ersten. Das Negative Harami kommt am Ende einer Aufwärtsbewegung vor.

Interpretation
Nach anhaltend steigenden Kursen eröffnet der Markt am zweiten Tag etwas "lustlos". Auch im Tagesverlauf geht es tendenziell nach unten.

Prognosekraft
Trendwende möglich! Leichtes Verkaufssignal.

Gegenteil
Positives Harami

Sind die Kerzen "umgekehrt" angeordnet, so handelt es sich um ein Bearish Engulfing Pattern


Negatives In-Neck Pattern

Voraussetzung
Beide Kerzen haben kurze Lunten/Dochte. Der Schlusskurs der weissen Kerze ist in etwa der Schlusskurs der schwarzen Kerze. Es kommt am Ende eines Aufwärtstrends vor!

Interpretation
Nach dem freundlichen Anstieg des Vortages (fast ein Block) kommt es am zweiten Tag zur Ernüchterung.

Prognosekraft
Warnsignal im Aufwärtstrend. Leichtes Verkaufssignal.

Vergleich/Pendant
Schwächer als das Negative thrusting pattern, welches wiederum schwächer als das Dark-Cloud-Cover ist.


Negatives Thrusting Pattern

Voraussetzung
Beide Kerzen haben kurze Lunten/Dochte. Der Schlusskurs der weissen Kerze ist leicht über dem Schlusskurs der schwarzen Kerze. Es kommt am Ende eines Aufwärtstrendes vor !

Interpretation
Nach dem freundlichen Anstieg des Vortages (fast ein Block) kommt es am zweiten Tag zur Ernüchterung.

Prognosekraft
Kurzfristige Trendwende möglich. Leichtes Verkaufssignal.

Vergleich/Pendant
Stärker als Negatives In-Neck Pattern, schwächer als das Dark-Cloud-Cover


Piercing Pattern

Voraussetzung
Besteht aus zwei Kerzen und kommt am Ende einer Abwärtsbewegung vor. Die erste Kerze ist schwarz. Die Zweite eröffnet tiefer, schließt aber über der Durchbruchslinie (Mitte des 1. Kerzenkörpers) der schwarzen Kerze.

Interpretation
Nach starken Verlusten ist der erste Tag schwach. Am 2. Tag herrscht anfangs noch Pessimismus vor, welcher sich im Tagesverlauf jedoch eindeutig verzieht. Die Stimmung hat also gedreht.

Prognosekraft
Das Piercing Pattern stellt ein Kaufsignal dar, mit einer Trendwende nach oben ist zu rechnen.

Vergleich/Pendant
Stärker als positives in neck pattern

Gegenteil:
Dark Cloud Cover (in Aufwärtsbewegungen)


Positives Harami

Voraussetzung
Die Formation besteht aus einer schwarzen und einer weißen Kerze. Hierbei liegt die zweite Kerze "im" Kerzenkörper der Ersten. Das Positive Harami kommt am Ende einer Abwärtsbewegung vor.

Interpretation
Nach anhaltend fallenden Kursen eröffnet der Markt am zweiten Tag etwas freundlicher. Im Tagesverlauf steigt der Markt dann leicht an. Die Stimmung hat etwas gedreht.

Prognosekraft
Trendwende möglich! Leichtes Kaufsignal.

Gegenteil
Negatives Harami

Sind die Kerzen "umgekehrt" angeordnet, so handelt es sich um ein Bullish Engulfing Pattern


Positives In-Neck Pattern

Voraussetzung
Beide Kerzen haben kurze Lunten/Dochte. Der Schlusskurs der schwarzen Kerze ist in etwa der Schlusskurs der weißen Kerze. Es kommt am Ende eines Abwärtstrends vor!

Prognosekraft
Leichtes Kaufsignal.

Gegenteil
Negatives In-Neck pattern


Rising Three Methods

Voraussetzung
Die Formation besteht aus drei schwarzen Kerzen, welche jeweils abfallen. (3. Kerze liegt unter der 2., welche wiederum unter der ersten liegt). Diese schwarzen Kerzen werden durch zwei weiße Kerzen umrahmt. Hierbei muß die zweite weiße Kerze oberhalb der Eröffnung der ersten schwarzen Kerze und oberhalb dem Schlusskurs der anderen weißen Kerze liegen.

Interpretation
Nach starken Kursgewinnen kommt es drei Tage in Folge zu einer Konsolidierung. Durch die erneuten Gewinne am fünften Tag - der Markt steigt extrem an - wird der "Ausbruch" nach oben geschafft.

Prognosekraft
Die Rising Three Methods ist eine Bestätigung des Aufwärtstrends. Für antizyklische Verkäufe ist es noch viel zu früh, da die Aufwärtsdynamik sich nochmals beschleunigen dürfte.

Gegenteil
Falling Three Methods


Black Block or Realbody

Schwarzer Block oder Realbody

Voraussetzung
Ein Block entsteht, wenn der Eröffnungskurs gleich dem Tagestiefstkurs, sowie der Schlusskurs auch das Tageshoch darstellt. Es entsteht also weder Docht noch Lunte.

Interpretation
Der Markt ist pessimistisch. Die gute "Stimmung" zu Handelsbeginn verschlechtert sich bis Handelsende kontinuierlich.

Prognosekraft
Ist häufig in Abwärtsbewegungen zu finden, und stellt ein Indiz für weiter fallende Kurse dar. Ohne weitere Signale jedoch von geringerer Bedeutung. Insgesamt ist zu bemerken, daß je grösser die Handelsspanne ist (je länger der Kerzenkörper), desto grösser auch die Aussagekraft.

Gegenteil
Weißer Block/Real Body


Shooting Star

Voraussetzung
Ein Shooting Star besteht aus einem sehr kurzem Körper mit langer Lunte. Dabei sollte die Lunte mindestens die doppelte Länge des Kerzenkörpers besitzen. Die Farbe des Körpers ist hierbei fast egal. (Ein weisser Körper ist etwas positiver zu werten als ein schwarzer.) Er kommt am Ende eines Aufwärtstrends vor!

Interpretation
Der Wert versuchte im Tagesverlauf weiter zuzulegen. Die Kraft liess allerdings gegen Ende nach.

Prognosekraft
Deutet eine mögliche Trendumkehr an. -> schwaches Verkaufssignal

Vergleich/Pendant
Inverted Hammer


Stalled Pattern

Voraussetzung
Die erste weiße Kerze ist relativ klein. Es folgt eine große weiße Kerze in Form eines Block/Realbody (kaum oder keine Lunte/Docht). Die dritte, kleine weiße Kerze schließt in etwa auf Vortagesschlußkurs.

Interpretation
Nach starken Kurssteigerungen am ersten und zweiten Tag, baut sich am dritten Tag die Dynamik ab. Der Tagesverlauf ist zwar noch positiv, der Markt kommt aber nicht (oder nur kaum) über das Vortagesniveau hinaus.

Prognosekraft
Das Stalled Pattern ist kein Verkaufssignal. Es zeigt lediglich, daß die Dynamik nachläßt.

Vergleich/Pendant
Three White Soldiers und Advanced Block (beide stärker)

Gegenteil
Block/Realbody


Three Crows (Drei Krähen)

Voraussetzung
Die Formation besteht aus drei schwarzen Kerzen. Jede einzelne Kerze stellt einen Block/Realbody (keinen oder minimalen Docht oder Lunte) dar. Bei den Three Crows schließt die 1. Kerze deutlich unter dem Vortagesschluss. Gleiches gilt für die 2. und 3. Kerze.

Interpretation
Der Markt zeigt mehrfach Schwäche, und bröckelt kontinuierlich ab.

Prognosekraft
Die Formation ist häufig in einer Baisse zu finden. Sie deutet auf weiteres Abwärtspotential hin.

Gegenteil
Three White Soldiers (in einer Aufwärtsbewegung)


Three White Soldiers (Drei weisse Soldaten)

Voraussetzung
Die Formation besteht aus drei weißen Kerzen. Jede einzelne Kerze stellt einen Block/Realbody (keinen oder minimalen Docht oder Lunte) dar. Bei den Three White Soldiers schließt die 1. Kerze deutlich über dem Vortagesschluss. Gleiches gilt für die 2. und 3. Kerze.

Interpretation
Der Markt zeigt mehrfach seine Kraft durch kontinuierlich anziehende Notierungen.

Prognosekraft
Die Formation ist häufig in einer Hausse zu finden. Sie deutet auf weiteres Aufwärtspotential hin.

Vergleich/Pendant
Advanced Block (schwächeres Signal), Stalled Pattern (noch schwächeres Signal), Realbody/Block

Gegenteil
Three Crows (in einer Abwärtsbewegung)


Tri Star

Der "Dreistern" ist eine selten vorkommende Form von Morning/Evening Star. Hierbei bestehen die drei Kerzenkörper aus Dojis. Analog zum Doji, welcher ja eine gewisse Unentschlossenheit im Markt anzeigt und somit als Verstärkung anderer Signale gilt, wertet auch der Tri Star die Aussagekraft des Morning/Evening Star auf.


Tweezer

Voraussetzung
Ein Tweezer entsteht durch die besondere Lage zweier benachbarter Kerzen. Hierbei ist der Tageshöchst.- bzw. Tagestiefstkurs identisch. Der Markt konnte also zweimal in Folge eine bestimmte Marke nicht nehmen.

Interpretation
Ein Widerstand (Unterstützung) hat sich gebildet. Kurzfristig bestehen nur geringe Chancen diese Marke herauszunehmen.

Prognosekraft
Eine Trendwende könnte unmittelbar bevorstehen. Oft verstärkt ein Tweezer ein anderes Signal, was natürlich dessen Aussagekraft erheblich steigert.


Two Crows (Zwei Krähen)

Voraussetzung
Die Formation besteht aus drei Kerzen, wobei die 1.Kerze einen langen weißen Körper hat. Docht und Lunte sind schwach oder gar nicht ausgeprägt. (entspricht einem Block/Realbody) Darauf folgen zwei, in der Regel kürzere schwarze Kerzen. Die erste schwarze Kerze schließt mit einem Fenster (Gap/Kurslücke) über der weißen Kerze. Die 2. schwarze Kerze hüllt dann die vorangegangene schwarze Kerze ein.

Interpretation
Der erste Tag ist sehr freundlich zu werten. Der zweite Tag beginnt optimistisch, wobei im Tagesverlauf Gewinnmitnahmen erfolgen. Auch am dritten Tag sind Anleger zu Beginn bereit weiter zu Kaufen. Bis Handelsende dreht sich das Blatt, wobei die Kurse sogar unter Vortagesschluss schließen. Der Pessimismus ist also nicht zu übersehen.

Prognosekraft
Die Formation ist ein selten vorkommendes aber klares Verkaufssignal. Es ist in seiner Kraft etwa mit einem Evening Star vergleichbar.


White Block or Realbody

Weißer Block oder Realbody

Voraussetzung
Ein Block entsteht, wenn der Eröffnungskurs gleich dem Tagestiefstkurs, sowie der Schlusskurs auch das Tageshoch darstellt. Es entsteht also weder Docht noch Lunte.

Interpretation
Der Markt ist optimistisch. Die schlechte "Stimmung" zu Handelsbeginn verbessert sich bis Handelsende kontinuierlich.

Prognosekraft
Ist häufig in Aufwärtsbewegungen zu finden, und stellt ein Indiz für weiter steigende Kurse dar. Ohne weitere Signale jedoch von geringerer Bedeutung. Insgesamt ist zu bemerken, daß je grösser die Handelsspanne ist (je länger der Kerzenkörper), desto grösser auch die Aussagekraft.

Gegenteil
Schwarzer Block/Real Body


Point & Figure formations

All formations marked with a star (*) are detected automatically through the P&F indicators:

Buy signals

Double top*
Bullish signal*
Double top with support*
Triple top*
Ascending triple top*
Bullish catapult*
Long Tail Down*

Sell signals

Double bottom*
Bearish signal*
Double bottom with resistance*
Triple bottom*
Descending triple top*
Bearish catapult*

Up-trend

Low Pole*

Down-trend

High Pole*


Point & Figure price goal estimation

There are two main methods of estimating a price on a P&F chart. They both result in a rough estimate which does not necessarily present the beginning or end of a new movement. Both methods can be calculated automatically in the chart module.

Vertical Count

In this example we assume we are in an uptrend. After a buy signal and an upwards movement a pullback is made. Now we can calculate the price goal for the next rise by multiplying the number of boxes in the X-column with the reversal value and adding it to the bottom of the X-column.

Horizontal Count

The horizontal count calculates the price goal depending on the number of columns.


Introduction to Stock Analysis

Introduction to different analysis methods

To earn money by trading stocks, it can be vital to buy and sell the right stocks at the right time. Therefore, the following steps should be obeyed:

  • Establishing criteria to reduce the amount of stocks
  • Analysis of the specific stocks
  • Determination of the time when to buy and sell

To determine criteria to reduce the stocks, it can be useful to know how the stocks will be analyzed. There are also more general criteria, which are independent of the used method.


Criteria for trading candidates

It is possible to trade securities all over the world. But in the majority of cases an account in the particular country is necessary. Because this is mostly not the case, the trading should be limited to the country where your depot is managed.

Because the main market (with the highest transaction volume in the world) for trading securities is the US, it should be considered to open an account there.

The daily transaction volume should be another filter for the long list of possible stocks. If the transaction volume is too small, it might be hard to sell a stock after being bought. A high daily transaction value allows the trader to react to news and buying or selling signals immediately and ensures that securities can be bought and sold any time during trading hours.


Analysis of individual stocks

There are two main ways to analyze and interpret given data and to derive a decision whether to buy or sell a certain stock. These two ways of analyzing data are nearly exclusive and are widely used.

Fundamental Analysis

Technical Analysis

Decisions based on the company's balance, news, profit development, economic situation, monetary policy, etc. | Analyzing of price development, usually done in the form of a chart, drawing trendlines, usage of indicators and automatic trading signals

Advantages and Disadvantages

  • cannot be handled automatically by a computer, therefore the analysis of the stocks is very time consuming
  • complete data is necessary, this is either expensive or has to be collected by oneself
  • doesn't need software for the analysis
  • needs only closing price data (and optional opening price, high, low, turnover)
  • almost completely automatic
  • expensive software necessary
  • fast analysis of thousands of stocks
  • automatic signals
For both methods a high knowledge of the method is vital. That is probably the reason why many specialize in either fundamental or technical analysis.

Philosophy

Price development is random and therefore not predictable by technical methods. | Fundamental data is already included in the current price, because the price mirrors all this information in a number. Therefore, a analysis of fundamental data is unnecessary.

There are tools for both methods. Because of the necessary computer assistance, the tools for technical analysis are much more extensive.


Introduction to Technical Analysis

The biggest part in technical analysis is done by computer programs. Only in rare cases the available tools are mutually exclusive. On account of this, they should be used in combination to decrease the number of false signals.

Fields of application:

  • Trend Analysis - Drawing trend lines
  • Indicator Analysis - Calculating additional information
  • Formation analysis - Recognition of typical price developments, which usually show the same pattern
  • Alternative illustration of prices - Candlestick, Point & Figure, Equivolume
  • Cycle analysis - Detection of periodic patterns
  • Neural networks - Simulation of a brain in a computer and searching for a logic behind chart developments
  • Elliott waves - Observation and identification of a repetitive pattern of waves in the movement of the stock market
  • Moon cycles
  • ...

Each of these methods use independent approaches but can be used in combination most of the time.


Trend Analysis

A trend represents a consistent change in prices and is often measured and identified by trend lines. A trend line is a line that is drawn between two or more prominent points on a chart. There are three main trend categories:

  • short term
  • medium term
  • long term

It is reasonable to start the analysis with long term forecasts and then to go to shorter time intervals. Rising trends are defined by a trendline that is drawn between two or more valleys (low points) to identify price support. Falling trends are defined by trendlines that are drawn between two or more peaks (high points) to identify price resistance.

A principle of technical analysis is that once a trend has been formed (two or more peaks/valleys have touched the trend line and reversed direction) it will remain intact until broken. If the trend is broken, this signals a trend reversal or, especially when using short term trends, that the trend has to be adjusted, because it hasn't been significant enough.

A trend reversal in a long term trend is much more significant compared to a short term trend.

In case of a lower trend line with an appropriate parallel upper trend line, we speak of a trend channel.


Indicator Analysis

An indicator is a mathematical calculation that can be applied to a security's price and/or volume fields. The result is a value that is used to anticipate future changes in prices. The most famous indicators are the Moving Average, the Moving Average Convergence Divergence (MACD) and the Relative Strength. There is an unmanageable number of indicators. It is therefore advised to pick only a few and to get as much knowledge and information as possible about them.

Indicators do not always work properly. Many indicators are very useful as long as there is a trend. Others were developed for times of stagnation. In principle, indicators can be divided into three main groups:

  • Moving averages
  • Oscillators
  • Others

Oscillators swing either around an average value or within a fixed interval. Moving averages smooth the price development and therefore eliminate many of the smaller movements, which are uninteresting concerning the main trend direction.


Chart signals

Indicators and many drawings can generate trading signals. These are buy, sell and cover as well as up-trend, down-trend and trend change signals. They can be chosen in the signal settings, when selecting an indicator or drawing in the object tree.

Covering a position means closing it (selling all positions, which are in the portfolio at this point of time). In markets, where you can only buy (only long side), this is equivalent to a sell signal, otherwise the rules for short signals apply.

Signals from sub chart windows will automatically be shown in the main chart window and merged with the rest.

Moving the mouse over a signal will display details for it. Also, the profit/loss will be shown. Holding down the CTRL key will draw a line to the signal it references.

In the lower right corner of the chart there is the summary of the current strategy. It states the profit/loss and the number of trades. You can choose between percentage and absolute values in the signal preferences dialog.


Signal conditions

Through the scripting language it is possible to easily connect different indicators to form signal conditions.

Example

A condition could be:

'Todays low should be the lowest low since nine periods and the MACD Histogram should rise.'

Translated to dScript this is

'$LowBar=Min($LowBar, 9) and $Hist > Lag($Hist)'

where 'Hist' is the identification of the MACD Histogram chosen.

Explanation

Signal conditions are created the same way as custom indicators. After right clicking on an entry in the object tree "New indicator/condition" can be chosen. The script will be saved in the "User" directory and the script environment will be opened. To not create a new script every time a condition is tested, there is an option Signal conditions in the object tree, where formulas can be entered directly in the parameters tab.

There are three possible conditions: BuyCondition, SellCondition and CoverCondition. These are responsible for generating signals. A condition, which returns a signal, when the Rate of Change (ROC) is greater than 5 could be realized with BuyCondition(ROC($CloseBar)>5). Here a default ROC is used.

It is possible to use existing indicators from the chart. This is done with IDs. An ID can be specified in the parameters tab of the indicator. After this, a Variable with the name of the ID will be available in the script. Assuming a ROC in the chart has the ID "ROC1", the above condition can be changed into BuyCondition($ROC1>5). This also has the big advantage of being able to optimize the condition since data is used dynamically from the ID and not through a rigid function like ROC($CloseBar).

The variable $ROC1 contains the close prices. Other data types are available too. They can be accessed via $ROC1_Low for example, which returns a datarow of lows (the ROC has no lows though). Possible extensions to the ID are _Close, _High, _Low, _Volume and _Signals. _Signals returns all signals in a datarow.

Assume, a condition should return a buy signal, when the ROC is greater than 5 and a moving average (MA) has a buy signal. The MA has the ID MA1 in this sample. The condition would be BuySignal($ROC1 > 5 and HasBuySignal($MA1_Signals)). HasBuySignal(), HasSellSignal() and HasSignal() return datarows, which only contain true/false values with true for every datapoint, where the signal is set.

If a condition depends on the signals of two indicators it can be very unlikely that their signals appear at exactly the same time. a condition like BuySignal(HasBuySignal($ROC1_Signals) and HasBuySignal($MA1_Signals)) would return only few signals. For this case there is another function called InSignal(). It returns true starting from the datapoint where a signal was set and not only for this specific datapoint. Using this the condition can be changed to BuySignal(InBuySignal($ROC1_Signals) and InBuySignal($MA1_Signals)) to work as wanted.

With these simple functions nearly all imaginable conditions can be created and tested very easily.

There is an easy way to create conditions by using the predefined Signal conditions entry in the chart object tree. This way you will not have to create new indicators every time you try out a new condition.

Example: Creating signal conditions within the chart

  • After adding all necessary indicators to the chart you can deactivate all indicator signals for better overview within each indicators signal options.

  • Through right-clicking signal conditions in the object window new conditions can be added.

  • Within the appearing dialog you can choose between the available condition types. Choose 'Buy signal' and combine your desired conditions, then click OK.

  • The new buy condition is added, you can now adjust it by using the script language in the Paramters tab sheet.

  • To create the condition you can use the indicators values by using the (unique) identification string which can be found and modified in the indicators 'Parameters' tab sheet. So in this example refer to the Relative Strength Index values by '$rsi'.

  • By clicking Update the signals generated by the new signal condition will be shown in the chart.

  • Create a sell condition at the same way.


Explanation for short signal calculation

This example shows how short signals are handled in the calculation. The following table is in chronological order with the explanation next to it:

1. Buy | Buy is executed, Long
2. Cover | Position is sold, Flat
3. Buy | Buy is executed, Long
4. Sell | Position is sold, buy on the short side is executed, Short
5. Cover | Position is sold, Flat
6. Sell | Buy is executed on the short side, Short
7. Buy | Position is sold, buy is executed, Long
8. Cover | Position is sold, Flat

It is very important to understand the difference between sell and cover. After covering, you are without a position. Selling will always result in a short position (and a long position to be sold if applicable).


Backtesting

Located at: Fibotrader > chart window > menu Signals > Backtesting

Calculating chart signal results on a historical basis and assigning a profit/loss to each of them as well as to the whole strategy is called backtesting. The method of how this task is performed by the program can be defined in backtesting sets. For each chart template a different backtesting set can be used.

Example: Creating a new backtesting set

  • In the chart window choose "Manage backtesting methods" in the signals menu.

  • With the creation of the new set all important parameters like starting capital, basic strategy and costs can be adjusted.

  • Finish the backtesting method creation by leaving the backtest administration dialog.

  • The new method is available immediately. If the new set is the first one it's now activated as default. Other sets are not automatically activated!


Signal results

Located at: Fibotrader > Chart window > Menu Signals > Results

Choosing Signal results from the signals menu will open the signal results browser. Here, detailed information about every signal and also an overview of the strategy will be displayed.

There are several views to choose from, including reports, which offer general information about the strategy, a list of a signals and graphical representations of the equity as well as individual signal profit plots.

The menu Window contains the option 'Unlink from chart window'. By activating this the windows content is no longer automatically updated if new signals occur in the chart. This way you can compare multiple results, because the next signal report is opened in a new window.


Create custom reports

Creating custom reports

The reports for the signal result browser are generated from HTML templates. This way it is possible to adapt them to fit your needs.

All files are saved in the Reports/Signals directory and are shown in a drop down list. These files contain predefined tags, which are replaced by the actual value at the time the template is shown. Available tags are:

days
tradedays
flatdays
startcapital
totalnetprofit
tradecount
tradesprofitable%
winningtradecount
loosingtradecount

The following ones can also be used with the % suffix (e.g. averagetrade%) for percentage reports

largestwinningtrade
largestloosingtrade
averagewinningtrade
averageloosingtrade
averagewinlossratio
averagetrade
maxconsecwinners
maxconsecloosers
avgwinnerbars
avglooserbars
maxdrawdown


Chart templates

Located at: Fibotrader > chart window > menu Templates

Example: Saving a new chart template

  • Add all indicators to the chart and adjust all necessary setting. Within the menu Templates / Current Template / Save as you can now save these settings.

  • Enter a new name for the template and confirm by pressing OK.

  • Within any security chart you can now load your saved template from the Templates menu:

  • All saved indicators and settings will be loaded and applied to the chart:


Training Mode

Located at: Fibotrader > chart window > menu Chart manager > Start training mode

The training mode is an useful tool to learn technical analysis and to test trading systems. In this mode all bar from a specified date aren't show. These then can be revealed gradually. That way own decisions can be trained without the knowing look into the future. Trading systems can be checked if signals are set after the event, signals shift unnaturally or other changes occur, which wouldn't have under real conditions.

Example: Start training mode

  • In the Chart Window select 'Start training mode' from the Chart Manager menu.

  • Below the chart the training mode options are shown. Click the dropdown field to select a new start date for training.

  • The chart presentation is now limited to the selected date. Using the forward / backward buttons you can change the date to reveal more data step by step. Clicking 'Stop training mode' leaves the training mode and shows all available data again.


Chart gallery

Located at: Fibotrader > Toolbar > icon Tools > Chart gallery

The chart gallery can be found in the context menu of portfolios and folders. Charts for all symbols will be shown here for the last three months. Clicking on any chart will open the chart window to allow further analysis. If there is no data available for a chart, the spot will be left blank.


Optimization

Located at: Fibotrader > chart window > menu Signals > Optimize

Chart templates can be optimized on historical data as well as on Intraday data. As a result, the combination of parameters will be returned, which would have generated the most profit in the past.

The optimization assistant will offer a default setup, which in many cases is efficient for an optimization or at least a good start. It will automatically suggest restrictions and parameters. You can optimize individual symbols as well as folders and catalogs (portfolio optimization). It is also possible to add a test period, which provides some insight in how the strategy would have performed after it has been optimized.

As soon as the optimization is started, the progress as well as the best intermediate result will be shown. When finished, all calculated optimization steps will be listed. If an entry is marked red, it does not fulfill the restrictions. By default, the red entries are invisible unless Show all results is checked.

It is recommended to keep an eye on the optimization steps. Many steps (above 100.000) can, depending on the computer, take a long time to calculate. If you want to do an extensive search for parameters, it might be a good idea to let this run over night.

When the optimization is finished, the assistant will select the best step automatically, mark it green in the list and load it in the chart window. If you want to view different results, double-click on the entry in the result list.

Example: Running an optimization of the actual indicator

  • Add the indicators you want to optimize to the chart and click 'Optimize...' in the Signals menu.

  • Within this dialog other securities and chart templates can be selected, as standard the current settings are taken.

  • In the 'Optimization parameters' tab sheet all parameters of all active indicators can be set in ranges and stepping. The status bar shows the count of optimization steps needed, the more steps, the longer the calculation will take.

  • After clicking 'Start optimization' all Parameter combinations will be checked for their result.

  • When the calculation is finished the optimization report shows the count of profitable configurations and the best parameters. The list of generated results can be displayed in the 'Result list' tab sheet.


Market Scan/Quickly checking strategy results

Market Scan/Quickly checking chart template results

Through the list module it is easy to get a quick overview of the most recent trading signals of a chart template. Simply add a new column of the type "Chart template...". You can choose of either the last signal to be returned or the number of bars since this signal occurred.

This way no chart windows need to be open and you can see the results for many securities at once.


Portfolio management

The portfolio contains all orders and money transfers made so far. This way you can manage your trading or simulate, how your decisions would have performed in reality.

There is no limit to the number of portfolios. You can create as many as you need, e.g. a paper trade portfolio, which only contains hypothetical trades and a live portfolio, which contains the actual transactions.


Portfolio preferences

Located at: Fibotrader > Explorer > Portfolio manager > right-click Portfolio

The portfolio will be managed using the selected currency and commission model. These settings can be changed at any point in the future.


Portfolio manager

Located at: Fibotrader > Explorer > Portfolio manager > right-click Portfolio > Portfolio manager

The portfolio manager lists all transactions and shows summaries and statistics of the current situation. Normally you will begin with a money transfer and then enter buy and sell orders, dividends and interests.

When buying, the integrated money management will make suggestions on how many stocks to buy. After you bought, you can assign stops and profit targets to the position.

One portfolio needs to be defined as the default portfolio. This is accomplished through the Preferences menu. This portfolio will be used, when executing orders through the context menu or executing transactions in scripts.

The lists in the portfolio manager can be customized by right-clicking on any column header. A menu will open, which allows to add and remove columns or to change the way they are displayed. Every list has its own set of possible columns, some of which cannot be deleted.


Overview: Current portfolio

View: Current portfolio

Located at: Fibotrader > Explorer > Portfolio manager > right-click Portfolio > Portfolio manager > tab sheet Current

This view is probably the most important view of the portfolio manager. It lists all open positions and the respective profit/loss as well as the break-/even quote. Stops and profit targets can also be managed in this view. They can either be entered directly or, in the case the chart window is open, by dragging the green (profit) and red (stop) boxes to the desired points on the price axis.

Only confirmed open positions are shown in the current portfolio view. Pending or canceled orders will not appear here.


Overview: Transactions

View: Transactions

Located at: Fibotrader > Explorer > Portfolio manager > right-click Portfolio > Portfolio manager > tab sheet Transactions

The transaction view lists all orders, money movements, dividends and interests. It is important to use correct date values, since they are calculated in chronological order. Transactions can be filtered by transaction state by selecting either all, pending, canceled or confirmed orders.


Overview: Realized profits/losses

View: Results

Located at: Fibotrader > Explorer > Portfolio manager > right-click Portfolio > Portfolio manager > tab sheet Results

This view contains is responsible for evaluating closed positions. After a position is closed, the profit or loss will be listed here. Dividends will be included in the calculation. Also, there are several statistical values like the overall profit or overall costs available.


Overview: Graphical analysis

View: Graphical analysis

Located at: Fibotrader > Explorer > Portfolio manager > right-click Portfolio > Portfolio manager > tab sheet Graphics

The graphical analysis shows a graphical representation of the portfolio including by components, value or quantity.


Buy/Sell stocks

Located at: Fibotrader > Explorer > Portfolio manager > right-click Portfolio > Portfolio manager > Menu Transaction > New Transaction

This module does everything nearly automatic. All you have to do is to select the symbol. Quotes and the amount as well as the costs will be entered for you. It is important to have selected the right commission scheme. The number of stocks depends on the money management settings.

You can book multiple transactions after each other without closing the window. Choose OK/Next instead of OK/Close to do this.

Status

When entering limit orders the executing is not guaranteed. You can set the state to pending to show that the trade was not executed yet. It will appear in the transaction list but not in the current portfolio view.

Documentation

We recommend to take some notes on why you bought and sold certain stocks. This way you can learn from mistakes and see if your expectations were correct.

Clearing date

The clearing date is the date when the bank has actually processed the transaction. For sell orders this is the point of time the money is received.


Dividends

Located at: Fibotrader > Explorer > Portfolio manager > right-click Portfolio > Portfolio manager > right-click symbol

Dividends are linked to stocks in your portfolio. Select the appropriate stock and enter the dividend value. It will be accounted as a profit in the result view.


Money Management

Located at: Fibotrader > Explorer > Portfolio manager > right-click Portfolio > Portfolio manager > menu Tools > Money management

One of the key figures to successful investing is money management and the correct position size. Investing too much into one stock might result in too much risk. You also need to consider the transaction costs. Sometimes it is also possible to buy in fixed packages (e.g. of 100 stocks) which can result in smaller costs.

It is useful to have a money reserve in the account. Also take a look at the diversification for different businesses and that symbols in your portfolio do not correlate too much, meaning that they do not always move in the same direction. If this is the case, you do not have two small positions but actually one big one.

If you can use a credit at your bank you can enter it in the field minimum money reserve with a negative sign.

When trading with the buy/sell dialog an automatic suggestion will be made. If no position would be possible, 0 will appear in the quantity field.

Sample calculation

Assume there are different stocks in your portfolio and 14.000 (neglecting the currency) left in the account. The portfolio equity (sum of account and stocks) is 100.000. The stock to buy is at 10. The following calculations will be made:

  • Position should be 15%, results in 15.000
  • Only 14.000 are available, correcting to 14.000
  • Maximum position size is 10.000, correcting again to 10.000
  • For 10.000 you get 1000 stocks
  • Only 500 stocks are allowed, correcting to 500
  • Only packages to 100 are allowed. 500 can be divided by 100 with no remainder, so this is ok. Would only packages of 11 be valid, 500 would not be allowed. In this case only 45 packages with a total of 495 stocks would have been bought.
Now the other restrictions will be checked:
  • 500*10 is 5000, minimum size is 500 and ok. If the lower boundary would have been reached, the position would have been declared invalid.
  • 14.000 - 5000 is 9000 and the minimum money reserve is still available (0 in this case).
Result: The position is valid for the rules above and will be suggested.


Commission models and comparison

Located at: Fibotrader > Toolbar > icon Preferences > Preferences > Commission models

It is possible to automate the task of calculating transaction costs by creating a commission model. There are several models already provided with the software. They can be extended and new custom models can be created.

In many cases graduated prices are used. These prices can be calculated depending on the transaction volume or on the number of shares.

There is also a courtage for the broker. If you want to compare different schemes, switch to the Test view, enter a value and scroll through the list of available models. The costs will be updated automatically.

Base price

This price is always added to the final costs.

Minimum price

This is the minimum price you have to pay, even if the calculated costs should be smaller.

Maximum price

This is the maximum price you have to pay, even if the calculated costs are greater (enter 0 if no maximum price applies).

Minimum courtage

This is the minimum courtage you have to pay even if the calculated courtage should be smaller.

Example: Adding a new commission model

  • In the Fibotrader Toolbar choose the 'Commission models' from the context menu of the Preferences Icon.

  • The Commission management appears. Choose 'Save as...' in the menu.

  • Enter a name for the new model an click OK.

  • The new commission model is shown in the list. Select it and make the necessary adjustments in the 'General' tab sheet. After this change to the 'Graduated prices' tab sheet. By clicking the New entry-button a new graduated price is added to the list.

  • Select the table fields to enter the individual values.

  • Use the tab sheet 'Test' to check the values and compare the models.


Entering graduated prices

Located at: Fibotrader > Toolbar > icon Preferences > Preferences > Commission models > tab sheet Graduated prices

The graduated prices view allows you to enter graduated prices and the relevant costs.

Fixed price

Use this field if you want to define a fixed price which is not depended on a percentage value.


Filter system

Located at: Fibotrader > Explorer > Filters

Filters allow to select symbols by several criteria. Right-clicking on Filters in the Explorer will open up a menu where you can create a new filter. The filter assistant window is separated into two areas. On the right, you find all available filter conditions which can be moved to the filter tree on the left, which resembles the actual filter. You can move filter conditions via drag and drop with your mouse in the tree.

Two main conditions can be used: AND and OR. In and AND condition all filters need to return true for that block and level. In OR conditions it is sufficient if at least one filter returns true.

The filter is executed either by clicking on Save and run or by right-clicking on the filter in the explorer and selecting Check. All symbols from the source folder will be checked and the results will be shown in the result folder right under the filter name. If no source folder exists, you will be asked to select one.

The progress of the filter can be seen in the Filter monitor, which is opened automatically by default.

Example: Creating a new filter

  • By right-clicking Filters in the Explorer you can create a new filter.

  • Within the appearing dialog a custom name can be entered.

  • A window containing all filter preferences opens. Here new conditions can be defined and old conditions can be modified or deleted. The conditions can be connected by boolean operators. Choose the desired type of condition, in the example 'Indicator <-> Quote', and add it by clicking '<-- Add'.

  • Every condition can be separately configured, e.g. for indicator conditions all parameters of the chosen indicator are available.

  • Add one more condition to the AND combination.

  • You can now start and check the indicator immediately by clicking Save and run.

  • The Symbol selection window appears where you can choose between single symbols, folders or catalogs. If a catalog or folder is chosen the filter is applied to all contained symbols.

  • After clicking OK the examination starts and the filter monitor shows the actual progress.

  • You can combine a filter with a special selection of symbols, folders and catalogs by adding a source folder to the filter by right-clicking the filter in the Fibotrader Explorer. To this source folder you can add any symbol through the selection menu or by using Drag & Drop.

  • Through right-clicking the filter it can be examined every time, the result is shown in the object tree, which you can view as chart gallery or list.


Filter monitor

Located at: Fibotrader > Toolbar > icon Windows > Monitors > Filter monitor

The filter monitor shows the progress of the current condition. It displays the number of symbols which need to be checked and how many are done already.

In case the filter should take too long it can be canceled here. If you do so, the partial results will be shown.


Methods for effective and fast filters

The process when checking a filter is as follows:

  • Load source values
  • Select a filter condition
  • Check source values for filter condition
  • Attach result of individual check to the main result if filter returned true
  • Check the next condition and value

There are two filter techniques. The standard technique checks every symbol individually. In addition there are so called PowerFilters. These work directly on the database and check all symbols at once. They are much faster but can only be used for simple conditions and with the local database. They are marked with a star (*) behind their name.

When filtering, many symbols you should always use PowerFilters first to quickly get rid of a lot of the symbols which do not match a general criteria, e.g. country. The system automatically executes PowerFilters first if they exist before it starts with the individual filters.


Develop custom filters

Developing custom filters

Directory: Scripts/Filters
Extension: .fscf

Filters are created very similar to indicators. The difference lies in the registration and the return value.

Example (original currency filter)

dim Currency as number

return(SymbolInfo($WKNID, "Currency_ID") = Currency)

'Copy next lines into user interface area
public function GetInfo()
Filter_Add("Currency", "Name=Currency;Group=1")
Filter_AddText("Currency: ")
Filter_AddList("VarName=Currency;select_options=@Currency")
end function

Explanation

The Filter_Add() function registers the filter in the main program. Afterwards the dialog box is described, which is displayed to the user.

Every single element of the dialog is defined after each other. This example creates a simple text "Currency: " and a drop down list behind it, which contains all available currencies.

The variables used in AddList/AddText need to be declared in the script. "Currency" in our case is a number since the list returns the ID of the chosen element (if no select_values statement was used). The SymbolInfo() function can also return IDs, so that we can compare the selected currency ID directly with the one of the current symbol, available through the global variable $WKNID.

The return value is always a boolean for filters. Returning true, signals that the current symbol matches the filter criteria. Return false, if it does not.

PowerFilters

It is possible to optimize filters which only query the local database for speed in case they access fundamentals like Country or Currency. The function PowerFilter() was developed just for this task. If called, the way the filter system works changes. The Powerfilter performs the query on all symbols at once instead of checking every one individually. The Return() call is not necessary in this case and will not be parsed.

To change the filter above into a power filter, replace the Return() statement with the

PowerFilter("Waehrung=" & Currency)

function. The parameter is an SQL statement, which works directly on the database.

If the main program knows that this filter is a powerfilter, a star(*) is shown behind the filter name and it will be executed before all other filters. You can declare it by adding

PowerFilter=True
in the Filter_Add() function parameter string. Consider though, that PowerFilters do only work for symbols from the local database (like Internet delayed, ASCII or Teletext).


Lists & reports

Located at: Fibotrader > Toolbar > icon Show list

The list module shows information in a tabular order. These lists can contain any column like quote prices, types of business, all time highs and even three month charts.

Lists can be opened from the explorer by right-clicking on a folder, portfolio or source folder and selecting List. Columns can be sorted by clicking on the header. Clicking again changes the sort direction. Right-clicking on a column header allows to add and remove columns.

There is a big number of integrated columns. In addition, it is also possible to easily develop custom columns, where a script is responsible for the content of the column. It should be considered, that big lists can take some time to calculate. This is especially important for lists with scripted columns.

When a quote update occurs, the list will be updated automatically. The changes will be highlighted for approximately two seconds. A red highlighting signals, that the value of the specific cell is smaller than the previous value, green that it is greater.

Some columns will not be updated automatically by default due to the time needed to perform this task. These columns will have a dark gray background color. Right-clicking on the column header will allow you to update them manually or to activate automatic updates.

Columns which contain numbers can be filtered. This function can be reached through the little down-arrow button in the column header. Clicking on it will open a text box where the filter conditions can be entered. Possible are comparisons like ">50". This will hide all lines where the value of the cell in the current column is not greater than fifty.

Example: Adding chart templates and indicator values as list columns

  • Open a list by right-clicking on a security folder, source folder or portfolio, or create an empty list by clicking the 'Show list' icon in the Toolbar.

  • Through right-clicking on the table headline you can now add new columns. Select "chart template..."

  • A dialog for selecting one of the saved chart templates appears. As return value you can choose between the last signal type, the days since the occurrence or the indicator prediction, if the indicator supports this.

  • This way you can also add an indicator as column, all parameters can be freely chosen.

  • Columns showing content which is not automatically updated are marked dark grey. Automatic update can be activated by right-clicking the column's head. Within the appearing menu also other properties like color bars or font size can be adjusted.


Develop custom list columns

Developing custom list columns

Directory: Scripts/Columns
Extension: .fscc

List columns are the easiest scripts to create.

Example

return(Indicator_Value($WKNID, "ROC"))

Explanation

When a list is displayed, the script is started. The global variable $WKNID contains the current symbol. The return value contains the value which should be shown in the list. In this case the current value of an ROC indicator with default parameters for the current symbol is returned.

To edit a custom column, right-click on the column and select Edit or use the Script assistant. When editing a column it is very efficient to have the list open. When executing the script now, the list will be updated and the changes in the filter can be monitored instantly.


Watchlists/Alarms

Watchlists

Located at: Fibotrader > Explorer > Watchlists

Watchlists give you the possibility to have the program permanently check securities for certain conditions. Several conditions are possible and a variety of actions can be triggered when the conditions are met.

The following conditions are available at the moment:

  • Limit break (Price exceeds or drops below a certain value)

  • Trailing stop

  • Signal from drawing/trendline break

  • Signal from trading system

The following actions can be performed when triggered:

  • Just color entry in watchlist

  • Show message

  • Play sound

  • Run program

  • Run script

  • Show webpage

  • Execute filter

  • Show watchlist

  • Send E-Mail

Different actions can also be saved and grouped so that they can be entered faster for future uses.

Example: Create a new Watchlist and alarms

  • Right-click Watchlists in the Explorer and choose "New Watchlist"

  • Give your new Watchlist a name.

  • Using the menu Watchlist manager you can add the desired symbols to the list.

  • Now select the symbol you wish to create an alarm and click the icon Add alarm

  • You can now choose the condition type and actions to trigger for the new alarm

  • A cross before the symbols name signalizes there are alarms for that symbol.

  • Click the cross to open the alarm list.

  • Using the icon Windows from the Toolbar you can open the Alarm monitor, giving an overview for all Watchlists.


Compounds/Spreads/Indices

Located at: Fibotrader > Explorer > Spreads/Indices/Compounds

The compounds module is responsible for handling spreads and indices. It can automatically combine data from different securities based on an underlying formula. This way it is e.g. possible to create your own differently weighted Dow Jones index. It is also possible to create spreads by subtracting 2*Dow Jones of 3*Dax. Every mathematical expression is possible.

When finished a compound can be used just like every other security. Just the context menu will show some additional entries allowing to change it later on.

Example: Creating a new compound

  • In the Explorer right-click on compounds and select 'New compound' from the context menu.

  • In this dialog you can configure your new compound, select the desired symbols and enter the formula. Confirm the creation by clicking OK.

  • You can now use the compound and e.g. open it in a chart.


Advisor

Located at: Fibotrader > Toolbar > icon Open advisors

The advisors module opens new ways of communication. Experience how analysts and experts estimate the market, which chart signals are important in their opinion and what they think about the actual trend. At our website you find a list of all active advisors.

Sign up for any advisor to follow all his activities, securities and even his technical analysis! In Realtime! Stay up to date with screenshots, text comments and chats! View historical tips in the archive. All texts and screenshots are be saved each day and are available for your research.

Hint: Also the technical support is occasionally available in the advisors chat and can answer questions even faster this way!

Web access

  • At the Fibotrader-Website you can find a list of all available advisors.

  • Clicking the link to the advisors archive opens a list of all historical information, sorted by date.

Example: Setting up Jafaris Livechart

  • In the toolbar choose the Advisor icon.

  • Within the new dialog all installed advisors are listed. Choose 'New advisor' to set up Jafaris Livechart. The internet connection must by active.

  • From the list of available advisors choose Jafaris Livechart and click next to continue.

  • Enter your user data you received by the registration at www.m4ft.com or www.fibotrader.com and click finish.

  • Now Jafaris Livechart is available in the advisors list. Select Login to log in the advisor client.

    .

  • Registration takes some seconds, all data is updated from the internet.

  • Finally the main window offering all functions opens. Most important are the signal fields Server and Advisor. If no server connection is possible a technical problem occurred. Please contact the technical support in this case. The signal field Advisor indicates if Mrs. Jafari is online.

  • By clicking a security in the list the latest state is shown as screen shot. Double clicking opens the security as chart.

  • Automatically all drawings from Mrs. Jafari are shown within the chart. You can add own drawings or analysis.

  • The Advisor module offers still more functions. So you can open a chat with Mrs. Jafari within the Tools menu and exchange short text messages. In case you haven't logged on for a long time you can view all historical screen shots and texts within the archive in the Tools menu.


Administrator

Communicate to your clients and share your comments and charts with them. Enter a whole new level of giving online advise and teaching trading strategies!

Users will see your chart drawings, templates and comments at an amazing speed. They will be able to add additional drawings and they will even see a screenshot of your latest chart.

As an advisor you can manage several separate channels with different charts and users.

Apply for an advisor channel

You want to coach, want to be available for your customers online? In Realtime? Make it reality, with Fibotrader! We would be happy to demonstrate our platform to you.

For more information please visit our advisors section on our web page!


Printing

The content of several windows can be printed. These are:

  • Charts
  • Lists
  • Portfolio reports
  • Scripts
  • Signal reports

Using the print preview it is possible to see, how the printed document will look like. When printing charts, the quality of the chart depends on the color settings. When printing black and white only, the background of the chart will be changed to white.


Symbol search

Located at: Fibotrader > Toolbar > Search field

The search window helps to find securities and includes filters to scan for specific security types (if supported by data source). The options in the search window depend strongly on the selected data source. In all cases a keyword search is available. Also, there will be a list of the Last used entries. Some data vendors support catalogs, which are lists of predefined symbols and can also be accessed here.

Symbols in the search results can be charted directly by double-clicking on them. It is also possible to use the clipboard or to copy them to a custom folder. To copy symbols into a folder, leave the search result window open and select the target folder in the Explorer. You will notice, that the caption on the button in the search window changes. Pressing it now will copy the symbol to the folder. Right-clicking on the OK button will open a menu, which offers operations to use on all result.


Symbol management

To organize symbols in the Explorer, folders can be used. There is no limit to the number if folders and subfolders. They can only contain symbols and other folders though.

Symbols are added to folders by dragging them into the folder or by using the clipboard.

Example: Creating a new folder and copying symbols from other folders.

  • Right click on the symbols folders module and choose 'New Folder...'.

  • A dialog to enter a name appears.

  • After you clicked the OK-Button the folder is created. You can now use it as any other folder. By right clicking the new folder the menu with the available options appears.

  • Now choose a symbol from an existing folder and open the options menu be right clicking the symbol. Here the symbol can be copied to the Fibotrader clipboard. This also works with complete folders.

  • The clipboard window showing the actual content opens. You can now add other symbols or folders using the same method.

  • Now right click the new created folder and choose 'Insert from clipboard'. All values that were in the clipboard now exist as copy in this new folder.


Symbol details

Located at: right-click on any security > Details

The symbol details show a lot of information about the selected security. Besides fundamentals, news and structural data, quote differences and other price data like all time highs/lows can be examined. This module can be found in the context menu of symbols in the Explorer.


Source folders

Some of the context menus in the explorer, which you open by right-clicking on an entry, contain an option to Add source folders. These are filters, ticker, signal systems and more. These folders contain the symbols to use for calculation in the specific module. They can contain symbols, folders, filters and portfolios. There is no limit to the number of source folders.

When copying folders to a source folder, a reference is created. This means, that changes in the original folder are visible in the referenced folder, too. This also means, that symbols deleted in the referenced folder will be deleted in the original folder. Only if the referenced folder is deleted in the source folder it does not affect the original folder. It will not be deleted.


Calendar

Located at: Fibotrader > Toolbar > icon Tools > Calendar

The calendar is the main center for all date related activities. It displays information about:

  • General meetings
  • Holidays
  • News
  • Stock splits
  • Buy/Sell orders
  • Expiration dates of options and obligations

In addition it is also possible to enter custom dates and tasks by using the New dialog.


Clipboard

Located at: Fibotrader > Toolbar > icon Windows > Monitors > Clipboard

Moving symbols quickly between folders or copying the filter results into a new folder can be achieved with the clipboard. It saves a lot of time needed for drag & drop operations, since all symbols can be copied at once.

From the context menu of a folder or symbol Copy to clipboard can be selected. The clipboard will open, showing the current content. Alternatively it is possible to press the F11 key. More symbols can be added at this point of time.

Symbols are inserted from the clipboard into folders and watch lists by either using the context menu or pressing the F12 key. The content of the clipboard will be deleted automatically as soon as the window is closed and a new symbol is copied.


Crossrates calculator

Located at: Fibotrader > Toolbar > icon Tools > Crossrates

The Crossrates calculator measures the relations between the added symbols and displays them as a matrix.


Date limit

Located at: Fibotrader > Toolbar > icon Data management > Date limit

By using a past date as current only quotes before that day will be loaded. This affects quotes as well as other program modules like the Portfolio manager. This way it is possible to feign the whole program an older date and make historical analysis.


Explorer

The Explorer from the chart is also available as separate window. The functions are identical, additionally the Explorer has a blue information area which can be hidden or shown.

Miscellaneous

In the blue status area the symbol, the name and the ISIN can be selected and copied to the clipboard. Right clicking on Symbol: switches the content of this line. A left click copies it to the clipboard.


Feedback

Located at: Fibotrader > Toolbar > icon Help > Feedback

You can help to improve Fibotrader by sending a Feedback message to the developers. The messages are direcly sent to the developers. You can enter an e-mail address if you wish to receive a reply.


News analysis

Located at: Fibotrader > Toolbar > icon Tools > News analysis

The news module can be found in the Tools menu. It displays all available news. It is possible to search for a keyword or to only show news for a specific symbol. Also, structural data can be searched for, if available from the data vendor.

Unread news are marked with a <*> in the column Headline. The keyword from the search text field will be printed bold in the text window.


Speed assistant

Located at: Fibotrader > Toolbar > icon Preferences > Speed assistant

  • You can open the Speed assistant in the context menu of the Preferences icon.

  • He enables you to optimize Fibotrader and search for problems.

  • Hint: Before you start the database optimization you have to close QuoteMan.


Statistics

Located at: QuoteMan > Menu Program > Statistics

The statistical view provides a quick overview of the number of performed updates and the number of securities and quotes in the database. It can be found in the QuoteMan Program menu.

Estimate number of quotes

Scanning the databases can take some minutes and will display the total number of price records in the database after it finished.


Statistical analysis

Located at: Fibotrader > Toolbar > icon Tools > Statistical analysis

The statistical analysis supports the calculation of important statistical measures. The list view analyses individual securities. Supported reports are average profits, minimum and maximum values, the standard deviation as well as a histogram representation of the historical profits.

In the color coded correlation matrix, the interdependences between securities can be seen. Values range from -1 to +1. Values below zero indicate a negative correlation. This means, if one of the securities moves up, the other one will move down. The closer the value is to -1, the stronger this effect is. Values above zero indicate similar historical developments of the quotes. If one of the securities moved up, the other was likely to follow.


Task monitor

Located at: Fibotrader > Toolbar> Icon Windows > Monitors > Task monitor

Many tasks, which need a longer time to calculate, are performed in the background to allow normal interaction with the software. The task monitor lists active tasks and their progress. Tasks can also be canceled here.


Ticker

Located at: Fibotrader > Explorer > Tickers

Tickers show a moving tape, which contains the symbols from the Source folder and their prices as well as price change. The speed and the docking type can be set individually through the drop down preferences menu on the right. Only one ticker can be active at a time.

When moving the mouse over the ticker the symbols get highlighted. Clicking on them will open the chart.

Tickers are updated automatically. Consider that when using complex filters in the source folder, it can take a little while until the update is processed.

Example: Creating and showing a new ticker

  • Right-click Ticker in the Explorer and choose "New ticker"

  • Give your new ticker a name.

  • By right-clicking the new ticker in the Explorer a source folder can be created.

  • Right-click the source folder to add new securities.

  • Double-clicking the new ticker opens it in a new window.


Customizable window layouts

The layout of the currently open windows can be easily saved and restored. There are ten save spots available.

The key combination CTRL+SHIFT+NUMBER saves the current layout, where NUMBER is a placeholder for a number between 0 and 9. A confirmation will appear. Pressing CTRL+NUMBER will restore the saved layout.


User defined menu commands

Located at: Fibotrader > Toolbar > icon Tools > Manage user defined menu commands

Scripts, programs and websites can be started with a single mouse click by creating a menu entry for them. It will appear in the Tools menu. The filename as well as the name for the script need to be entered. The new entry will be shown automatically.

Example: Creating a new custom menu command for a website

  • In the Toolbar choose "Manage user defined menu commands..." from context menu of the Tools icon.

  • Within the appearing dialog existing entries can be edited or deleted and new entries can be created.

  • Through clicking 'New entry' you can define type, name and target of the new entry.

  • After finishing the entry's creation you can leave the user commands dialog. The new entry is now available in the tools menu.


Command-line parameters

There are some extended functions, which are not accessible through the program, but need to be added behind the program name when starting it. There are also some basic functions, which can be executed right from the command line.

Calling Fibotrader.exe /help shows a list of all available parameters.

/Log | Activates the logging of program functions to several files (extension .log), making it easier identifying reproducible errors.
/PLog | Like /Log with the difference, that the existing log will not be deleted. The new entries will be attached.
/Quick | Does not check the integrity of the database, which results in a significant speed improvement. Normally, this is automatically set after the first start and will only be reset after installing an update.
/SafeMode | Safe mode: Deactivates external data sources and closes all windows except the Fibotrader Explorer.


Command-line parameters QuoteMan

QuoteMan also offers additional functions through the command line interface.

Calling QuoteMan.exe /help will show a list of all available parameters.

/Log | Activates logging to a file (QuoteMan.log) making it easier to identify reproducible errors.
/PLog | Like /Log with the difference, that the existing log will not be deleted. The new entries will be attached.
/Quick | Does not check the integrity of the database, which results in a significant speed improvement. Normally, this is automatically set after the first start.
/Update | Performs a data update immediately after start up, using the current Intraday data source.


Technical details

All modules work on normal priority (3) when visible. When minimized, they are set to low priority (1). This means, that all other programs can run normally and Fibotrader performs background tasks only when the other programs do not need time.

There are five (or six, depending on settings) separate databases:

  • The main database (Main.mdb)
  • The EOD quotes (Quotes*.mdb)
  • The Intraday quotes (Intraday.mdb)
  • The news database (News.mdb)
  • The default settings (Std.mdb)
  • The QuoteMan database (QuoteMan.mdb or integrated in Main.mdb (recommended))


Automatic Update

Located at: Fibotrader > Toolbar > icon Preferences > Update

We steadily work on improvements of Fibotrader. Updates can either be loaded from the download section of www.fibotrader.com or -more easily- by using the AutoUpdate function of Fibotrader. As soon as a new version of the program is available, the following steps are carried out by the automatic update function:

  • Test if there is a new version available.
  • Download of the update
  • Restart of the program

It is suggested to look for a new version every 2-4 weeks to ensure the newest version of Fibotrader is used. The Update option can be found in the Help menu. New versions contain additional features and/or bug fixes. Furthermore, new versions of the help pages, Indicators, Filters and additional packages will be distributed this way.


Database optimization

Located at: QuoteMan > menu Tools > Optimize database

All information in the program is stored in a database. After using the program for a long time, there have been a lot of deletions and modifications. These operations do not free up space in the database automatically. This needs to be done separately. The database assistant compresses the database, to make it smaller and faster. It can be found in the QuoteMan Tools menu.

We recommend doing this every month. Optimizing the quote tables can take a long time, depending on the amount of price records stored. Normally, only the main database needs to be reorganized, since quote tables are very efficient.

Since the optimization is done by the database engine directly, it is normal, if the program does not react instantly for a longer period of time. At the end of the optimization the freed hard disk space will be shown.


The login window

Located at: Fibotrader > Toolbar > icon Preferences > User

Fibotrader supports multiple users working with one database at the same time. This has the advantage of being able to use the same price data for several computers/accounts. You can place the main database on a network location and, although using the same quotes, every user can have his own desktop and program settings, chart templates etc.

Preferences menu

The location of the main database can be changed either from the Login window's Preferences menu or in the Program/Preferences menu. Here you can change the location of the main database or use another existing one. You should do this if a) there is not enough space on the original drive anymore, b) you want to use another database or c) you want to create a new database.

Login & Password

These settings are set when creating a new user and are used for identification.


Create new user

Create a new user

Located at: Fibotrader > Toolbar > icon Preferences > User

All users share a common quote database, but have their own explorer, portfolio and list settings, chart templates and other customizable modules. Fibotrader can manage any number of users, who have a Login name (e.g. JohnS) and a password of any length, which can also be left empty. All the other information is not mandatory and just for private use.

A Login is the short name for the user when logging in. Fibotrader will suggest a user name out of the real name automatically.

The sample data contains the Dow Jones and the DAX30 folders, chart templates, filters and lists. We recommend to import it for a quick start.


Program preferences

Fibotrader preferences

Located at: Fibotrader > Toolbar > icon Preferences > Preferences

There are several preferences which can be used to customize the software.


QuoteMan preferences

Located at: QuoteMan > menu Program > Preferences

There are several preferences, which can be used to customize QuoteMan.

Test for internet connection

This setting is recommended for users using dial up connections. QuoteMan will test if a dial up connection is established (RAS dial up). Otherwise you might experience a small lag when not connected.

This setting is also useful when using a proxy server which supports auto dial up and shows a intermediate page while connection (e.g. WinProxy).

Start VTPlus automatically

When activated, VTPlus will be started automatically when importing teletext. It will also be closed again when QuoteMan is shut down.

TV Channels

The included teletext information is all based on the German N-TV. This channel is very reliable. In general you can use any channel you want to. Just enter the code for the VTPlus software here.


Select database

Selecting a database

Located at: Fibotrader > Toolbar > icon Preferences > Preferences > General > tab sheet Files

Nearly all preferences are saved in the central database. In addition, other files will be created in the same directory containing quotes and news.

Ensure, that there is enough space available on the drive. When using free quotes, approximately 200 Mb should be enough, we recommend having a reserve of 1-3 Gb.


Select language

Language selection

Located at: Fibotrader > Toolbar > icon Preferences > Preferences > General

The language can be changed in the Preferences menu while using the program. Nearly all elements in the program will be changed too instantly. Some of the elements cannot be changed at runtime though. In this case just restart the program once.

It is very easy to add new languages. All texts are saved in the \system directory in the files with th .DRF ending. Each file contains one complete language. Copy one .DRF file into this directory and after the next start of the program you can choose this language.

Creating a custom language file

The easiest way is to use an existing file as a template and to change the existing texts. We recommend to use the English version (lang_1.drf), because these is managed by the developers. The German version is incomplete, because it contains only dynamic texts, which do not occur on the user interface.

The language identification uses the country code. English uses 1, German 49.


Literature recommendations

There is a huge amount of books and magazines with stock market topics. In order to be a successful trader, it is necessary to gain a lot of experience. We recommend reading several books, to get an impression on other trader's style and philosophy.

Technical analysis

  • Robert Fischer, Jens Fischer - Candlesticks, Fibonacci and Chart Pattern Trading Tools
    ISBN: 0-471-44861-3
  • John Murphy - Technische Analyse der Finanzmärkte
    ISBN: 3-932114-36-1
  • Jack D. Schwager - Schwager On Futures - Technische Analyse
    ISBN: 3-932114-03-5
  • Steve Nison - Technische Analyse mit Candlesticks
    ISBN: 3-932114-55-8
  • Thomas Dorsey - Sicher anlegen mit Point & Figure
    ISBN: 3-932114-38-8

Trading strategies

  • Van K. Tharp - Clever traden mit System
    ISBN: 3-932114-43-4

Options

  • Antonie Klotz & Jürgen Philipp - Die Welt der Optionsscheine
    ISBN: 3-932114-33-7

Easy reading/experience

  • André Kostlany - Der große Kostolany
    ISBN: 3-548-75045-1
  • André Kostlany - Kostolanys Bilanz der Zukunft
    ISBN: 3-612-26648-9
  • Christof Martinetz - Den Bullen reiten
    ISBN: 3-593-36713-0
  • Jack D. Schwager - Market Wizards: Interviews With Top Traders
    ISBN: 0-887-30610-13
  • Jack D. Schwager - The New Market Wizards
    ISBN: 0-887-30667-50

Elliot waves

  • Frost and Prechter - Elliott Wave Principle
    ISBN: 0-932750-43-5


Links to web sites

Financial information | Banks | Exchanges | Options | Analysis | Others + Software

Financial information

American Express
Bloomberg
Finanzpark
CNN Money
Die Welt - Finanzen
DM-Online
Euroland
Financial Life
Finanzen.net
Finanztreff
Handelsblatt
NZZ Börse
N-TV
PC Quote
Sharper
Stock World
Stockpoint
Stoxx Website
Swissquote
Telestock
The Motley Fool
Wallstreet City
Wirtschaft Direkt
Yahoo Finanzen

Banks and Discount broker

Advance Bank
Bank Austria
Comdirect
Commerzbank
Consors
Credit Swiss First Boston
Creditanstalt
Deutsche Bank
Direkt Anlage Bank
Dresdner Bank
Entrium
Fimatex
Goldman Sachs
Helaba Trust Management
HypoVereinsbank
J. P. Morgan
Merrill Lynch
Morgan Stanley Dean Witter
My Discountbroker
Scott Trade
Sparkassen
Quick & Reilly
UBS
Volks- und Raiffeisenbanken
Westdeutsche Landesbank
Zürcher Kantonalbank

International exchanges

American Stock Exchange
Athen Stock Exchange
Australian Stock Exchange
Chicago Board of Options Exchange
Chicago Board of Trade
Chicago Mercantile Exchange
Deutsche Börse
Euronext
LIFFE
Lisbon Stock Exchange
MATIF
New York Stock Exchange
Oslo Stock Exchange
Wiener Börse
Zürich Stock Exchange

Options

Goldman & Sachs - Kostenlose Infobroschüre zu Optionsscheinen

Stock analysis

Dorsey Wright Point & Figure Analysis
Technical Investor
Technical Newsletter - technical analysis

Others + Software

Acrobat Reader for PDF files
Online Manager for updating Lenz + Partner data (appr. 8,0 Mb)
Windows Scripting Host (Windows 95, 98, Me, NT) (appr. 700 Kb)
Windows Scripting Host (Windows 2000, XP) (appr. 700 Kb)


Troubleshooting

This section contains some of the errors encountered in the past and a solution to them.


Known bugs

The following list is a compilation of known bugs in the software,which will be addressed in future versions:

  • Logarithmic charts only work for positive Y-Values (otherwise switched back to linear mode)
  • For P&F and Renko charts there is no negative charting area
  • The percentage on the axis depends on the main symbol and not on individual indicators
  • Signals are calculated for linear charts and might not be correct for logarithmic charts in all cases
  • Overlay charts are not fitted to the chart window


Updating windows components

In case the program cannot be started or quits with an error message be sure you have the latest component updates installed. These are especially the database interface (MDAC with at least version 2.5) as well as the Internet Explorer starting from version 5 (recommended version 6 Sp1 or better).

Follow the links to download the newest components:

MDAC components


Installation quits with an error/download incomplete

We strongly recommend using a download manager like Getright (free at www.getright.com), or Mozilla, which can handle big downloads very efficiently and even resume them in case the internet connection was lost or there were errors.


The database is very big

The data foundation of the program is the Microsoft Jet Database, which is also used by Microsoft Access. It does have a limit of 2 Gigabytes per database. If you are handling and modifying a lot of data this database will grow fast. You should perform a database optimization in this case.

Database optimization


"No data" message in chart

1.
When receiving this message for EOD charts there is no history available. Charts will be displayed as son as there are two datapoints available. Consider that after installation only the Dax 30 and Dow Jones will be available. Additional data is managed by the supported data vendors.

2.
If you want to display Intraday data and receive this message there might not be enough data available. When using the free internet delayed feed there is no historical Intraday data available. You will need to update permanently to build the charts up over time.

3.
Also not all data vendors support all types of data. Some to not supply Intraday data.


Handling a software crash

In case the software should crash the logging function will be activated automatically during the next start. This log file will be placed in the root directory of the software and can show the technical support team where the crash occurred. Try to reproduce the error and then send the files to the technical support.

To force the creation of the log file, either start with the parameter /log or choose Activate log from the Help/Maintenance menu.


Scripting

Scripting allows to extend Fibotrader with custom functions to complete tasks, which were not available in the basic version. It allows to create custom lists, indicators, filters and stop systems.

To accomplish this, Fibotrader offers a scripting language. We decided not to develop a new language, but to use a syntax, which is strongly related to Visual Basic. This way, it is not necessary to learn a new programming language and it is also very easy to read and understand.


The script assistant

The assistant, which can be started from the tools menu, supports the easy development of scripts. It contains a complete function list and offers an integrated development environment. Templates help to get started with new scripts. Finished scripts will appear in the menu, where they can be opened directly.

The function reference on the left lists all available commands and constants, which can be used for programming. When double-clicking on a function, it will be inserted at the current position in the script with placeholders for the necessary parameters. Functions marked with a star (*) behind the name can be executed very fast and should be preferred, most importantly in loops.

Function names containing a comma symbolize an alias. This means, that there are several names for the same function. Either one can be used. Example: GD and MA both calculate a moving average.


The code window

Located at: Fibotrader > Toolbar > icon Tools > Script development

The code window is the part of the assistant, which allows to enter custom code. While typing, the code will be validated in Realtime and a detailed feedback about errors will be generated. Code is colored for easy readability. This way functions, numbers, texts and other keywords can be seen quickly. When moving the mouse over a highlighted word, a description and parameter list will appear.

Hint: It might be helpful to have the Script monitor visible, which displays more detailed information about the script.

While developing, the Print() command can be used to display texts and even arrays, datarows and matrices in the script monitor. This way the contents of variables can be check easily. In the final script, the Print() commands should be taken out for speed reasons.

Complexity

The complexity measurement was developed out of the wish to automatically judge the readability of a script. It is calculated by dividing all commands (operations, functions...) by the number of used lines.

Values around 5-7 yield good readability in our tests. Values above 8 are very hard to read and indicate clumsy script code.


Script assistant keyboard shortcuts

There are several keyboard commands, which make developing scripts and navigating through code easier:

Key | Function
F5 | Execute
F12 | Save as...
CTRL+S | Save
CTRL+F | Search
Tab | (Block) indent
Shift+Tab | (Block) outdent
CTRL+Z | Undo

Complete list:

BACKSPACE | Deletes one character to the left of the cursor
DELETE | Deletes one character to the right of the cursor
TAB | Indents the line of text a specified number of tabs.
RETURN | Inserts a new line.
LEFT ARROW | Moves the cursor one character to the left.
RIGHT ARROW | Moves the cursor one character to the right.
DOWN ARROW | Moves the cursor down one line.
UP ARROW | Moves the cursor up one line.
PAGE DOWN | Scrolls down one screen in the window.
PAGE UP | Scrolls up one screen in the window.
F2 | Moves to the next bookmark
F3 | Finds the next occurrence of the previous search text.
SHIFT + F2 | Moves to the previous bookmark
SHIFT + F3 | Finds the previous occurrence of the search text.
SHIFT + TAB | Indents the line of text a specified number of tabs backward
CTRL + F2 | Sets or clears the bookmark of the line
CTRL + END | Moves the insertion point to the last line of the document.
CTRL + HOME | Moves the insertion point to the first line of the document.
CTRL + SPACE | Displays word completion based on the context.
CTRL + ] | Moves the insertion point to the next brace in the document.
CTRL + DOWN ARROW | Scrolls text down one line.
CTRL + UP ARROW | Scrolls text up one line. Available in Text editors only.
CTRL + RIGHT ARROW | Moves the insertion point to the right one word.
CTRL + LEFT ARROW | Moves the insertion point to the left one word.
CTRL + A | Selects the entire text
CTRL + C, CTRL + Insert | Copies the currently selected text to the system clipboard.
CTRL + I | Starts Incremental search. If text has been found, searches for the next occurrence.
CTRL + F | Displays the Find dialog box.
CTRL + H | Displays the Replace dialog box
CTRL + V, SHIFT + Insert | Inserts the Clipboard contents at the insertion point.
CTRL + X | Removes the currently selected item to the system clipboard.
CTRL + Z | Reverses the last editing action.
CTRL + Y | Restores the previously undone action.


dScript (Visual Basic dialect)

This Visual Basic like language offers programming constructs which are commonly used (e.g. also in the Windows Scripting Host).


Syntax

dScript - Syntax

There are a few rules, which have to be considered when creating a new script.

  • Every command needs to be in a separate line

  • Assertions are done via =

    • Example: days = 5

  • Variables need to be declared before usage

    • Example: dim days as number

  • Strings need to be surrounded with ""

    • Example: Text = "Hello world"

  • Arrays use [] for indices

    • Example: Arr[5] = 123

  • Functions are always called with round brackets (), even if there is no parameter

    • Example: GetLanguage()

  • System variables provided by Fibotrader are always preceded by a $ sign

    • Example: $Date


Comments

dScript - Comments

  • Line comments start with ' and are valid until the end of the line.
  • Block comments start with /* and end with */.
Example

'Comment for the whole line
print("Comment 1") 'Comment at end of line

/* Comment using
multiple lines */

print("Comment 2")


Operators

dScript - Operators

Operators connect variables and other values with each other and relate between them.

Calculations with numbers

+ | Addition
- | Subtraction
* | Multiplication
/ | Division
^ | Power

String Operators

& Concatenation of strings

Comparison

= | Equality
< | Smaller
<= | Smaller/Equal
> | Greater
>= | Greater/Equal
 | not equal

Logical operators (for boolean expressions)

and | true, if both operands are true
not | negates a boolean expression
or | true if at least one operand is true
xor | true if only one operand is true (exclusive or)

Tip: dScript has a different behaviour for booleans when using datarows. If one of the arguments is a datarow, not a single true or false but a datarow of true (1) and false (0) values will be returned. These datarows can directly be used in conditions like BuyCondition() .

Operator precedence

Arithmetic | Comparison | Logical
^ | = | not
 | <> | and
*, / | < | or
 | > | xor
 | <= |
+, - | >= |
& |  |


Control structures

dScript - Control structures

There are several control structures, which allow performing loops and selections.

Conditions

Conditions can be checked in an If clause.

Example:

if a > b then
print("A greater B")
elseif a < b then
print("A smaller B")
else
print("A equals B")
end if

Loops

For
A For loop is used, when the number of loops is known prior to executing the loop.

Example:

for i = 0 to 10
print(i)
next i

To cancel a For loop, the exit for command can be used.

Example:

for i = 0 to 10
print(i)
if i > 5 then exit for
next i

Do while
A Do loop is executed until a condition is true. There are two types.

1. Checking condition at the beginning of loop:

Example:

do while i <10
i = i+1
print(i)
loop

2. Checking condition at the end of loop:

Example:

do
i = i+1
print(i)
loop while i <10

Instead of While, Until can also be used. When using While, the loop is executed as long as the condition is true. Using Until, the loop is executed until the condition is true.

To cancel a Do loop, the exit do command can be used.

Example:

do while i <10
i = i+i
print(i)
if i = 5 then exit do
loop

Selections

Select case
Select statements can be used, where many if clauses would be necessary otherwise. Numbers as well as text can be used for the condition. The else case is executed when no other cases did apply. Only one (the first) case will be executed if more than one would apply.

Example:

select case VariableName
case 1
print("one")

case 2,3
print("two or three")

case 4 to 10
print("between four and ten")

case else
print("unknown")

end select


Functions

dScript - Functions

It is possible to define custom script functions. Functions used in the script are always declared as private. A function, which can be called from outside the script, is declared public. Right now, only the GetInfo() function considers this.

Example:

private function TestFunc(sText as string) as long
'returns string length

print(sText)
TestFunc = len(sText)
end function

print(TestFunc("Hello world"))

The as statement can be omitted, if nothing should be returned. Variables can be declared inside the functions via Dim. These variables will only be visible within the function.


Variables/Types

dScript - Variables/Types

There is a number of variable types to choose from. As far as possible, there is freedom of type. This means for example, a text (string) can be multiplied with a number (long), but only as long as the text can be interpreted as a number.

The declaration is done with the Dim statement.

Example:

dim i as number
dim i2, i3 as number
dim sText as string
dim sArr[] as string

As an alternative to Dim, Global can be used. This causes variables to be persistent, which means that the value is still available at the next script call.

Data types

Number
Starting from version 1.4, Number replaces Long and Double. All number values are doubles and reach from -1,79769313486232*10^308 to 1,79769313486232*10^308.

Long (old)
Longs are used for values within -2.147.483.648 to 2.147.483.647. No decimal digits.

Double (old)
Doubles can store decimal digits. They reach from -1,79769313486232*10^308 to 1,79769313486232*10^308.

String
Strings can hold text. The length is only restricted by the available system memory.

Boolean
Booleans return True (1) and False (0).

Datarow
Datarows are numerical arrays with a fixed length, which depends on the length of the chart. They contain a start and end point, which can be determined via StartBar() and LastBar(). This range will be automatically extended if necessary. When performing mathematical operations between datarows, the returned range will be the shortest interval, which both share.

Matrix
This is a dedicated type for storing and handling matrices. A matrix is internally represented as a two dimensional array of doubles. When calculating with matrices, the special rules for matrices are obeyed, for example matrix multiplication.

Variant (also Object)
A variant can hold any value and the type will be detected automatically. As a drawback, they are not as fast, when executing the script. Fixed basic types should therefore be used as often as possible. This also results in better readability and reduces the risk of errors.

Arrays

Arrays can be declared with all data types. The dimensions will be set behind the variable name. The size can be changed at any time. This is done automatically when writing (making an assertion) behind the current end of the array. When reading behind the end of the array, an error is raised.

Example:

dim arr[2,3,4] as number 'defines an array with 3 dimensions of different size

arr[0,0,0] = 42

dScript also supports associative arrays. They allow to identify array entries through text keys. There is no need to define a numerical dimension when declaring.

Example:

dim arr[] as string 'defines a dynamic string array

arr["hello"] = "associative"
arr["world"] = "test"
print(arr["world"]) 'returns "test"


Develop custom indicators

Developing custom indicators


Add new indicators

Example: Creating an indicator using datarow calculations

  • By right clicking the security in the object tree you can create a new indicator.

  • Enter a name for your new indicator.

  • The script assistant appears within which you can add the indicators calculation process by using the implemented script language.

  • Within this example the creation of the Rate of Change indicator will be shown. Delete the Line 'Plot($CloseBar)' from the text field within the 'Script code' tabsheet and add the definition of the datarow variable 'ret' which will contain the indicator values:

  • To create the indicator flexible the variable 'Days' is needed, setting this adjusts the postponement.

  • The calculation of the Rate of Change follows, the result is stored within the 'ret' datarow. Fibotrader automatically calculates all values over the complete datarow.

  • Using the function 'Plot()' the indicator is presented within the chart

  • For generating the signals on crossover of the zero line the function 'SetSignalesOnCrossover()' is used:

  • Now the indicator has to be made available and the parameter must be added. To do this change to the 'User interface' tabsheet. By using the function 'Indicator_Add()' the indicator is added to the indicator list, the parameters explanation can be found here.
    The function 'Indicator_AddParam()' makes the parameter Periods available, the parameters explanation can be found here.

  • Now the new indicator is finished, save the changes to the script and close the script assistant.
    Delete the source version of the Indicator from the chart and select it again from the indicator list. The custom indicators are stored in the User folder:

  • A new sub window opens within which the indicator is shown.


Detailed help: Add indicators

Directory: Scripts/Indicators
Extension: .fsci

It is possible to develop nearly every indicator than can be imagined. The general procedure is as follows:

  • Create a new script with the extension .fsci
  • Program and Test
Optional
  • Create a user interface part
  • Find a unique ID
  • Create parameters
  • Register indicator and parameters in the main program

To show the basics of indicator programming, it will be shown on a simple vertical shift of the close value. The script needs to be saved in the Scripts/Indicators directory.

Sample 1 without user interface part (indicator name = file name):

Plot($CloseBar+2)

Sample 2 with user interface part and parameters:

dim Distance as number

Plot($CloseBar+Distance)

/* Put this into the user interface tab of the script editor */
Indicator_Add("Tutorial_Ind", "Name=_Tutorial Shift")
Indicator_AddParam("VarName=Distance;Name=Distance;Default=5")

The user interface part

When viewing the script with a normal text editor, you will see that the user interface part is automatically created in a GetInfo() function. This function is the link to the main program. During the program startup, GetInfo() will be called in all scripts in the indicators directory with the extension .fsci. The rest of the script will be ignored at this point of time. In this GetInfo() function the script can, so to say, "introduce" itself to the user by telling him the name, description and parameters it supports.

Indicator_Add() registers the indicator. Indicator_AddParam() registers parameters if needed. These parameters will be shown in the Parameters tab in the chart window. Indicator_AutoCreate() automatically creates other indicators which are needed to calculate this script (e.g. MACD needs two MAs).

Attention: Changes in the user interface block will only be shown after reloading the script!

Finding a unique ID

When not using the user interface part, the indicator's ID will be the file name.

Indicators with an user interface part will not have an automatic ID. You need to create a fixed ID yourself. These fixed IDs have the advantage that it is possible to easily refer to other scripts by knowing their ID, e.g. you can use the MA() function whenever you need to calculate the moving average. Try to choose a unique ID, since indicators with duplicate IDs cannot be loaded.

When executing the indicator, the parameters will automatically be set to the user settings and stored in the declared variables.

Explanation of the sample

Hint: You can find this sample in the directory Scripts/Tutorials with the name Indicators.fsci.

First, a variable is declared. Distance will contain the user defined distance to move the close.

In the user interface part the indicator is registered with the ID Tutorial_Ind. The name shall be _Tutorial Shift. AddParam() registers the distance parameter and initializes it with a default value of 5. The value chosen by the user will be saved in the variable with the name distance as stated behind VarName.

Plot() is responsible for drawing a whole Datarow. The first parameter is the datarow. In our case, we want to move the close, so we use the $CloseBar datarow. Other quote types can be accessed via $OpenBar, $HighBar, $LowBar and $VolumeBar. To this datarow the distance is added.


Recommendations

The script assistant helps developing indicators by changing the behaviour of the Execute button.

When editing a script which is already loaded and registered as an indicator, pressing Execute (F5) does the following: It checks, if a chart window is open. If so, it checks if the indicator is used in the current chart. Is this also true, the script will be saved and the chart will be recalculated, so that you instantly see the changes in the chart.

Through this, complex indicators can be developed and debugged very fast and efficiently visually.

The following window layout has proven to be very helpful:


The indicator object model

To effectively develop indicators, it is quite useful to know the underlying concept.

First the terms:

  • ChartWindow - The window which contains the graph
  • Graph - A "layer" (also plot) in the chart window, which can contain several lines
  • Line - A single datarow consisting of several bars
  • Bar - a single datapoint with Close, Open, High, Low, Volume information
  • Foundation - A base indicator which is needed for calculation

Relations in the object tree

1. Quotes datarow

2. Indicator

3. Base

4. Indicator

5. Indicator

6. Indicator

7. Drawing

The relations are as follows:

  • 2. relates to 1.
  • 2. has access to 1. through the Bar() functions
  • 4. and 5. also relate to 1.
  • 2. has access to 4. and 5. via the FBar() functions
  • 6. relates to 5.
  • 3. does not depend on 2., 3. has to be calculated before 2. though
  • Indicators can relate to 1. through the QBar() functions
  • 7. calculates intersection points with 2.

Sample: Indicator 2. needs to be recalculated. The following actions (in this order) will be performed:

  • since 3. is a requirement for 2. the foundation block will be looked at first
  • 4. is calculated
  • 5. is calculated
  • 6. is calculated
  • 2. is calculated
  • 7. calculates new intersection points

Using IDs for bars

Bars do not get referenced by date but by ID, which is a consecutive number. By doing this, indicators are time independent.

Counting starts at 1. This is the point which is the farthest left in the time axis of the chart. The plot will start several hundred points afterwards to give the user the ability to draw before the graph started. This start can be found via StartBar().

LastBar() returns the last used bar of a plot. Afterwards, several hundred point more will follow to allow drawings in the future.

You should read the datarows only between these two points. You can write to any point you want though, even in the free space.

The concept of multiple plots

Indicators containing multiple lines (e.g. envelopes) use multiple plots to display properly. SetPoint() accepts an additional parameter, which identifies the layer, into which the datarow should be drawn. There is no limit to the number of layers.


Script monitor

Located at: Fibotrader > Toolbar > icon Windows > Monitors > Script monitor

The script monitor displays the progress of the current script. It also displays detailed error descriptions and text messages from the script. All messages are logged in the history log.

Should a script take a long time to calculate, it can be cancel here.


Tips for creating international and multilingual scripts

There are certain methods which can be used to create a multilingual script. This way it is not necessary to write individual scripts for each supported language.

Date values in unidate format

The use of the Unidate Format has a lot of advantages. It eliminates all problems which occur with date manipulation functions. It also makes sorting very easy. All date values are either longs or strings in Unidate Format. Regional settings will be obeyed when displaying dates to the user.

Unidate Format: yyyy-mm-dd-hh-nn-ss

There are several functions which can convert to and from this format. They are collected in the category Date and Time functions.

Determining the language

Scripts can use the function GetLanguage() to determine the current language and to react on that. Pass all country codes the script supports to the function and the current code will be returned.

Example:

select case GetLanguage("1,49")

case 1

Indicator_Add("MOM", "Name=Momentum;ShortName=MOM;Description=Measures the speed of a quote movement.")

case 49

Indicator_Add("MOM", "Name=Momentum;ShortName=MOM;Description=Misst die Geschwindigkeit einer Kursbewegung.")

end select


Skriptbeispiele

Script examples

Refer to the many scripts and filters included with the software. They show nearly all possibilities of the scripting language. You can find them in the directory \Script. From these scripts it will be easy to express your own ideas.


Function Reference

Sort alphabetically

Mathematical
Abs
AddCumulative | Cum
Avg
BlackScholes
Comparison operators
Cos
Int
Log
Logical operators
Mathematical operators
MinValue
Mod
NormDistr
NormDistrInv
Rnd
Round
Sgn
Sin
Sqrt
StdDev
Sum
Tan
Tanh

Symbols
GetNews
InsertIntradayQuote
InsertNews
InsertQuote
InsertQuoteCache
InsertQuoteCacheActivate
InsertSymbolInfo
LoadData
Quote
Quotes
SetBigUpdate
SymbolCount
SymbolInfo

Output
FormatNumber
PlayMidi
PlaySound
Print
Return
ReturnNumber
SetProgress
SetProgressMax

Strings
Asc
C2D
Chr
InStr
LCase
Left
Len
Mid
Replace
Right
SetDez
String concatenation
Trim
UCase

Indicator functions
AutoRecalculate
AvgTrend
Bar
BarDate
BarType
BoxCount
CacheData
DateToBarID
DayStartIDs
FBar
FindPeak
FindValley
FixedStop
FPlotCount
FPlotSort
GetChartAge
GetChartType
GetFPlotParam
GetKeyFromPlotID
GetPlotParam
Indicator_Add
Indicator_AddParam
Indicator_AutoCreate
Indicator_Value
IsBlackCandle
IsInsideDay
IsOutsideDay
IsWhiteCandle
MonthStartIDs
PFAddBox
Plot
QBar
SetPoint
TrailStop
TrueHigh
TrueLow
TrueRange
WeekStartIDs
YearStartIDs

Filter
ExecuteFilter
Filter_Add
Filter_AddDate
Filter_AddList
Filter_AddSymbol
Filter_AddText
Filter_AddTextBox
HideFilterMon
PowerFilter
ShowFilterMon

Date and time
DateAdd
DateDiff
DateSnapToWorkday
DateToLong
Day
FormatDate
GetUniDate
Hour
Minute
Month
Second
Weekday
Year

Global variables
$BoxSize
$Buy
$CloseBar
$ColAutoDecline
$ColAutoNegative
$ColBorder
$ColMain
$ColNAME
$ColNegative
$ColPositive
$Cover
$DataResolution
$Date
$e
$Friday
$HighBar
$LastBar
$LastQuote
$LastQuoteDate
$LastSignal
$Long
$LowBar
$MaxBar
$Monday
$MSGTYPE
$NewLine
$OpenBar
$OriginalStartBar
$pi
$Portfolio
$PreviousClose
$PreviousHigh
$PreviousLow
$PreviousOpen
$PreviousVolume
$QUOTETYPE
$Reversal
$RootDir
$Saturday
$Sell
$Short
$SIGNAL
$SignalNumber
$SignalType
$StartBar
$Sunday
$Tab
$Thursday
$TimeBias
$TransCost
$Tuesday
$VolumeBar
$Wednesday
$WKNID
AllowDivisionByZero
False
True

Arrays
Array
ArrayAppend
ArrayDelete
ArrayDeleteDuplicates
ArrayInsert
ArrayKeys
ChangeSign
CrossesDown
CrossesUp
Deserialize
Filter
FindPeaksAndValleys
Join
Lag
LastBar
Max
MaxIdx
MaxValue
Min
MinIdx
Serialize
SetBounds
Split
StartBar
UBound

Portfolios
CreateEquityChart
CreatePortfolioChart
DeleteTransactions
EnterLong
EnterShort
ExitLong
ExitShort
ExportFilterHTML
ExportPortfolioHTML
GetPortfolioIDs
GetPortfolioPositions
GetTransactionIDs
PortfolioCount
PortfolioInfo
PositionInfo
RemittanceOrder
TransInfo
UpdatePortfolio

Scripting
BlockCanceled
Clear
EnableProfiler
GetProfile
Include

Program
ClearHistoricalDate
Delay
DeleteScript
Eval
GetDataSourceInfo
GetLanguage
HideScriptMon
ProgInfo
RegOK
RunProgram
SetHistoricalDate
ShowScriptMon

Drawing
ColorBrightness
ColorPool
DrawAvgLine
DrawCircle
DrawDiamond
DrawLine
DrawRectangle
DrawText
DrawTextAbove
DrawTriangle
RGB
SetColor
SetThickness

Neural networks

Lists
CreatePortfolioList
ExportListImage

Files
CopyFile
CreateFile
DirList
File
FileExists
WriteFile

Web
ConnectTest
OpenBrowser
SendMail
Upload
Webpage

Interaction
ChooseDate
ChooseDir
ChooseFile
ChooseStock
ChooseTimeRange
InputBox
MsgBox

Indicators
ACD
ADX
Aroon
ATR
CCI
CCIFP
CHO
CHV
CMO
CPI
DepotVis
DMI
DSSBlau
DSSBr
Envelopes
ERay
ForceIdx
GapMarker
GD | MA
HAD
Histogram
IKH
IKHC
IKHK
IKHS
IKHT
KAMA
Keltner
KRI
KST
kvgd
LMK
MACD
MACDHist
Midas
Midos
MJR
MMA
MMAJS
MOM
MoneyFlow
MPSAR
NotisV
NTD
NVI
OBV
PFE
PivotCh
POB
PSAR
PSL
PVI
PVT
RandomEnd
RandomGraph
RandomSignals
RangeSignal
RAVI
RMI
ROC
RSI
RSI-Classic
RSI3M3
RSIW
RSL
RVI
SROC
StdDev
STOCH
T3
TBI
TCF
TDREI
TDSeq
TII
TimeStop
TradingRange
TriggerChannel
TriggerLine
TRIX
TSF
UpDownVis
ValueChart
VHF
VIDYA
Vola
VolOsc
WilliamsR
WVAD
WVol
XCrossOver
ZigZag

Control structures
IIf

Matrix functions
ColumnCount
DeleteColumn
DeleteRow
Det
ExtractMatrix
Identity
InsertColumn
InsertRow
Inv
InvMP
Kron
LoadMatrix
MatrixColumn
MatrixDiagonal
MatrixRow
MatrixToScript
RowCount
Sort
Trace
Trans
Vec

Signals
BuyCondition
BuyPrediction
CoverCondition
CoverPrediction
GetSignalProfits
GetSignals
HasBuySignal
HasSellSignal
HasSignal
InBuySignal
Indicator_Signal
InSellSignal
InSignal
SellCondition
SellPrediction
SetSignal
SetSignals
SetSignalsOnCrossOver
System_Signal
TextPrediction

Chart functions
CloseChartWindow
CloseListWindow
CreateChart
ExportChartImage
Synchronize

Folders
AddToFolder
CreateFolder
CreateFolderList
DeleteFolder
ExportFolderHTML
GetFolder
GetFolderList
RemoveFromFolder
RemoveFromFolderIfOlder
UpdateFolders


Constant: $ColNAME

Returns a predefined color. Possible values for NAME: The following basic colors are available: Black, White The following colors also have a light/dark prefix (e.g. $ColDarkGreen): Red, Green, Blue, Yellow, Magenta, Cyan


Constant: $Date

Returns the current date in unidate format.


Constant: $e

The constant e (2.718...)


Constant: $LastBar

Returns the ID of the last quote in the chart.


Constant: $LastSignal

Returns the type of the last signal set via SetSignal() or -1 if not called before.


Constant: $MaxBar

Scripts, which calculate stop systems, find the datapoint ID prior to the next buy signal or the last datapoint of the graph here.


Constant: $MSGTYPE

Returns a constant for interaction. Possible values for MSGTYPE OK, OKOnly, Yes, No, YesNo, OKCancel, Cancel


Constant: $NewLine

Returns the string for a line break.


Constant: $pi

The constant pi (3.141...)


Constant: $Portfolio

Returns the ID of the current or last used portfolio.


Constant: $QUOTETYPE

Named quote types. Possible values for QUOTETYPE are: Close, Open, High, Low, Volume, Signals (CacheData only)


Constant: $RootDir

Returns the path to the main program (without filename).


Constant: $SIGNAL

Named signals. Possible values for SIGNAL are: Buy, Sell, Cover, UpTrend, DownTrend, TrendChange


Constant: $SignalNumber

Scripts, which calculate stop systems, find the (continuous) number of the current buy signal here.


Constant: $SignalType

Contains the type of the signal and can be compared to a $QUOTE constant. Is only set in stop systems and can be used to determine the stop value for short signals.


Constant: $StartBar

Scripts, which calculate stop systems, find the datapoint ID of the current buy signal here. For all other indicators this value will be the first valid datapoint of the chart.


Constant: $Tab

Returns the string for a tabulator.


Constant: $TimeBias

Returns the difference to GMT time zone in minutes. (e.g.: Germany = -60)


Constant: $TransCost

Returns the transaction cost for signals.


Constant: $WKNID

Several modules set the global variable $WKNID in order to allow scripts access to the current stock. These are filters, indicators and lists.


Constant: AllowDivisionByZero

By setting this value to 'false', you can prevent system from return 0 for a division by zero in datarow operations. Instead an error is created.


Constant: False

The Constant value 'false'.


Constant: True

The Constant value 'true'.


Detailed help - DateFormat

Parameters

d | Day as number without leading zero (1 - 31).
Dd | Day as number with leading zero (01 - 31).
Ddd | Day abbreviation (Sun - Sat).
dddd | Day name (Sunday - Saturday).
ddddd | Complete date (including day, month, year) depending on system regional settings for the short date format.
dddddd | Complete date (including day, month, year) depending on system regional settings for the long date format.
w | Weekday as number (1 for Sunday until 7 for Saturday).
ww | Calendar week (1 - 54).
m | Month as number without leading zero (1 - 12). An m following an h or hh will result in a minute instead of the month.
mm | Month as number without leading zero (01 - 12).
mmm | Month abbreviation (Jan - Dec).
mmmm | Month name (January - December).
q | Quarter as number (1 - 4).
y | Calendar day as number (1 - 366).
yy | Year as two digit number (00 - 99).
yyyy | Year as four digit number (100 - 9999).
h | Hour as number without leading zero (0 - 23).
hh | Hour as number with leading zero (00 - 23).
n | Minute as number without leading zero (0 - 59).
nn | Minute as number with leading zero (00 - 59).
s | Second as number without leading zero (0 - 59).
ss | Second as number with leading zero (00 - 59).
t t t t t | Complete time (including hours, minutes and seconds).
AM/PM | 12-Hour-Format showing AM before 12 and PM afterwards.
am/pm | 12-Hour-Format showing am before 12 and pm afterwards.
A/P | 12-Hour-Format showing A before 12 and P afterwards.
a/p | 12-Hour-Format showing a before 12 and p afterwards.

Example

s = DateFormat(_Date, "dd.mm.yyyy")


Detailed help - Indicator_Add

Parameters

This function supports the use of the extparams parameter. It can contain the following values:

Visible | Value if the indicator should be visible (true/false).
Signals | Shown signals (None or Buy,Sell,Cover,Uptrend,Downtrend,TrendChange).
PlotType | Chart type: 0 - Liniechart 1 - Histogram 4 - Barchart 5 - Candlestick 6 - Punkte 7 - Point & Figure 8 - EquiVolume 9 - CandlePower 10 - Steps 11 - Renko 12 - Symetrics
Color | Color as number
InvertSignals | Invert signals? yes=true, no=false

Example

Indicator_Add("ExtSample", "Name=Sample;ExtParams=Visible:true|Signals:none")


Detailed help - SetProgress

This function is responsible for a) allowing the user to interact with the rest of the software and b) showing the current progress while running a script. Since every call takes a little while it will check internally if at least 40 milliseconds passed since the last call. If not it is ignored.

This way you can use SetProgress a lot and we also recommend doing this!

Example

for i = 1 to 100
    if i mod 10 = 0 then
        SetProgress(i)     end if
next i


Detailed help - Signal functions

Signal functions like HasBuySignal, HasSellSignal, InBuySignal, InSellSignal etc. can be used to check indicator signals.

These functions return a datarow of boolean values for every data point where a / no signal occurred.

Example: return values of signal functions at buy and sell signals

Data points | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9
Original indicator signals (an indicator returns a buy and a sell signal) |  | - | - | - | - |  | - | - | - | -
HasBuySignal( indicator symbol ) (returns 'true' for every data point at which a buy signal occurred, else 'false') |  | - | - | - | - | - | - | - | - | -
HasSellSignal( indicator symbol ) (returns 'true' for every data point at which a sell signal occurred, else 'false') | - | - | - | - | - |  | - | - | - | -
InBuySignal( indicator symbol ) (returns true for every data point since a buy signal until another signal occures, else 'false') |  |  |  |  |  | - | - | - | - | -
InSellSignal( indicator symbol ) (returns true for every data point since a sell signal until another signal occurs, else 'false') | - | - | - | - | - |  |  |  |  |
InSellSignal( indicator symbol, 2 ) (returns 'true' for every data point at which a sell signal occurred and for the two data points after, else 'false') | - | - | - | - | - |  |  |  | - | -

Symbol meaning:

Buy signal |
Sell signal |
no signal / 'false' | -


Function: Abs

returns the absolute value of a number

1 Parameter(s)

Number (Number)
A number or datarow


Function: ACD

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: AddCumulative

Adds the elements of a datarow cumulative from the first to the last.

3 Parameter(s)

Datarow (Datarow)
The datarow to process.

Factor1 (None, optional)
A factor, by which the current element of the datarow is multiplied. Default=1. If a datarow is given, the factor is taken from this datarow on the current position.

Factor2 (None, optional)
A factor, by which the last element of the datarow is multiplied. Default=1. If a datarow is given, the factor is taken from this datarow on the current position.


Function: AddToFolder

Adds a symbol to a folder if not already in it.

2 Parameter(s)

Folder name (Text)
Name of folder.

WKN/ID (Text)
Symbol or internal ID (WKNID) of the stock.


Function: ADX

Average Directional Index (ADX) was developed by J. Welles Wilder Jr. and as its name implies attempts to measure the strength of the direction the security is moving in.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)

Show +/-DI (Number, optional)

Possible values: 0 (show), 1 (hide)


Function: Aroon

The Aroon was developed by Tushar Chande, the oscillator will be high when the Aroon Up is high and the Aroon Down is low, indicating a strong upward trend. The Aroon Oscillator will be low when the Aroon Down is high and the Aroon Up is low, indicating a strong downward trend.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: Array

Creates an array containing the elements given as parameters. If the result is asserted to a declared array of a specific type, all elements are casted to that type.

1 Parameter(s)

Elements (Variant)
One can specify any number of elements (but at least 1) to be contained in the result array.


Function: ArrayAppend

Appends an array to an existing array.

2 Parameter(s)

Source array (Array)
Source array

Array to append (Array)
Array to append


Function: ArrayDelete

Deletes the given number of elements from the given position in array.

3 Parameter(s)

Array (Array)
The source array

Position (None)
Index to start deleting.

Count (Number, optional)
Number of elements to delete


Function: ArrayDeleteDuplicates

Deletes duplicate entries from an array.

1 Parameter(s)

Source array (Array)
Source array


Function: ArrayInsert

Inserts an element into an array.

3 Parameter(s)

Array (Array)
The source array

Element (None)
The value to be inserted.

Position (Number, optional)
The position of the new element. Default


Function: ArrayKeys

Returns the keys of an array.

1 Parameter(s)

Array (Array)
The source array


Function: Asc

Returns the ASCII Code of the given character

1 Parameter(s)

Number (Text)
The ASCII Code of the first character of the given text will be returned


Function: ATR

The real bandwidth between High and Low und consideration of gaps. 0-no smoothing (TR), 1-X smoothing with X days (ATR).

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: AutoRecalculate

Recalculates the current indicator after the given number of milliseconds.

1 Parameter(s)

Milliseconds (Number)
Milliseconds


Function: Avg

Averages input values given as DataRows or Matrix over a given period

2 Parameter(s)

Input (None)
The input to average. avg(Matrix) returns the overall average of all elements as number, avg(DataRow) returns a datarow where an element contains the average over the LAST periods.

Periods (Number, optional)
The number of periods the input is averaged. Used for DataRows only. Default=All Values.


Function: AvgTrend

Calculates a regression line between two datapoints, which is supposed to show the average trend.

3 Parameter(s)

Datapoint 1 (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.

Datapoint 2 (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.

Infotype (Number, optional)
Possible values

0: Incline (positive when ascending, negative when declining)
1: Y-Value of the last point
2: Additional information in form of an associative array


Function: Bar

Returns a price value of the main datarow.

3 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.

Datatype (Number)
Value for the quote type (see $QUOTETYPE).

Datarow (Number, optional)
For identifying datarows a continuous number is used. This value is 1 by default and only needs to be used in indicators with several datarows (e.g. envelopes, where an upper and lower line exists).


Function: BarDate

Returns the date to a datapoint in unidate format.

1 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.


Function: BarType

Returns the type of the current bar. Applies only to P&F charts at this time. Returns 1 for X and 2 for O columns.

2 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.

Datarow (Number, optional)
For identifying datarows a continuous number is used. This value is 1 by default and only needs to be used in indicators with several datarows (e.g. envelopes, where an upper and lower line exists).


Function: BlackScholes

Calculates the price of a buy option using the Black-Scholes model.

5 Parameter(s)

Current price (Number)

Base price (Number)

Time (Number)
Remaining time in years

Interest (Number)
Risk free interest rate

Volatility (Number)
Volatility


Function: BlockCanceled

True, if the button 'Cancel Block' in the Script monitor was pushed.

0 Parameter(s)


Function: BoxCount

Returns the number of boxes for a given bar. Applies only to P&F charts.

2 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.

Datarow (Number, optional)
For identifying datarows a continuous number is used. This value is 1 by default and only needs to be used in indicators with several datarows (e.g. envelopes, where an upper and lower line exists).


Function: BuyCondition

Generates buy signals from a datarow condition.

2 Parameter(s)

Condition (Datarow)
Contains a datarow of Booleans (1 for true, 0 for false).

Show redundant (True/False, optional)
Set to true, if all signals should be generated, even if consecutive. Otherwise only the first signal of each type will be shown.


Function: BuyPrediction

Predicts a signal at a given price. The information will be shown in the chart and can be displayed in lists. Optionally a date can be entered. If not supplied, the date of the next bar will be assumed.

3 Parameter(s)

Price (Number)
Price

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)

Text (Text, optional)
Text to print


Function: C2D

Converts a comma or the current regional decimal character to a dot (e.g. for database queries).

1 Parameter(s)

Number (Text)
Number or text to format.


Function: CacheData

Returns a complete datarow in an array. This way no further calls of Bar() or FBar() are neccessary. This will result in a speed improvement of the indicator. You can also use these datarows in indicator formulas as source values for other formulas.

4 Parameter(s)

Name of function (Text)
Possible values (with parameters)

Bar (Datatype, Datarow)
FBar (Plot, Datatype, Datarow)
PFBar (Datatype)
QBar (Datatype, Datarow)

Param 1 (Any, optional)
First parameter of the function

Param 2 (Any, optional)
Optional second parameter of the function

Param 3 (Any, optional)
Optional third parameter of the function


Function: CCI

The Commodity Channel Index (CCI), developed by Donald Lambert, was designed to identify cyclical turns in commodities. Lambert recommended using 1/3 of a complete cycle (low to low or high to high) as a time frame for the CCI.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: CCIFP

Generates the Fibonacci Peak (CCI(8)+CCI(13)+CCI(21))/3 and the Peak Exploration with cross lines at +100 and -100.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: ChangeSign

Returns a datarow containing a value for the change to the previous value. It is either 1 if the current value is greater than previous one, -1 if smaller and 0 if equal.

1 Parameter(s)

Source values (Datarow)
The datarow containing the source values.


Function: CHO

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: ChooseDate

Shows a dialog for selecting a date to the user. The date returned has Unidate format or equals 0 in case the user pushed the cancel button.

1 Parameter(s)

Text (Number, optional)
Text which tells the user what to enter.


Function: ChooseDir

Shows a list of directories to the user and lets him choose one. Returns an empty string if the user canceled the dialog.

0 Parameter(s)


Function: ChooseFile

Shows a list of files to the user and lets him choose. Returns an empty string if the user canceled the dialog.

0 Parameter(s)


Function: ChooseStock

Prompts the user to choose a symbol. Returns -1 if canceled.

1 Parameter(s)

Multiple (True/False, optional)
Allows to choose folders and catalogs and returns the contents of them via string array with offset 1 if true. If false, only single symbols can be selected and the ID will be returned as string.


Function: ChooseTimeRange

Lets the user select a time range and retured as assoziative array containing startdate and enddate.

0 Parameter(s)


Function: Chr

Returns the Character of the given ASCII Code

1 Parameter(s)

Number (Number)
ASCII Code


Function: CHV

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: Clear

Numeric Datatypes are set to '0', Strings are set to "". Arrays and datarows will contain 0 elements.

1 Parameter(s)

Variable (Variant)
Variable to clear.


Function: ClearHistoricalDate

Deactivates the historical date functionality so that the true date will be returned and used.

0 Parameter(s)


Function: CloseChartWindow

Closes open chart windows which currently use the specified template.

1 Parameter(s)

Template (Text)
Name of the template which identifies the window(s).


Function: CloseListWindow

Closes open list windows which currently use the specified template.

1 Parameter(s)

Template (Text)
Name of the template which identifies the window(s).


Function: CMO

The CMO is closely related to, yet unique from, other momentum oriented indicators such as Relative Strength Index, Stochastic, Rate-of-Change, etc. It uses data for both up days and down days in the numerator, thereby directly measuring momentum. The calculations are applied on unsmoothed data. Therefore, short-term extreme movements in price are not hidden.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

CMO Periods (Number, optional)

Vertical Scale (Number, optional)


Function: ColorBrightness

Adjusts the brightness of the color by a given percentage.

2 Parameter(s)

Color (Number)
Source color

Percentage (Number)
Value between -100 and +100 to regulate brightness.


Function: ColorPool

Returns a random color out of a pool of predefined colors.

0 Parameter(s)


Function: ColumnCount

Returns the number of columns in the input matrix.

1 Parameter(s)

Matrix (Matrix)
The source matrix.


Function: ConnectTest

Checks if there is an internet connection active (and connects if necessary).

0 Parameter(s)


Function: CopyFile

Copies one or more files on the hard drive

2 Parameter(s)

Source (Any)
The source can either be a single file as a string or a list of files in form of a string-array.

Destination (Text)
The destination can be a single file, a folder or a string-array (equally sized like the source) with the names of corresponding destination files.


Function: Cos

Calculates the cosine of the input given in either radians (Second parameter=false) or degree (Second parameter=true).

2 Parameter(s)

Input (None)
Any variable type out of Number, String, Boolean, Matrix, DataRow. For Matrix and DataRow, the result is calculated per element.

Degree (True/False, optional)
True, if the input should be treaded as measured in degree, otherwise false (default).


Function: CoverCondition

Generates cover signals from a datarow condition.

2 Parameter(s)

Condition (Datarow)
Contains a datarow of Booleans (1 for true, 0 for false).

Show redundant (True/False, optional)
Set to true, if all signals should be generated, even if consecutive. Otherwise only the first signal of each type will be shown.


Function: CoverPrediction

Predicts a signal at a given price. The information will be shown in the chart and can be displayed in lists. Optionally a date can be entered. If not supplied, the date of the next bar will be assumed.

3 Parameter(s)

Price (Number)
Price

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)

Text (Text, optional)
Text to print


Function: CPI

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: CreateChart

Create a freeform chart window which is not bound to a certain symbol. All following Plot() operations are done in this chart window. It features a dynamic time axis which is not fixed but depends on the content. It can be used for visualizing complex statistical problems and especially matrix operations and results.

0 Parameter(s)


Function: CreateEquityChart

Creates a new chart window containing the equity chart of a portfolio.

2 Parameter(s)

PortfolioID (Text)
ID/Name of the portfolio.

Template (Text, optional)
Name of the template which identifies the window(s).


Function: CreateFile

Creates a file with the given name in the given directory (or in the current directory if not supplied). It returns a numeric handle for follow up operations.

1 Parameter(s)

Filename (Text)
Path to the file.


Function: CreateFolder

Creates a folder in the folders module if not already existent.

1 Parameter(s)

Folder name (Text)
Name of folder.


Function: CreateFolderList

Creates a list containing the values of the specified folder.

2 Parameter(s)

Folder name (Text)
Name of folder.

Template (Text, optional)
Name of the template which identifies the window(s).


Function: CreatePortfolioChart

Creates a new chart window containing the portfolio chart of a portfolio.

2 Parameter(s)

PortfolioID (Text)
ID/Name of the portfolio.

Template (Text, optional)
Name of the template which identifies the window(s).


Function: CreatePortfolioList

Creates a list containing the values of the specified portfolio.

2 Parameter(s)

PortfolioID (Text)
ID/Name of the portfolio.

Template (Text, optional)
Name of the template which identifies the window(s).


Function: CrossesDown

Checks the given parameters for downward crossings. Returns a datarow where an element is set to 1 if parameter 1 crossed parameter 2 downwards at that position, otherwise 0.

2 Parameter(s)

Datarow (Datarow)
Datarow to use.

Datarow (Datarow)
Datarow to use.


Function: CrossesUp

Checks the given parameters for upward crossings. Returns a datarow where an element is set to 1 if parameter 1 crossed parameter 2 upwards at that position, otherwise 0.

2 Parameter(s)

Datarow (Datarow)
Datarow to use.

Datarow (Datarow)
Datarow to use.


Function: Cum

Adds the elements of a datarow cumulative from the first to the last.

3 Parameter(s)

Datarow (Datarow)
The datarow to process.

Factor1 (None, optional)
A factor, by which the current element of the datarow is multiplied. Default=1. If a datarow is given, the factor is taken from this datarow on the current position.

Factor2 (None, optional)
A factor, by which the last element of the datarow is multiplied. Default=1. If a datarow is given, the factor is taken from this datarow on the current position.


Function: DateAdd

Performs complex date calculations. You can either add or subtract any interval from a given date.

3 Parameter(s)

Interval (Text)
Possible values are:

yyyy - Year
q - Quarter
m - Month
y - Day of the year
d - Day
w - Weekday
ww - Week
h - Hour
n - Minute
s - Second
_wd - Workdays
_wdh - Workdays without holidays

Amount (Number)
Amount of periods to add or subtract.

Start date (Text)
Takes a date in unidate format (String, created with CreateUniDate)


Function: DateDiff

Calculates the difference between two unidate dates.

3 Parameter(s)

Interval (Text)
Possible values are:

yyyy - Year
q - Quarter
m - Month
y - Day of the year
d - Day
w - Weekday
ww - Week
h - Hour
n - Minute
s - Second
_wd - Workdays
_wdh - Workdays without holidays

Start date (Text)
Takes a date in unidate format (String, created with CreateUniDate)

End date (Text)
Takes a date in unidate format (String, created with CreateUniDate)


Function: DateSnapToWorkday

Changes a date to be on a working day.

2 Parameter(s)

Date (Text)
Takes a date in unidate format (String, created with CreateUniDate)

Direction (Number, optional)
Sets the time direction of the change. The last possible workday is set by 0, the next one by 1.


Function: DateToBarID

Returns the datapoint ID for a given date.

1 Parameter(s)

Date (Text)
Takes a date in unidate format (String, created with CreateUniDate)


Function: DateToLong

Returns a corresponding continuous number to a date in unidate format. This number is used for dates in the database (e.g. to execute PowerFilters).

1 Parameter(s)

Date (Text)
Takes a date in unidate format (String, created with CreateUniDate)


Function: Day

Returns the day of a unidate or if omitted the current date.

1 Parameter(s)

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)


Function: DayStartIDs

Returns the bar ID of the first entry of a day for all days loaded in Intraday and EOD mode. This helps to quickly identify historical opening quotes and simplifies backtests.

0 Parameter(s)


Function: Delay

Delays the execution of the script for the given number of milliseconds.

1 Parameter(s)

Milliseconds (Number)
Milliseconds


Function: DeleteColumn

Returns a copy of the source matrix with deleted columns from start column to end column.

3 Parameter(s)

Matrix (Matrix)
The source matrix.

StartColumn (Number, optional)
Start column index for deleting. Default=1

EndColumn (Number, optional)
End column index for deleting. Default=1


Function: DeleteFolder

Deletes a folder with all entries.

1 Parameter(s)

Folder name (Text)
Name of folder.


Function: DeleteRow

Returns a copy of the source matrix with deleted rows from start row to end row.

3 Parameter(s)

Matrix (Matrix)
The source matrix.

StartRow (Number, optional)
Start row index for deleting. Default=1

EndRow (Number, optional)
End row index for deleting. Default=1


Function: DeleteScript

No description available.

0 Parameter(s)


Function: DeleteTransactions

Deletes all transactions from a portfolio.

1 Parameter(s)

PortfolioID (Text)
ID/Name of the portfolio.


Function: DepotVis

Sets signals corresponding to the transactions in the current depot.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Plot value (Number, optional)

Possible values: 0 (Buy price), 1 (Break-/Even)


Function: Deserialize

Deserializes a value from the given file.

1 Parameter(s)

Filename (Text)
The name of the file to read the value from.


Function: Det

Calculates the determinant of a matrix and returns a number. By specifying a line and column you can also calculate the sub determinant at position (line, column)

3 Parameter(s)

Matrix (Matrix)
The source matrix.

Line (Number, optional)
Specifies the line of the position of the sub determinant.

Column (Number, optional)
Specifies the column of the position of the sub determinant.


Function: DirList

Returns the list of files of a given directory.

3 Parameter(s)

Filepath (Text)
Complete path to the directory including the search string. Examples are: *.*, *.txt

NoPath (True/False, optional)
If set to true, just the filenames with out the directory path will be returned.

Recursive (True/False, optional)
If set to true, sub directories will be parsed, too.


Function: DMI

DMI is an indicator which determines the rate of price change, if an instrument is moving in a trend.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Perioden (Number, optional)

DMI (Number, optional)

Possible values: 0 (hide), 1 (show)


Function: DrawAvgLine

Draws a regression line between two datapoints in the chart.

2 Parameter(s)

X1 (Number)
ID of the first datapoint

X2 (Number)
ID of the second datapoint


Function: DrawCircle

Draws a circle into the chart.

5 Parameter(s)

X1 (Number)
ID of the first datapoint

Y-Value (Number)
Y-Value

Radius (Number)
Radius

X-Offs (Number, optional)
Defines the percentage of how much the point will be moved horizontally. It can be positive as well as negative. 100% means a complete move to the next datapoint on the right.

Color (Number, optional)
Color


Function: DrawDiamond

Draws a diamond into the chart.

9 Parameter(s)

X1 (Number)
ID of the first datapoint

Y1 (Number)
First Y-Value

X2 (Number)
ID of the second datapoint

Y2 (Number)
Second Y-Value

X3 (Number)
ID of the third datapoint

Y3 (Number)
Third Y-Value

X4 (Number)
ID of the fourth datapoint

Y4 (Number)
Fourth Y-Value

Color (Number, optional)
Color


Function: DrawLine

Draws a line in the chart.

5 Parameter(s)

X1 (Number)
ID of the first datapoint

Y1 (Number)
First Y-Value

X2 (Number)
ID of the second datapoint

Y2 (Number)
Second Y-Value

Color (Number, optional)
Color


Function: DrawRectangle

Draws a rectangle into the chart.

5 Parameter(s)

X1 (Number)
ID of the first datapoint

Y1 (Number)
First Y-Value

X2 (Number)
ID of the second datapoint

Y2 (Number)
Second Y-Value

Color (Number, optional)
Color


Function: DrawText

Prints text into the chart.

4 Parameter(s)

X1 (Number)
ID of the first datapoint

Y1 (Number)
First Y-Value

Text (Text)
Text which is shown in the dialog.

Color (Number, optional)
Color


Function: DrawTextAbove

Prints text into the chart.

4 Parameter(s)

X1 (Number)
ID of the first datapoint

Y1 (Number)
First Y-Value

Text (Text)
Text which is shown in the dialog.

Color (Number, optional)
Color


Function: DrawTriangle

Draws a triangle into the chart.

7 Parameter(s)

X1 (Number)
ID of the first datapoint

Y1 (Number)
First Y-Value

X2 (Number)
ID of the second datapoint

Y2 (Number)
Second Y-Value

X3 (Number)
ID of the third datapoint

Y3 (Number)
Third Y-Value

Color (Number, optional)
Color


Function: DSSBlau

Der Stochastic wurde von William Blau durch zwei exponentiell geglättete, gleitende Durchschnitte weiter entwickelt.

7 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods Min/Max (Number, optional)

Periods MA 1 (Number, optional)

Periods MA 2 (Number, optional)

Oversold below (Number, optional)

Overbought above (Number, optional)


Function: DSSBr

Developed by Walter Bressert, Double Smoothed Stochastics is a variation on Slow Stochastics.

6 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Perioden Min/Max (Number, optional)

Perioden GD (Number, optional)

überverkauft unter (Number, optional)

überkauft über (Number, optional)


Function: EnableProfiler

Enables automatic script profiling. For every Statement a Checkpoint will be set with information about line, duration, number of activations and text. Later you can evaluate this data using 'GetProfile'.

0 Parameter(s)


Function: EnterLong

Performs a buy transaction in a portfolio. Returns true if successful.

4 Parameter(s)

WKN/ID (Text)
Symbol or internal ID (WKNID) of the stock.

PortfolioID (Text, optional)
ID/Name of the portfolio.

Quote (Number, optional)
Quote at which the stock is to be bought.

Amount (Number, optional)
Number of stocks to buy. If omitted the money management criteria will be used to determine the amount.


Function: EnterShort

Performs a buy transaction in a portfolio. Returns true if successful.

4 Parameter(s)

WKN/ID (Text)
Symbol or internal ID (WKNID) of the stock.

PortfolioID (Text, optional)
ID/Name of the portfolio.

Quote (Number, optional)
Quote at which the stock is to be bought.

Amount (Number, optional)
Number of stocks to buy. If omitted the money management criteria will be used to determine the amount.


Function: Envelopes

Creates envelopes around the underlying graph. If the graph reaches the upper line, the market is taken as oversold and a sell signal is generated and vice versa. Hint: Bollinger Bands only work on a moving average

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Type (Number, optional)

Possible values: 0 (Percent), 1 (Absolute), 2 (Bollinger)

Distance (Number, optional)

Cover signals (Number, optional)


Function: ERay

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: ExecuteFilter

Executes a filter by its name and returns the securities matching the filter criteria. The source folder of the filter will be used.

2 Parameter(s)

Name (Text)
Name of the filter as shown in the explorer.

Omit (Text, optional)
Array of IDs to omit from the source folder with offset 1. Using this parameter, filters can for example leave out the current portfolio values from scanning.


Function: ExitLong

Performs a sell transaction in a portfolio. Returns true if successful.

4 Parameter(s)

WKN/ID (Text)
Symbol or internal ID (WKNID) of the stock.

PortfolioID (Text, optional)
ID/Name of the portfolio.

Quote (Number, optional)
Quote at which the stock is to be sold.

Amount (Number, optional)
Number of stocks to sell. If omitted all stocks will be sold.


Function: ExitShort

Performs a sell transaction in a portfolio. Returns true if successful.

4 Parameter(s)

WKN/ID (Text)
Symbol or internal ID (WKNID) of the stock.

PortfolioID (Text, optional)
ID/Name of the portfolio.

Quote (Number, optional)
Quote at which the stock is to be sold.

Amount (Number, optional)
Number of stocks to sell. If omitted all stocks will be sold.


Function: ExportChartImage

Saves the current view of an open chart window as a picture and returns the filename(s) in a string-array.

2 Parameter(s)

Template (Text)
Name of the template which identifies the window(s).

Filename (Text, optional)
Name of the file under which the picture should be saved. This setting will only be used if not more than one file will be saved.


Function: ExportFilterHTML

Exports a filter result list to HTML-Format and returns the filenames in a string-array.

3 Parameter(s)

Name (Text)
Name of the filter as shown in the explorer.

Template (Text)
Name of the export template of the portfolio

Multilingual (True/False, optional)
Exports the template to all available languages and saves them in separate sub-directories named by the ID of the language, if activated.


Function: ExportFolderHTML

Exports all symbols in a folder to HTML-Format and returns the filenames in a string-array.

3 Parameter(s)

Folder name (Text)
Name of folder.

Template (Text)
Name of the export template of the portfolio

Multilingual (True/False, optional)
Exports the template to all available languages and saves them in separate sub-directories named by the ID of the language, if activated.


Function: ExportListImage

Saves the current view of an open list window as a picture and returns the filename(s) in a string-array.

2 Parameter(s)

Template (Text)
Name of the template which identifies the window(s).

Filename (Text, optional)
Name of the file under which the picture should be saved. This setting will only be used if not more than one file will be saved.


Function: ExportPortfolioHTML

Exports a portfolio to HTML-Format and returns the filenames in a string-array.

3 Parameter(s)

PortfolioID (Text)
ID/Name of the portfolio.

Template (Text)
Name of the export template of the portfolio

Multilingual (True/False, optional)
Exports the template to all available languages and saves them in separate sub-directories named by the ID of the language, if activated.


Function: ExtractMatrix

Retrieves a part of a matrix from a given start index to a given end index

5 Parameter(s)

Matrix (Matrix)
The source matrix.

RowStart (Number)
The row to start extraction at.

ColumnStart (Number)
The column to start extraction at.

RowEnd (Number, optional)
The row to stop extraction at. If not given, the complete row is extracted.

ColumnEnd (Number, optional)
The column to end extraction at. If not given, the complete column is extracted.


Function: Eval

Executes a script, which can be created at runtime.

1 Parameter(s)

Script (Text)
Contains the script either directly or a filename.


Function: FBar

Returns a quote value of the foundation indicator.

4 Parameter(s)

Plot (Text)
Number or ID (String, which is set in the function Indicator_AutoCreate()) of the plot. Using a number can be helpful when using several indicators of one kind (e.g. MA) and sorting them by period. The first plot will then be the shortest, the last one the longest.

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.

Datatype (Number)
Value for the quote type (see $QUOTETYPE).

Datarow (Number, optional)
For identifying datarows a continuous number is used. This value is 1 by default and only needs to be used in indicators with several datarows (e.g. envelopes, where an upper and lower line exists).


Function: File

Reads the given file and stores the lines in an array

1 Parameter(s)

Text (Text)
& concatenates strings


Function: FileExists

Checks if a file exists.

1 Parameter(s)

Filepath (Text)
Complete path to the file.


Function: Filter

Returns a datarow where those elements are set to zero which do not pass the filter specified by FilterMode.

2 Parameter(s)

Datarow (Datarow)
Datarow to use.

FilterMode (Any)
Currently, one can use "+" to filter positive values, "-" to filter negative values and a datarow containing elements 0(


Function: Filter_Add

Registers a filter in the main program. Only registered filter can be used.

2 Parameter(s)

ID (Text)
A unique ID for the identification of the indicator.

Parameters (Text)
Possible values (separated by semicolon):

Group: Group of filter (0=Other, 1=Fundamentals, 2=Quote data, 3=Indicators, 4=User)
Name: Name of the filter
Powerfilter: (true/false).


Function: Filter_AddDate

Inserts date chooser.

1 Parameter(s)

Parameters (Text)
Properties of the parameter, separated by semicolon:

VarName - Text: Name of parameter in the script, which shall contain the value when executing.


Function: Filter_AddList

Inserts a dropdown list

1 Parameter(s)

Parameters (Text)
Properties of the parameter, separated by semicolon:

Select_Options - Comma separated list: Values which shall appear in list.

Special: @indicators (Indicators), @area (Investment areas), @country (Countries), @currency (Currencies), @emittent (Emittents), @exchange (Trading center), @sector (Lines of business), @segment (Segments)

Select_Values - Comma separated list: Values, which are returned instead of the direct value of Select_Value (e.g.: assign text to a number).

VarName - Text: Name of the parameter in the script, which contains the value at execution.

VarType - Number: Type of parameter (0=Long, 1=Double, 2=String, 4=Boolean)


Function: Filter_AddSymbol

Inserts a symbol selection textbox

1 Parameter(s)

Parameters (Text, optional)
Properties of the parameter, separated by semicolon:

Select_Options - Comma separated list: Values which shall appear in list.

Special: @indicators (Indicators), @area (Investment areas), @country (Countries), @currency (Currencies), @emittent (Emittents), @exchange (Trading center), @sector (Lines of business), @segment (Segments)

Select_Values - Comma separated list: Values, which are returned instead of the direct value of Select_Value (e.g.: assign text to a number).

VarName - Text: Name of the parameter in the script, which contains the value at execution.

VarType - Number: Type of parameter (0=Long, 1=Double, 2=String, 4=Boolean)


Function: Filter_AddText

Inserts a label

1 Parameter(s)

Text (Text)
Text which is shown in the dialog.


Function: Filter_AddTextBox

Inserts a textbox

1 Parameter(s)

Parameters (Text)
Properties of the parameter, separated by semicolon:

Select_Options - Comma separated list: Values which shall appear in list.

Select_Values - Comma separated list: Values, which are returned instead of the direct value of Select_Value (e.g.: assign text to a number).

VarName - Text: Name of the parameter in the script, which contains the value at execution.

VarType - Number: Type of parameter (0=Long, 1=Double, 2=String, 4=Boolean)


Function: FindPeak

Returns the index of the next peak (using the highs). If no parameter is given, it will search from the beginning.

1 Parameter(s)

Start index (Number, optional)
The function will start at this index.


Function: FindPeaksAndValleys

Finds the peaks and valleys of a chart.

4 Parameter(s)

Highs (Datarow)
The highbar-datarow to use, f.e. '$highbar'

Lows (Datarow)
The lowbar-datarow to use, f.e. '$lowbar'

BarCount (Number)
Number of (neighbor-)bars on each side to be lower/higher.

HigherHighs (True/False)
If true, the neighbors have to be ASCENDING/DESCENDING higher/lower.


Function: FindValley

Returns the index of the next valley (using the lows). If no parameter is given, it will search from the beginning.

1 Parameter(s)

Start index (Number, optional)
The function will start at this index.


Function: FixedStop

Calculates a fixed stop starting at a given datapoint and returns an assoziative array containing the info: Found, DataPoint, StopLevel, CurValue

6 Parameter(s)

Direction (Number)
Market direction in which the stop should be calculated: $Long, $Short

StartIdx (Number)
Datapoint at which the calculation starts

EndIdx (Number)
Datapoint at which the calculation ends. If zero, the end of the chart will be assumed.

StartValue (Number)
The initial value at which the calculation starts. If zero the close of the bar at StartIdx will be assumed.

Max. loss (Number)
Max. loss

Type (Number)
Type


Function: ForceIdx

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: FormatDate

Formats a date string

Extended help available: Show

2 Parameter(s)

Date (Text)
Date to convert, in UniDate format.

Format (Text)
Format which defines how the date is to be converted.

For a list of possible values please use the help.


Function: FormatNumber

Formats a number

2 Parameter(s)

Input (Text)
Number or string to format

Format (Text, optional)
Format definition or empty for regional number format


Function: FPlotCount

Returns the number of plots in the foundation.

0 Parameter(s)


Function: FPlotSort

Sorts the plots by a text parameter.

1 Parameter(s)

Sorting criteria (Text)
The plots will be sorted by a parameter for easier access. The name of the parameter is always the VarName defined in AddParameter() (e.g.: days in a MA).


Function: GapMarker

Marks gaps in the chart. These appear when the low of the previous day is above the high of current day and vice versa.

6 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Circle gaps (Number, optional)

Lines inside chart (Number, optional)

Lines outside chart (Number, optional)

Minimum Gap (Number, optional)


Function: GD

Smoothes a graph over a given period of time.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Type (Number, optional)

Possible values: 0 (Linear), 1 (Weighted), 2 (Exponential)

Periods (Number, optional)

X-Shift (Number, optional)


Function: GetChartAge

Returns the seconds passed since the last data update of the chart where the script is linked to as an indicator.

0 Parameter(s)


Function: GetChartType

Returns the chart type of the plot: 0-Line, 1-Bar, 2-Histogram, 3-Histogram, 4-Bar (OHLC), 5-Candlestick, 6-Points, 7-P&F, 8-Equivolume, 9-CandlePower, 10-Steps, 11-Renko, 12-Symetrics

0 Parameter(s)


Function: GetDataSourceInfo

Returns an associative array containing all data sources with information and current state.

0 Parameter(s)


Function: GetFolder

Returns all IDs of a catalog in an array.

1 Parameter(s)

Catalog name/ID (Text)
Name of catalog as string or the database ID (as returned by a dropdown list of the type @folders). A positive ID signals a catalog, a negative ID a folder.


Function: GetFolderList

Returns a list with the IDs of user created folders (negative IDs for direct use in Folder* functions).

0 Parameter(s)


Function: GetFPlotParam

Returns the current value of a parameter of a subordinate indicator (foundation). This way for example you can obtain the number of days in a MA (Days).

2 Parameter(s)

Parameter name (Text)
Name of parameter

Plot (Text)
Number or ID (String, which is set in the function Indicator_AutoCreate()) of the plot. Using a number can be helpful when using several indicators of one kind (e.g. MA) and sorting them by period. The first plot will then be the shortest, the last one the longest.


Function: GetKeyFromPlotID

Returns the identification to a numerical ID for a datarow.

1 Parameter(s)

ExtID (Number)
ExtID


Function: GetLanguage

Returns the ID of the current language. If no parameters are passed the ID will be returned without any restrictions. If you want to limit the possible return values to a certain pool, you can pass the values separated by comma as a string parameter. Is one of the languages active, it will be returned, otherwise the first value.

1 Parameter(s)

IDs (Text, optional)
Optionally separate the valid language IDs by comma. If you want to limit the possible return values to a certain pool, you can pass the values separated by comma as a string parameter. Is one of the languages active, it will be returned, otherwise the first value.


Function: GetNews

Returns the news for a symbol as an associative array with the fields ID, Date, Text, IsRead, Category and WKNID.

1 Parameter(s)

WKN/ID (Text, optional)
Symbol or internal ID (WKNID) of the stock.


Function: GetPlotParam

Returns the value of a parameter of an indicator. This way it is for example possible to obtain the number of days in a MA (Days).

1 Parameter(s)

Parameter name (Text)
Name of parameter


Function: GetPortfolioIDs

Returns an array with the IDs of all portfolios of the current user.

0 Parameter(s)


Function: GetPortfolioPositions

Returns an array with offset 1 containing the IDs of the currently open positions in the given portfolio.

1 Parameter(s)

PortfolioID (Text)
ID of portfolio


Function: GetProfile

Shows all available profiling information.

0 Parameter(s)


Function: GetSignalProfits

Returns the signal profits in a datarow with the profits at the bar at which they occurred, zero otherwise.

0 Parameter(s)


Function: GetSignals

Returns an associative array of all signals in the main chart window (chart 1). The following fields will be returned: Datapoint, Consider, Name, Profit, ProfitAbs, Profit1000, RefPoint, RefSignal, SortWeight, SourceType, Text, Type, Value, Visible, Weight

0 Parameter(s)


Function: GetTransactionIDs

Returns an array with the IDs of all transactions in a portfolio.

2 Parameter(s)

PortfolioID (Text)
ID of portfolio

WKN/ID (Text, optional)
Symbol or internal ID (WKNID) of the stock.


Function: GetUniDate

Creates a language independant unidate date string, which can be passed to functions with date parameters. The unified date has the format yyyy-mm-dd-hh-nn-ss.

6 Parameter(s)

Year (Text)
Enter the year here.

Month (Text)
Enter the month here.

Day (Text)
Enter the day here.

Hour (Text, optional)
Enter the hour here.

Minutes (Text, optional)
Enter the minutes here.

Second (Text, optional)
Enter the seconds here.


Function: HAD

haDiffCO indicator, plots haClose - haOpen, apply to Heikin-Ashi chart only! Moving average creates Mov-HaDiffCO indicator, signals are set on crossover.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: HasBuySignal

Returns a Boolean datarow with true for every point, where a buy signal is set.

1 Parameter(s)

Signal datarow (Datarow)
Contains a datarow with signal constants as returned by CacheData() or from keys via _signals.


Function: HasSellSignal

Returns a Boolean datarow with true for every point, where a sell signal is set.

1 Parameter(s)

Signal datarow (Datarow)
Contains a datarow with signal constants as returned by CacheData() or from keys via _signals.


Function: HasSignal

Returns a Boolean datarow with true for every point, where the requested signal is set.

2 Parameter(s)

Signal datarow (Datarow)
Contains a datarow with signal constants as returned by CacheData() or from keys via _signals.

Signal type (Number)
Contains the signal type to check for.


Function: HideFilterMon

Hides the filter monitor.

0 Parameter(s)


Function: HideScriptMon

Hides the script monitor.

0 Parameter(s)


Function: Histogram

Plots the difference between two graphs.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Type (Number, optional)

Possible values: 0 (Difference), 1 (Quotient)

Swap (Number, optional)

Coloring (Number, optional)

Possible values: 0 (Simple), 1 (Pos/Neg), 2 (Inc/Dec)


Function: Hour

Returns the hour of a unidate or if omitted the current date.

1 Parameter(s)

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)


Function: Identity

Creates the identity matrix of given dimension.

1 Parameter(s)

Dimension (Number)
Gives the dimension of the identity matrix to be created.


Function: IIf

If Input is true, IIf returns TrueReturn, FalseReturn otherwise. If Input is a datarow, the function is applied for every element.

3 Parameter(s)

Input (None)
Boolean or datarow input

TrueReturn (None)
The value to return if Input is true.

FalseReturn (None)
The value to return if Input is false.


Function: IKH

Ichomoku Kinko Hyo is a Japanese charting technique which shows where a market is headed and provides entry and exit points. Ichimoku analysis is similar to Moving Average analysis. Buy and sell signals are given by cross-overs. A bullish signal is issued when the Tenkan Sen crosses Kijun Sen from below. Conversely, a bearish signal is given when Tenkan Sen crosses Kijun Sen from above.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Senkou Periods (Number, optional)


Function: IKHC

n/a

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Span Periods (Number, optional)


Function: IKHK

n/a

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: IKHS

n/a

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: IKHT

n/a

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: InBuySignal

Returns a Boolean datarow with true starting at the point, where a buy signal is set, until another signal occurs.

2 Parameter(s)

Signal datarow (Datarow)
Contains a datarow with signal constants as returned by CacheData() or from keys via _signals.

Echo (Number, optional)
Number of periods signal should be valid after the first occurrence. If set to zero, it will be valid until the next signal.


Function: Include

Includes are performed BEFORE the script is executed. the text taken from the given file will replace the include expression

1 Parameter(s)

File (Text)
Text, which gives the full path of the file to include. If no path is given, the path will be taken from the variable '$scriptdir'.


Function: Indicator_Add

Registered an indicators under a given unique ID so it can be used later on. Furthermore, many additional settings can be made to influence the presentation of the indicator.

Extended help available: Show

2 Parameter(s)

ID (Text)
A unique ID for the identification of the indicator.

Parameters (Text, optional)
Properties of the indicator, separated by semicolon:

Accept: Only indicators of this type can be used as foundation indicators. (_Any is a placeholder for any indicator)
Description: Description
MinAccept: Minimum amount of fundation indicators of the type Accept.
MaxAccept: Maximum amount of fundation indicators of the type Accept.
Name: Name
ShortName: Short name (shown in chartinfo)
SignalsOnly: Indicator creates signals only (true/false)
Type: Type of indicator (0=Normal, 1=Stop system)


Function: Indicator_AddParam

Registers a parameter for an indicator.

1 Parameter(s)

Parameters (Text)
Properties of the parameter, separated by semicolon:

Default - Text: Default value
Description - Text: Description
Max - Number: Maximum value
Min - Number: Minimum value
OptMax - Number: Default value for optimization maximum
OptMin - Number: Default value for optimization minimum
OptStep - Number: Default value for optimization step
Pane - Number: Unused
Select_Options - Comma separated list: Values which shall appear in a dropdown list. (Special: @folders shows all folders and catalogs)
Select_Values - Comma separated list: Values, which should be passed to the indicator instead of the direct value (Select_Value) of the dropdown (e.g.: use numbers for a string).
Type: Type of the parameter (0=Textfield, 1=Dropdown list)
VarName - Text: Name of parameter in the script, which shall contain the value when executing.
VarType: Type of parameter (Default: 1=Number)


Function: Indicator_AutoCreate

Creates additional indicators when inserting this indicator into a chart template. You can insert those as above (e.g.: Volume for Volume indicators) as well as subordinate indicators in any depth and nesting. Through the ID it is possible to access those later when executing the indicator.

5 Parameter(s)

ID (Text)
A unique ID for the identification of the indicator.

Root (Text)
ID Root

Params (Text)
Parameters of the indicator. These need to be in the order as they were defined. Example: MA|0|20|0

ExtParams (Text)
Parameters for setting extended properties of the indicator, separated by pipe character (|) (Signals, PlotType, Visible). Example: Signals:Buy,Sell|Visible:True or PlotType:1 or Signals:None|Visible:False

Type (Number)
Position of the indicator (0=normal, 1=subordinate (foundation))


Function: Indicator_Signal

Returns the last signal of an indicator. (0=None or any $SIGNAL constant value)

3 Parameter(s)

WKN/ID (Number)
Symbol or internal ID (WKNID) of the stock.

Indicator parameters (Text)
A string which contains the parameters of the indicator. This string will be returned also by filters using a list of the type @indicator.

Periods (Number)
Maximum period, 0 for unlimited


Function: Indicator_Value

Returns the last value of an indicator.

2 Parameter(s)

WKN/ID (Number)
Symbol or internal ID (WKNID) of the stock.

Indicator parameters (Text)
A string which contains the parameters of the indicator. This string will be returned also by filters using a list of the type @indicator.


Function: InputBox

Prompts the user to enter a text. Returns an empty string if the user canceled the dialog.

2 Parameter(s)

Text (Text)
Text which tells the user what to enter.

Default (Text, optional)
Default value for the text.


Function: InSellSignal

Returns a Boolean datarow with true starting at the point, where a sell signal is set, until another signal occurs.

2 Parameter(s)

Signal datarow (Datarow)
Contains a datarow with signal constants as returned by CacheData() or from keys via _signals.

Echo (Number, optional)
Number of periods signal should be valid after the first occurrence. If set to zero, it will be valid until the next signal.


Function: InsertColumn

Inserts the given source matrix into the given target matrix starting at the given column index.

3 Parameter(s)

TargetMatrix (Matrix)
The source matrix.

SourceMatrix (Matrix)
The source matrix.

Column (Number, optional)
The Column index in TargetMatrix at which SourceMatrix is to be inserted. Default=1.


Function: InsertIntradayQuote

Inserts a quote in the Intraday table. Returns true if successful.

10 Parameter(s)

WKN/ID (Text)
Symbol or internal ID (WKNID) of the stock.

Date (Text)
Takes a date in unidate format (String, created with CreateUniDate)

Close (Number)
Close

Volume (Number, optional)
Volume

Open (Number, optional)
Open

High (Number, optional)
High

Low (Number, optional)
Low

Date correction (True/False, optional)
Corrects the date automatically if it defines a weekend or a holiday (considering the country code).

Source (Number, optional)
Optional ID for the data source. This way it is easier to delete quotes later on (always greater/equal 10, below is reserved). Default: 10.

Country code (Number, optional)
Country from which the quote is from in order to calculate holidays correctly. Default: 49 for Germany.


Function: InsertNews

Text

4 Parameter(s)

Text (Text)
The text of the news message. The first line will be interpreted as the headline.

Date (Text, optional)
The date when the news has been released in unidate format.

WKN/ID (Text, optional)
Symbol or internal ID (WKNID) of the stock.

Category (Text, optional)
News category either by full name, short key or database number.


Function: InsertQuote

Inserts a quote in the end of day table and deletes an existing quote if necessary. Returns true if successful.

10 Parameter(s)

WKN/ID (Text)
Symbol or internal ID (WKNID) of the stock.

Date (Text)
Takes a date in unidate format (String, created with CreateUniDate)

Close (Number)
Close

Volume (Number, optional)
Volume

Open (Number, optional)
Open

High (Number, optional)
High

Low (Number, optional)
Low

Delete (True/False, optional)
If true, an existing quote for that date will be deleted first. This option will slow down the insertion process by one third.

Date correction (True/False, optional)
Corrects the date automatically if it defines a weekend or a holiday (considering the country code).

Country code (Number, optional)
Country from which the quote is from in order to calculate holidays correctly. Default: 49 for Germany.


Function: InsertQuoteCache

Saves all quotes in the database which where inserted by the InsertQuote() functions. InsertQuoteCacheActivate() needs to be called prior to the insert operations.

0 Parameter(s)


Function: InsertQuoteCacheActivate

Activates or deactivates the quote cache for speeding up insertion operations via InsertQuote() and InsertIntradayQuote().

1 Parameter(s)

Cache status (True/False)
If true, the quote cache will be activated.


Function: InsertRow

Inserts the given source matrix into the given target matrix starting at the given row index.

3 Parameter(s)

TargetMatrix (Matrix)
The source matrix.

SourceMatrix (Matrix)
The source matrix.

Row (Number, optional)
The row index in TargetMatrix at which SourceMatrix is to be inserted. Default=1.


Function: InsertSymbolInfo

Inserts fundamental data for stocks.

3 Parameter(s)

WKN/ID (Text)
Symbol or internal ID (WKNID) of the stock.

Infotype (Text)
Possible values:

GeneralMeeting - Date of general meeting in unidate format
Name - Stock name

Value (Text)
The value depends on the info type. Date values do always have to be in unidate format.


Function: InSignal

Returns a Boolean datarow with true starting at the point, where the requested signal is set, until another signal occurs.

3 Parameter(s)

Signal datarow (Datarow)
Contains a datarow with signal constants as returned by CacheData() or from keys via _signals.

Signal type (Number)
Contains the signal type to check for.

Echo (Number, optional)
Number of periods signal should be valid after the first occurrence. If set to zero, it will be valid until the next signal.


Function: InStr

Returns the position of the first occurrence of key in the given text or 0, if key does not occur

3 Parameter(s)

Text (Text)
Text

Key (Text)
Key

StartPosition (Number, optional)
Position to start searching from.


Function: Int

Cuts the non-integer part of a number

1 Parameter(s)

Number (Number)
A number or datarow


Function: Inv

Calculates the inverse of a matrix. Returns a matrix.

1 Parameter(s)

Matrix (Matrix)
The source matrix.


Function: InvMP

Calculates the Moore Penrose Inverse of the given source matrix. Short for the following line : Inv(Trans(m) * m) * Trans(m).

1 Parameter(s)

Matrix (Matrix)
The source matrix.


Function: IsBlackCandle

Returns true, if the close is below the opening quote.

1 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.


Function: IsInsideDay

Returns true if the bar is an inside day (low higher and high lower than previous bar).

1 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.


Function: IsOutsideDay

Returns true if the bar is an outside day (low lower and high higher than previous bar).

1 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.


Function: IsWhiteCandle

Returns true, if the close is equal or above the opening quote.

1 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.


Function: Join

Returns a string, which results form the concatenation of all elements of the given array with the given key.

2 Parameter(s)

Array (Array)
Array to join

Split-String (Text, optional)
A String which is inserted between every 2 array elements.


Function: KAMA

Developed by Perry Kaufman, this indicator is an EMA using an Efficiency Ratio to modify the smoothing constant, which ranges from a minimum of Fast Length to a maximum of Slow Length.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

KAMA Length (Number, optional)

Slow Length (Number, optional)

Fast Length (Number, optional)


Function: Keltner

The Keltner Channel indicator is used to identify overbought / oversold conditions as well as the trend strength of a market.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

MA Periods (Number, optional)

MA Type (Number, optional)

Possible values: 0 (simple), 1 (wheighted), 2 (exponential)

Band Factor (Number, optional)


Function: KRI

The Kairi shows the percentage difference between price and moving average.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Percentage base (Number, optional)

Possible values: 0 (Moving Average), 1 (Close)


Function: Kron

Performs a Kronecker multiplication of two matrices.

2 Parameter(s)

Matrix (Matrix)
The source matrix.

Matrix (Matrix)
The source matrix.


Function: KST

No description available.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Type (Number, optional)

Possible values: 0 (short term), 1 (mid term), 2 (long term)


Function: Lag

Moves elements of a datarow to the left or right.

3 Parameter(s)

Datarow (Datarow)
The source datarow.

Range (Number, optional)
Sets the number of elements to move to the left or right. Positive Values will move the data to the right, negative to the right.

Cut (True/False, optional)
Cut the result datarow to match the original. Default=true.


Function: LastBar

Index of the last element of a datarow.

1 Parameter(s)

Datarow (Datarow, optional)
The Datarow. If no parameter is passed, a global value will be returned.


Function: LCase

Convert upper- to lowercase

1 Parameter(s)

Text (Text)
Text


Function: Left

Returns a part of the given string from beginning to the given position

2 Parameter(s)

Text (Text)
Text

Length (Number)
Number of characters to copy


Function: Len

Returns the length of a string

1 Parameter(s)

Text (Text)
Text


Function: LMK

This representation of J. Livermores Market Key shows the different states a security is in. Use it on line charts! For more details please read the provided HTML file.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Three-Points percentage (Number, optional)

Three-Points calculation (Number, optional)

Possible values: 0 (dynamically), 1 (first value), 2 (last value)

show Pivot lines (Number, optional)


Function: LoadData

Loads data for the given symbol and the given resolution into an assoziative array with the fields close, open, high, low, volume, date.

2 Parameter(s)

WKN/ID (Text)
WKN/ID of stock

Resolution (Text, optional)
Resolution to load, as QuickRes string, e.g. 1y@1d for one year of daily data. If omitted, the current chart resolution will be used.


Function: LoadMatrix

Loads a matrix from a text file. The data should be separated by spaces.

2 Parameter(s)

Filename (Text)
Path to the file.

Skip (Number, optional)
Lines to skip in the text file (e.g. to skip header information).


Function: Log

Returns the logarithm of the given number to base e

1 Parameter(s)

Number (Number)
The given number must be greater 0


Function: MA

Smoothes a graph over a given period of time.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Type (Number, optional)

Possible values: 0 (Linear), 1 (Weighted), 2 (Exponential)

Periods (Number, optional)

X-Shift (Number, optional)


Function: MACD

The Moving Average Convergence/Divergence study creates signales from the smoothed difference of two moving averages.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: MACDHist

The Moving Average Convergence/Divergence study creates signales from the smoothed difference of two moving averages. This is the histogram of the study.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: MatrixColumn

Returns the column with the given index of the input matrix.

1 Parameter(s)

Matrix (Matrix)
The source matrix.


Function: MatrixDiagonal

Returns the main diagonal of a quadratic matrix as 1-column-matrix

1 Parameter(s)

Matrix (Matrix)
The source matrix.


Function: MatrixRow

Returns the row with the given index of the input matrix.

1 Parameter(s)

Matrix (Matrix)
The source matrix.


Function: MatrixToScript

Converts a matrix to a string which can be pasted into a script. This way data loaded from a file can be saved directly in a script.

2 Parameter(s)

Matrix (Matrix)
Matrix

Variable (Text)
Name of the variable to be used in the string.


Function: Max

Returns the greatest element in a given period for every element in a datarow.

2 Parameter(s)

Datarow (Variant)
Datarow to use.

Periods (Variant, optional)
Number of elements to search for maximum.


Function: MaxIdx

Returns the greatest element in a given period for every element in a datarow.

2 Parameter(s)

Datarow (Datarow)
Datarow to use.

Periods (Number, optional)
Number of elements to search for maximum.


Function: MaxValue

Calculates the greates value of a given array of datarows to every position and returns those values as a datarow.

1 Parameter(s)

Array of datarows (Array)
The datarows to compare given as an array.


Function: Mid

Returns a string containing given number of characters from given position

3 Parameter(s)

Text (Text)
Text

Position (Number)
Position, where the result starts

Length (Number, optional)
Number of characters to copy


Function: Midas

No description available.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

LaunchDay (Number, optional)

Input data (Number, optional)

Possible values: 5 (High & Low), 0 (Close), 2 (Open), 3 (High), 4 (Low)


Function: Midos

Implementation of the Midos system of Dennis McNicholl in his book Taming complexity in Trading.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Beta (Number, optional)

Gamma (Number, optional)

Omega (Number, optional)


Function: Min

Returns the smallest element in a given period for every element in a datarow or array.

2 Parameter(s)

Datarow (Variant)
Datarow to use.

Periods (Variant, optional)
Number of elements to search for minimum.


Function: MinIdx

Returns the smallest element in a given period for every element in a datarow or array.

2 Parameter(s)

Datarow (Datarow)
Datarow to use.

Periods (Number, optional)
Number of elements to search for minimum.


Function: Minute

Returns the minute of a unidate or if omitted the current date.

1 Parameter(s)

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)


Function: MinValue

Calculates the smallest value of a given array of datarows to every position and returns those values as a datarow.

1 Parameter(s)

Array of datarows (Datarow)
The datarows to compare given as an array.


Function: MJR

The Majority Rule calculates, which percentage of days within the period the price increased.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: MMAJS

MA modified by Joe Sharp, described in 'More Responsive Moving Averages'

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: MOM

Measures the speed of a quote movement. Values above 0 generate a buy signal and vice versa.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: MoneyFlow

No description available.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: Month

Returns the month of a unidate or if omitted the current date.

1 Parameter(s)

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)


Function: MonthStartIDs

Returns the bar ID of the first entry of a month for all days loaded in Intraday and EOD mode. This helps to quickly identify historical opening quotes and simplifies backtests.

0 Parameter(s)


Function: MPSAR

Modification of the Parabolic SAR by Dennis Meyers. A position change only occurs if the price exceeds / fells of the stop level by a given value, not only if the price crosses the stop level.

6 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Increment Acceleration (Number, optional)

Max Acceleration (Number, optional)

Long Crossover (Number, optional)

Short Crossover (Number, optional)


Function: MsgBox

Prompts the user with a message box. He can either confirm, cancel or select one of the predefined buttons. Returns a $MSGTYPE constant.

3 Parameter(s)

Text (Text)
Text which is shown in the dialog.

Type (Number, optional)
Type of message box: $OKOnly, $YesNo, $OKCancel.

Title (Text, optional)
Text which appears in the titlebar of the box.


Function: NormDistr

Calculates the probability using the standard distribution

1 Parameter(s)

Quantil (Number)


Function: NormDistrInv

Returns the quantil to a given probability from the standard distribution

1 Parameter(s)

Value (Number)


Function: NotisV

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: NTD

Positive indicator values represent an uptrend, negative values a downtrend. This way the NTD can show the trend speed: Values leaving the zero-line represent an accelerating trend, values moving towards zero represent the slow-down of a trend.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Perioden (Number, optional)


Function: NVI

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: OBV

No description available.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: OpenBrowser

Opens a web browser to display the given file.

1 Parameter(s)

Filename (Text)
File to open or if not existent, a temporary file with the given content will be created.


Function: PFAddBox

Returns the value of the box, which is a certain amount above or below.

2 Parameter(s)

Price (Number)
Price

Amount (Number)
Number of boxes to add/subtract.


Function: PFE

Use the PFE indicator to measure how trendy or congested the price action is. PFE readings above zero indicate that the trend is up and the higher the reading the trendier and more efficient the upward movement. PFE readings below zero mean that the trend is down. The lower the reading the trendier and more efficient the downward movement. Readings near zero indicate choppy, less efficient movement and a balance between supply and demand.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)

Smooth Periods (Number, optional)

Correction factor (Number, optional)


Function: PlayMidi

Plays a custom note through midi.

2 Parameter(s)

Note number (Number)
Number of the note to play. Ranges from 1 to 127. Use 60 for C4.

Note length (Number, optional)
Length of the note in milliseconds.


Function: PlaySound

Plays a sound file in WAV format.

1 Parameter(s)

Filename (Text)
Path to the file.


Function: Plot

Plots a complete datarow (array) into the chart. This way you can easily return indicator values without using a for loop.

6 Parameter(s)

Close (Datarow)
Close

Color (Number, optional)
Color

Open (Datarow, optional)
Open

High (Datarow, optional)
High

Low (Datarow, optional)
Low

Volume (Datarow, optional)
Volume


Function: POB

n/a

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)

Level (Number, optional)


Function: PortfolioCount

Returns the number of portfolios of the current user.

0 Parameter(s)


Function: PortfolioInfo

Returns several kinds of information about a portfolio.

2 Parameter(s)

PortfolioID (Number)
A list of all IDs is returned by the function GetPortfolioIDs().

Infotype (Text)
Possible values:

AccountID: ID of account
Name: Portfolio name
Number: Portfolio number
TransactionCount: Number of transactions


Function: PositionInfo

Returns information and important figures about a single position in a portfolio.

3 Parameter(s)

PortfolioID (Number)
A list of all IDs is returned by the function GetPortfolioIDs().

WKN/ID (Number)
Symbol or internal ID (WKNID) of the stock.

Infotype (Text)
Possible values:

Amount: Number of stocks
BreakEven: Breakeven value


Function: PowerFilter

Checks all values in the database for a given criteria and returns valid entries.

1 Parameter(s)

Criteria (Text)
Any direct database condition can be used here.


Function: Print

Prints a text or the content of a variable into the script monitor.

1 Parameter(s)

Text (Any)
Text to print


Function: ProgInfo

Returns different kinds of information about the software.

1 Parameter(s)

Infotype (Text)
Possible values:

Language: Current language code (49=German, 1=English)
Version: Version (e.g.: 1.3.13)


Function: PSAR

The Parabolic SAR is based on the Stop And Reverse (SAR) method. It is calculated using both time and price, the result is a series of trailing stops on a curved line (like a parabola approaching the chart). Reaching the chart line means a trend change.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Start Acceleration (Number, optional)

Increment (Number, optional)

Max Acceleration (Number, optional)


Function: PSL

A psychological line is based on the number of time intervals the market was up during the preceding period.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: PVI

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: PVT

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: QBar

Returns a quote value of the up most (main) datarow (right now only stock quote).

3 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.

Datatype (Number)
Value for the quote type (see $QUOTETYPE).

Datarow (Number, optional)
For identifying datarows a continuous number is used. This value is 1 by default and only needs to be used in indicators with several datarows (e.g. envelopes, where an upper and lower line exists).


Function: Quote

Returns different types of quote information for a stock.

3 Parameter(s)

WKN/ID (Number)
Symbol or internal ID (WKNID) of the stock.

Datatype (Number)
Value for the quote type (see $QUOTETYPE).

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)


Function: Quotes

Returns all quotes of a stock in an associative array with the fields Date, Close, Volume, Open, High, Low with Date in unidate format.

3 Parameter(s)

WKN/ID (Number)
Symbol or internal ID (WKNID) of the stock.

Intraday (True/False, optional)
Returns quotes from the Intraday database if true, otherwise end of day values.

Start date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)


Function: RandomEnd

Creates a random quote development at the end of the graph. This interesting for testing the reaction of trading systems as well as random walk tests. The original graph will be copied in order to allow other indicators to calculate signals.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Max. loss (Number, optional)

Max. profit (Number, optional)

Periods (Number, optional)


Function: RandomGraph

Create a random graph. This way it is possible to test random walk theories.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Max. loss (Number, optional)

Max. profit (Number, optional)


Function: RandomSignals

Generates random trading signals.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Buy signals (Number, optional)

Sell signals (Number, optional)


Function: RangeSignal

Triggers a buy signal when the graph crosses the upper boundary and a sell signal, when it crosses the lower boundary.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Buy at (Number, optional)

Sell at (Number, optional)


Function: RAVI

The Range Action Verification Index (RAVI) indicator, developed by Tushar Chande can be used to identify whether the market is trending. It attempts to improve on the Average Directional Index (ADX) and is claimed by the author to respond more predictably to price fluctuations than the ADX.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Trigger (Number, optional)


Function: RegOK

Returns the state of a license. Available public licenses are right now "prof" and "ibffc".

1 Parameter(s)

License name (Text)
Name of the license. Currently available: prof, ibffc


Function: RemittanceOrder

Transfers money to a portfolio.

2 Parameter(s)

PortfolioID (Text)
ID/Name of the portfolio.

Value (Number)
Value


Function: RemoveFromFolder

Deletes a symbol from a folder.

2 Parameter(s)

Folder name (Text)
Name of folder.

WKN/ID (Text)
Symbol or internal ID (WKNID) of the stock.


Function: RemoveFromFolderIfOlder

Removes all symbols from a folder which have been inserted before a given date.

2 Parameter(s)

Folder name (Text)
Name of folder.

Date (Text)
Takes a date in unidate format (String, created with CreateUniDate)


Function: Replace

Replaces all occurrences of key in text with replacement

3 Parameter(s)

Text (Text)
Text

Key (Text)
Text to be replaced

Replacement (Text)
Text to replace the occurrences of key


Function: Return

Returns the result of the script. This is being used by filters and list columns.

1 Parameter(s)

Result (Any)
Result of the script


Function: ReturnNumber

Returns the numerical result of a script.

1 Parameter(s)

Result (Number)
Result of the script


Function: RGB

Returns the combined color value from a mixture of red, green and blue components.

3 Parameter(s)

Red (Number)
Contains the amount of color from 0 to 255.

Green (Number)
Contains the amount of color from 0 to 255.

Blue (Number)
Contains the amount of color from 0 to 255.


Function: Right

Returns the given number of characters from the end of the given string

2 Parameter(s)

Text (Text)
Text

Length (Number)
Number of characters to copy


Function: RMI

The Relative Momentum Index function determines the internal momentum of a field using the number of upward and downward price changes across a given number of bars over a given period of time.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

RMI Periods (Number, optional)

MOM Periods (Number, optional)


Function: Rnd

Returns a random number greater/equal 0 and less/equal to the given boundary or 1 if no boundary defined

1 Parameter(s)

Boundary (Number, optional)
Boundary of the random number. Default 1


Function: ROC

Measures the rate of change of a quote movement. Values above 100 generate a buy signal and vice versa.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: Round

Rounds a number

2 Parameter(s)

Number (Number)
A number or datarow

Digits (Number, optional)
Number of digits


Function: RowCount

Returns the number of rows in the input matrix.

1 Parameter(s)

Matrix (Matrix)
The source matrix.


Function: RSI

The market is supposed to be oversold when reaching the lower limit and vice versa.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)

Overbought (Number, optional)

Oversold (Number, optional)


Function: RSI-Classic

The market is supposed to be oversold when reaching the lower limit and vice versa.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)

Overbought (Number, optional)

Oversold (Number, optional)


Function: RSI3M3

The RSI3M3 is a 3-bar RSI smoothed with a 3-bar moving average.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

MA Length (Number, optional)

Type (Number, optional)

Possible values: 0 (normal), 1 (detrended)

Dentrend Length (Number, optional)


Function: RSIW

The market is supposed to be oversold when reaching the lower limit and vice versa.

5 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)

Overbought (Number, optional)

Oversold (Number, optional)


Function: RSL

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: RunProgram

Calls an executable file or webpage and returns the numeric result value.

1 Parameter(s)

Filename (Text)
Path to the file.


Function: RVI

This indicator was developed based the January 2002 Stocks and Commodities article entitled Relative Vigor Index. This indicator is an oscillator built on the basic equation (CL - OP) / (HI - LO). The oscillator is basically in phase with the cyclic component of the market prices.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Display (Number, optional)

Possible values: 0 (Line), 1 (Oscillator)

Periods (Number, optional)


Function: Second

Returns the second of a unidate or if omitted the current date.

1 Parameter(s)

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)


Function: SellCondition

Generates sell signals from a datarow condition.

2 Parameter(s)

Condition (Datarow)
Contains a datarow of Booleans (1 for true, 0 for false).

Show redundant (True/False, optional)
Set to true, if all signals should be generated, even if consecutive. Otherwise only the first signal of each type will be shown.


Function: SellPrediction

Predicts a signal at a given price. The information will be shown in the chart and can be displayed in lists. Optionally a date can be entered. If not supplied, the date of the next bar will be assumed.

3 Parameter(s)

Price (Number)
Price

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)

Text (Text, optional)
Text to print


Function: SendMail

Sends an E-Mail

5 Parameter(s)

Recipient (Text)
E-Mail address of the recipient. Multiple recipients can be separated by semicolon.

Subject (Text)

Text (Text)

Attachment (Text, optional)
Path to a file which should be attached.

Sender (Text, optional)
The sender setting identifies the E-Mail account which should be used to send the E-Mail. Only accounts defined in the local database can be used. By default the account created last will be used.


Function: Serialize

Serializes any value to a specific file.

2 Parameter(s)

Value (None)
The value (of any type including arrays and datarows) to be serialized.

Filename (Text)
The name of the file to write the given value to.


Function: SetBigUpdate

Signals that a quote update has occurred and that all windows should be updated now. The user does not have to do anything this way.

0 Parameter(s)


Function: SetBounds

With SetBounds, you can manually set the lower and upper bound of a datarow.

3 Parameter(s)

Datarow (Datarow)
Datarow to use.

LBound (Number)
The new lower bound.

UBound (Number, optional)
The new Upper bound.


Function: SetColor

Sets the color of drawings and indicators.

2 Parameter(s)

ObjectID (Number)
The ObjektID is an identifier returned by drawing functions like DrawLine() or indicator functions like SetPoint().

Value (Number)
Value


Function: SetDez

Returns a text in the form X.XX where there are always two digits after the colon. Preferences for regional decimal values will be used.

1 Parameter(s)

Number (Text)
Number or text to format.


Function: SetHistoricalDate

Activates the historical date functionality. All functions including data functions will return data only up to this date.

1 Parameter(s)

Date (Text)
Takes a date in unidate format (String, created with CreateUniDate)


Function: SetPoint

Assigns a value to a point in the chart.

3 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.

Price (Number)
Price

Datarow (Number, optional)
For identifying datarows a continuous number is used. This value is 1 by default and only needs to be used in indicators with several datarows (e.g. envelopes, where an upper and lower line exists).


Function: SetProgress

Returns information about the progress of the current script and enables the user to do other tasks while waiting. The main program will not lock up. SetProgressMax() should be called prior to this to set the maximum value.

Extended help available: Show

2 Parameter(s)

Progress (Number)
The progress can be a value in the range of 0 to SetProgressMax (default 100).

Intermediate result (Text, optional)
This text will be printed out in the script monitor while calculating.


Function: SetProgressMax

Sets the range of the progress. This way the progress of a for loop can easily be visualized. For indicators the maximum will automatically be set to the $LastBar value prior to executing but can be overwritten with this function.

1 Parameter(s)

Maximum value (Number)
The progress can be a value in the range of 0 to SetProgressMax (default 100).


Function: SetSignal

Creates a signal at a datapoint in the chart and returns the ID (for creating references with other signals).

6 Parameter(s)

Datapoint (Number)
ID of the datapoint. This is a continuous number greater 1 which references to a certain date on the timeline.

Type (Number)
Value for signal (see $SIGNAL)

Description (Text, optional)
Description of the signal, which is shown in the info tab when moving the mouse over a signal

Price (Number, optional)
Connect signal with fixed value, otherwise the close quote will be used for calculations.

DisableChecks (True/False, optional)
If set true, no checks will be performed if signal value has a corresponding price value in the chart. This may cause signals to appear outside of bars. Use with caution since it might make the backtesting unrealistic.

Signal link (Number, optional)
Connects the signal with another previous signal. It is only valid in connection with this signal, otherwise will be canceled out.


Function: SetSignals

Creates signals from a datarow containing the signal type for each bar or zero if no signal is to be created.

2 Parameter(s)

Condition (Datarow)
Contains a datarow of Booleans (1 for true, 0 for false).

Show redundant (True/False, optional)
Set to true, if all signals should be generated, even if consecutive. Otherwise only the first signal of each type will be shown.


Function: SetSignalsOnCrossOver

Sets the signals for a complete datarow at once. The first datarow crossing the second one upwards creates a buy signal and a sell signal when crossing downwards. If the third parameter is omitted, it is set equal to the second. It is also possible to use constant values instead of datarows to create signals when crossing a horizontal line.

5 Parameter(s)

Source values (Datarow)
The datarow containing the source values.

Source values (Datarow)
The datarow containing the source values.

Source values (Datarow, optional)
The datarow containing the source values.

Swap (True/False, optional)
Generates a buy instead of a sell signal and vice versa when true.

Type (Number, optional)
If omitted, the type is set automatically between buy and sell. If you only want to generate one type of signals (e.g. cover) then you can supply this information here.


Function: SetThickness

Sets the thickness of drawings and indicators.

2 Parameter(s)

ObjectID (Number)
The ObjektID is an identifier returned by drawing functions like DrawLine() or indicator functions like SetPoint().

Value (Number)
Value


Function: Sgn

Returns the sign of a number (-1 for values < 0, 1 for values > 0, 0 for value = 0).

1 Parameter(s)

Number (Number)
A number or datarow


Function: ShowFilterMon

Displays the filter monitor.

0 Parameter(s)


Function: ShowScriptMon

Displays the script monitor.

0 Parameter(s)


Function: Sin

Calculates the sine of the input given in either radians (Second parameter=false) or degree (Second parameter=true).

2 Parameter(s)

Input (None)
Any variable type out of Number, String, Boolean, Matrix, DataRow. For Matrix and DataRow, the result is calculated per element.

Degree (True/False, optional)
True, if the input should be treaded as measured in degree, otherwise false (default).


Function: Sort

Sorts a matrix by a given column (or by the first column if omitted) and returns the sorted matrix.

2 Parameter(s)

Matrix (Matrix)
Matrix

Column (Number, optional)
The optional index of the column which is the source for the sorting procedure.


Function: Split

Returns an array of strings, which result from splitting the given string on every occurrence of the given key.

2 Parameter(s)

Text (Text)
Text to split

Key (Text)
String, at which the source string is splitted.


Function: Sqrt

Square root of a number

1 Parameter(s)

Number (Number)
The number must be greater or equal 0


Function: SROC

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: StartBar

Index of the first element of a datarow.

1 Parameter(s)

Datarow (Datarow, optional)
The Datarow. If no parameter is passed, a global value will be returned.


Function: StdDev

Calculates the Standard Deviation of the Close values.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: STOCH

The Stochastic indicator is one of todays most widely known and used oscillators. It represents the relation of the difference of todays close and the used periods all time low calculated against its trading range. The Stochastic indicator always moves in the range 0% to 100%.

7 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Type (Number, optional)

Possible values: 0 (Fast), 1 (Slow), 2 (Both)

Periods (%K) (Number, optional)

Periods (%D) (Number, optional)

Sell above (Number, optional)

Buy below (Number, optional)


Function: Sum

For every element of datarow, Sum Calculates the sum of the last period of values.

2 Parameter(s)

Datarow (Variant)
Datarow to use.

Period (Number, optional)
Number of values to sum up.


Function: SymbolCount

Returns the number of available stocks in the internal database.

0 Parameter(s)


Function: SymbolInfo

Returns information about the stock.

3 Parameter(s)

WKN/ID (Number)
Symbol or internal ID (WKNID) of the stock.

Infotype (Number)
Possible values:

The following parameters also have the suffix _ID, which returns the ID of the entry (for filters etc.):

Area: Investment area
Country: Country
Currency: Currency
Emittent: Emittent
Exchange: Trading center
Sector: Line of business
Segment: Segment

The following entries do not support an ID field:

AllTimeHigh: All time high (third parameter for field: QClose, QHigh, QLow, QVol)
AllTimeLow: All time low (third parameter see AllTimeHigh)
Diff: Absolute value of the difference to the previous day
DiffRel: Relative difference to the previous day
GeneralMeeting: Date of general meeting in UniDate format
LastQuoteDate: Date of last quote in UniDate format
Name: Name
Quote: Current quote
WKN: Symbol

Datatype (Number, optional)
Value for the quote type (see $QUOTETYPE).


Function: Synchronize

Synchronizes a data array loaded with LoadData() to align to the current chart resolution. An array of datarows will be returned, where index 0=close, 1=volume, 2=open, 3=high, 4=low

1 Parameter(s)

Input data (Number)
Data loaded with LoadData()


Function: System_Signal

Returns the last signal in a trading system. (0=None or any $SIGNAL constant value)

3 Parameter(s)

WKN/ID (Number)
Symbol or internal ID (WKNID) of the stock.

TemplateID (Number)
ID of the trading system.

Periods (Number)
Maximum period, 0 for unlimited


Function: T3

By Bob Fulks, modified by Alex Matulich 4/2003.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Period1 (Number, optional)

Smooth (Number, optional)


Function: Tan

Calculates the tangent of the input given in either radians (Second parameter=false) or degree (Second parameter=true).

2 Parameter(s)

Input (None)
Any variable type out of Number, String, Boolean, Matrix, DataRow. For Matrix and DataRow, the result is calculated per element.

Degree (True/False, optional)
True, if the input should be treaded as measured in degree, otherwise false (default).


Function: Tanh

Calculates the tangens hyperbolicus.

1 Parameter(s)

Number (Number)
A number or datarow to calculate the tangens hyperbolicus of.


Function: TBI

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: TCF

The Trend Continuation Factor (TCF) was introduced by M. H. Pee. It was created to help identify the trend, and it's direction. Positive values of either the Positive Trend Continuation Factor (TCF+) and the Negative Trend Continuation Factor (TCF-) indicate the presence of a strong trend. Positive values of TCF+ indicator a strong uptrend, while positive values of TCF- indicate a strong downtrend. TCF+ and TCF- cannot both be positive at the same time, since both an uptrend and a downtrend cannot occur simultaneously. Both can be negative. If both are negative, this signifies consolidation, or the absence of a trend. It recommended to enter long positions when the TCF+ value is positive, and enter short positions when the TCF- value is positive.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Price (Number, optional)

Possible values: 0 (Close), 1 (High), 2 (Low), 3 (HI+LO/2), 4 (HI+LO+CL/3), 5 (O+H+L+C/4), 6 (OP+CL/2)

Periods (Number, optional)


Function: TDREI

DeMark's Range Expansion Index is a market-timing oscillator. The oscillator is arithmetically calculated and is designed to overcome problems with exponentially calculated oscillators, like MACD. The TD REI oscillator typically produces values of -100 to +100 with 40 or higher indicating overbought conditions and -40 or lower indicating oversold.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: TDSeq

Recognizes the several phases of the DeMark sequence and generates the necessary signals. Countdown is cancelled if True High of Buy Setup is exceeded or True Low of Sell Setup is exceeded, or if new Setup starts. No Intersection used

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Plot countdown (Number, optional)

Possible values: 0 (no), 1 (yes)


Function: TextPrediction

Predicts a signal at a given price. The information will be shown in the chart and can be displayed in lists. Optionally a date can be entered. If not supplied, the date of the next bar will be assumed.

3 Parameter(s)

Text (Text)
Text to print

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)

Price (Number, optional)
Price


Function: TII

Trend Intensity Index (TII) is based on an article by M. H. Pee that will be available in the June 2002 issue of Stocks and Commodities Magazine. TII is used to indicate the strength of the current trend in the market. The stronger the current trend, the more likely the market will continue moving in the current direction. It is recommended to enter the market during a strong trend and ride it until TII shows signs of a reversal, at which time you should abandon your position and prepare to enter in the opposite direction.

6 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Price (Number, optional)

Possible values: 0 (Close), 1 (High), 2 (Low), 3 (HI+LO/2), 4 (HI+LO+CL/3), 5 (O+H+L+C/4), 6 (OP+CL/2)

GD (Number, optional)

Periods (Number, optional)

GD Type (Number, optional)

Possible values: 0 (Simple), 1 (Weights), 2 (Exponential)


Function: TimeStop

Generates a stop signal after a given period of time.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: Trace

Calculates the trace of a matrix. Trace is defined as the sum of the elements of the main diagonal of a square matrix and returns a number.

1 Parameter(s)

Matrix (Matrix)
A square (N x N) matrix.


Function: TradingRange

Shows the trading range as well as the mean value for a given period of time. A buy signal is generated when the quote is above the middle and vice versa.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: TrailStop

Calculates a trailing stop starting at a given datapoint and returns an assoziative array containing the info: Found, DataPoint, StopLevel, CurValue

6 Parameter(s)

Direction (Number)
Market direction in which the stop should be calculated: $Long, $Short

StartIdx (Number)
Datapoint at which the calculation starts

EndIdx (Number)
Datapoint at which the calculation ends. If zero, the end of the chart will be assumed.

StartValue (Number)
The initial value at which the calculation starts. If zero the close of the bar at StartIdx will be assumed.

Max. loss (Number)
Max. loss

Type (Number)
Type


Function: Trans

Transposes a M x N matrix into a N x M matrix. Trans exchanges the lines of a matrix against its columns and returns the transposed matrix.

1 Parameter(s)

Matrix (Matrix)
The source matrix.


Function: TransInfo

Information about transaction

2 Parameter(s)

Transaction ID (Number)
A list of all IDs is returned by the function GetTransactionIDs().

Infotype (Text)
Possible values

Amount: Number of stocks
Cost: Overall cost (Commission+Courtage)
Courtage: Courtage
Date: Date
Description: Description
Limit: Limit value
Commission: Commission
Quote: Quote
Subject: Subject
Type: Type of transaction (1=Remittance order, 2=Buy, 3=Sell, 4=Interests, 5=Dividends, 6=Other)
Valuta: Valuta date
Volume: Sum
WKNID: WKNID


Function: TriggerChannel

Creates signals when the trigger line is crossed.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

TriggerUp (Number, optional)

TriggerDown (Number, optional)


Function: TriggerLine

Creates signals when the trigger line is crossed.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Trigger (Number, optional)


Function: Trim

Cuts space-characters, tabs and other nonvisible characters from beginning and end of a string

1 Parameter(s)

Text (Any)
Text


Function: TRIX

No description available.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: TrueHigh

Returns a datarow with the true highs (either high or previous close, depending on which is higher)

0 Parameter(s)


Function: TrueLow

Returns a datarow with the true lows (either low or previous close, depending on which is smaller)

0 Parameter(s)


Function: TrueRange

Returns a datarow with the true ranges (difference of true high and true low)

0 Parameter(s)


Function: TSF

Calculates a linear regression over a given time period. The end point of this line is the new value of the indicator.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: UBound

Returns the index of the last element of the array

1 Parameter(s)

Array (Variant)
Array, for which UBound will be calculated


Function: UCase

Convert lower- to uppercase

1 Parameter(s)

Text (Text)
Text


Function: UpdateFolders

Updates the list of folders in the Explorer.

0 Parameter(s)


Function: UpdatePortfolio

Updates the explorer and the portfolio window of the given portfolio to reflect the latest changes. If no portfolio is given, all portfolios will be updated.

1 Parameter(s)

PortfolioID (Text, optional)
ID/Name of the portfolio.


Function: UpDownVis

Creates a positive bar if the parent plot rises and a negative one if it falls.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: Upload

Uploads a file via FTP to a web server.

5 Parameter(s)

Source (Any)
Path to the source file.

Destination (Text, optional)
Path to the destination on the web server.

Host (Text, optional)
Value which host to use (e.g. ftp.website.com). If the host is already stored in the internal FTP-Database the username and password do not need to be specified. Also, the (freely choosen) name for the FTP connection can be used here.

Login (Text, optional)
Login for the host.

Password (Text, optional)
Password for the host.


Function: ValueChart

Value Chart

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: Vec

Converts a matrix to a vector (a N x 1 matrix) by queuing all columns to column 1.

1 Parameter(s)

Matrix (Number)
The source matrix.


Function: VHF

No description available.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: VIDYA

The VIDYA, developed by Chande, is a moving average derived from linear regression.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Smooth (Number, optional)


Function: Vola

Calculates the volatility.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: VolOsc

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: Webpage

Returns a webpage as a continuous string.

1 Parameter(s)

URL (Text)
URL of the page (e.g.: http://www.website.com)


Function: Weekday

Returns the weekday of a unidate or if omitted the current date in the range 1 to 7, where 1 is Monday.

1 Parameter(s)

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)


Function: WeekStartIDs

Returns the bar ID of the first entry of a week for all days loaded in Intraday and EOD mode. This helps to quickly identify historical opening quotes and simplifies backtests.

0 Parameter(s)


Function: WilliamsR

No description available.

4 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)

Invert (Number, optional)


Function: WriteFile

Writes text into a file.

2 Parameter(s)

File handle (Number)
File handle which was returned by CreateFile() or the name of a file to append to.

Text (Text)
Text to write into the file. There will be an automatic line break afterwards.


Function: WVAD

No description available.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: WVol

No description available.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Periods (Number, optional)


Function: XCrossOver

Generates signals of overlapping moving averages. Buy signals are generated when the shortest MA is above the second shortest MA and so on and vice versa.

2 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.


Function: Year

Returns the year of a unidate or if omitted the current date.

1 Parameter(s)

Date (Text, optional)
Takes a date in unidate format (String, created with CreateUniDate)


Function: YearStartIDs

Returns the bar ID of the first entry of a year for all days loaded in Intraday and EOD mode. This helps to quickly identify historical opening quotes and simplifies backtests.

0 Parameter(s)


Function: ZigZag

No description available.

3 Parameter(s)

Source values (Number)
The datarow containing the source values.

Datarow (Number, optional)
For identifying datarows a continuous number is used. A value of 1 signals the first row, 2 the second and so on. Multiple datarows are returned by indicators like envelopes.

Percent (Number, optional)


Operator: Comparison operators

= (equal), <> (not equal), <= (less or equal), >= (greater or equal), < (less), > (greater)


Operator: Logical operators

AND, OR, XOR, NOT


Operator: Mathematical operators

The following operators are valid +(Plus), -(Minus), *(multiplication), /(division), ^(power)


Operator: Mod

Returns the remainder of a division.


Operator: String concatenation

& concatenates strings


Contact

The most efficient way to contact us is via E-Mail. Usually we reply in 24 hours or less.

Fischer Finance Consulting AG
Baarerstrasse 12
6300 Zug
Switzerland

E-Mail (General): | info@fibotrader.com
E-Mail (Problems/Support): | support@fibotrader.com
Website: | www.fibotrader.com


System requirements

In order to use this software you need a modern computer.

Minimum requirements

50 Mb hard disk memory
Windows 98/Me/2000/XP
64 Mb Ram
Internet Explorer 4 (SP1)
WinTV card for teletext

Recommended

2 GHz Processor
Several Gigabytes hard disk memory
512 Mb Ram
Internet connection
Internet Explorer 6
Windows 2000/XP
1280*1024 screen resolution
Optical mouse for chart manipulation

Attention: 32 Mb Ram are the minimum amount of memory supported. It is strongly recommended to supply more memory. Note that not all parts may be accessible at the same time.


Future development

It is possible to actively participate in setting the direction for future developments, by sending us recommendations for new or better functionality. Just send us an E-Mail!

Here you get an overview of planned features which are under development right now or even in the test cycle already. Many of the new features will not be stated here due to competition reasons.

  • Extended portfolio analysis
  • Pattern recognition
  • ...

The version number consists of three parts (e.g.: 1.0.23). We use the following scheme:

A change in the last digit signals bug fixes and small new features. The second digit stands for new functionality. An increase in the first digit is a big step from the prior version (but can also result out of a lot of many tiny updates after a long period of time).


Our partners

We work together with several professional partners to always offer you the best quality and service.

Professional quote data

WirtschaftDirekt


Copyrights

DAROAN does not guarantee for the correctness of the information in this help or in the software. All texts and pictures are subject to copyright of DAROAN (exception glossary: WirtschaftDirekt). They must not be copied in any way.

Finx and QuoteMan is copyrighted by DAROAN.

DAX, CDAX, MDAX, NeuerMarkt, MAX and REX are registered trademarks of the DeutschenBörseAG, Frankfurt/Main.

Phi-Ellipse, Phi-Channel and Phi-Spiral are registered trademarks of Robert Fischer. The names WinPhi, WinPhiTech and Fibotrader are copyrighted by Robert Fischer.

Windows is a registered trademark of Microsoft Corp., Redmond, WA, U.S.A.


License

END-USER LICENSE AGREEMENT FOR FISCHER FINANCE CONSULTING AG -Software

IMPORTANT:

READ CAREFULLY: This FISCHER FINANCE CONSULTING AG End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and FISCHER FINANCE CONSULTING AG Corporation for the FISCHER FINANCE CONSULTING AG software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). The SOFTWARE PRODUCT also includes any updates and supplements to the original SOFTWARE PRODUCT provided to you by FISCHER FINANCE CONSULTING AG . Any software provided along with the SOFTWARE PRODUCT that is associated with a separate end-user license agreement is licensed to you under the terms of that license agreement. By installing, copying, downloading, accessing or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT; you may, however, return it to your place of purchase for a full refund.

SOFTWARE PRODUCT LICENSE The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE.

This EULA grants you the following rights: •Systems Software. You may install and use one copy of the SOFTWARE PRODUCT on a single computer, including a workstation, terminal or other digital electronic device ("COMPUTER"). •Storage/Network Use. You may also store or install a copy of the SOFTWARE PRODUCT on a storage device, such as a network server, used only to install or run the SOFTWARE PRODUCT on your other COMPUTERS over an internal network; however, you must acquire and dedicate a license for each separate COMPUTER on or from which the SOFTWARE PRODUCT is installed, used, accessed, displayed or run. A license for the SOFTWARE PRODUCT may not be shared or used concurrently on different COMPUTERS. •License Pak. If this package is a FISCHER FINANCE CONSULTING AG License Pak, you may install and use additional copies of the computer software portion of the SOFTWARE PRODUCT up to the number of copies specified above as "Licensed Copies".

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

•Not For Resale Software. If the SOFTWARE PRODUCT is labeled "Not For Resale" or "NFR," then, notwithstanding other sections of this EULA, your use of the SOFTWARE PRODUCT is limited to use for demonstration, test, or evaluation purposes and you may not resell, or otherwise transfer for value, the SOFTWARE PRODUCT. •Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation. •Separation of Components. The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer. •Trademarks. This EULA does not grant you any rights in connection with any trademarks or service marks of FISCHER FINANCE CONSULTING AG . •Support Services. FISCHER FINANCE CONSULTING AG may provide you with support services related to the SOFTWARE PRODUCT ("Support Services"). Use of Support Services is governed by the FISCHER FINANCE CONSULTING AG polices and programs described in the user manual, in "on line" documentation and/or other FISCHER FINANCE CONSULTING AG -provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOFTWARE PRODUCT and subject to the terms and conditions of this EULA. With respect to technical information you provide to FISCHER FINANCE CONSULTING AG as part of the Support Services, FISCHER FINANCE CONSULTING AG may use such information for its business purposes, including for product support and development. FISCHER FINANCE CONSULTING AG will not utilize such technical information in a form that personally identifies you. •Software Transfer. The initial user of the SOFTWARE PRODUCT may make a one-time permanent transfer of this EULA and SOFTWARE PRODUCT only directly to an end user. This transfer must include all of the SOFTWARE PRODUCT (including all component parts, the media and printed materials, any upgrades, this EULA, and, if applicable, the Certificate of Authenticity). Such transfer may not be by way of consignment or any other indirect transfer. The transferee of such one-time transfer must agree to comply with the terms of this EULA, including the obligation not to further transfer this EULA and SOFTWARE PRODUCT. •Termination. Without prejudice to any other rights, FISCHER FINANCE CONSULTING AG may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

3. UPGRADES.

If the SOFTWARE PRODUCT is labeled as an upgrade, you must be properly licensed to use a product identified by FISCHER FINANCE CONSULTING AG as being eligible for the upgrade in order to use the SOFTWARE PRODUCT. A SOFTWARE PRODUCT labeled as an upgrade replaces and/or supplements the product that formed the basis for your eligibility for the upgrade. You may use the resulting upgraded product only in accordance with the terms of this EULA. If the SOFTWARE PRODUCT is an upgrade of a component of a package of software programs that you licensed as a single product, the SOFTWARE PRODUCT may be used and transferred only as part of that single product package and may not be separated for use on more than one computer.

4. COPYRIGHT.

All title and intellectual property rights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by FISCHER FINANCE CONSULTING AG or its suppliers. All title and intellectual property rights in and to the content which may be accessed through use of the SOFTWARE PRODUCT is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants you no rights to use such content. All rights not expressly granted are reserved by FISCHER FINANCE CONSULTING AG .

5. DUAL-MEDIA SOFTWARE.

You may receive the SOFTWARE PRODUCT in more than one medium. Regardless of the type or size of medium you receive, you may use only one medium that is appropriate for your single computer. You may not use or install the other medium on another computer. You may not loan, rent, lease, lend or otherwise transfer the other medium to another user, except as part of the permanent transfer (as provided above) of the SOFTWARE PRODUCT.

6. BACKUP COPY.

After installation of one copy of the SOFTWARE PRODUCT pursuant to this EULA, you may keep the original media on which the SOFTWARE PRODUCT was provided by FISCHER FINANCE CONSULTING AG solely for backup or archival purposes. If the original media is required to use the SOFTWARE PRODUCT on the COMPUTER, you may make one copy of the SOFTWARE PRODUCT solely for backup or archival purposes. Except as expressly provided in this EULA, you may not otherwise make copies of the SOFTWARE PRODUCT or the printed materials accompanying the SOFTWARE PRODUCT.

7. NOTE ON JAVA SUPPORT.

THE SOFTWARE PRODUCT MAY CONTAIN SUPPORT FOR PROGRAMS WRITTEN IN JAVA. JAVA TECHNOLOGY IS NOT FAULT TOLERANT AND IS NOT DESIGNED, MANUFACTURED, OR INTENDED FOR USE OR RESALE AS ON-LINE CONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF JAVA TECHNOLOGY COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE.

LIMITED WARRANTY

LIMITED WARRANTY.

FISCHER FINANCE CONSULTING AG warrants that (a) the SOFTWARE PRODUCT will perform substantially in accordance with the accompanying written materials for a period of ninety (90) days from the date of receipt, and (b) any Support Services provided by FISCHER FINANCE CONSULTING AG shall be substantially as described in applicable written materials provided to you by FISCHER FINANCE CONSULTING AG , and FISCHER FINANCE CONSULTING AG support engineers will make commercially reasonable efforts to solve any problem. To the extent allowed by applicable law, implied warranties on the SOFTWARE PRODUCT, if any, are limited to ninety (90) days. Some states/jurisdictions do not allow limitations on duration of an implied warranty, so the above limitation may not apply to you.

CUSTOMER REMEDIES.

FISCHER FINANCE CONSULTING AG 's and its suppliers' entire liability and your exclusive remedy shall be, at FISCHER FINANCE CONSULTING AG 's option, either (a) return of the price paid, if any, or (b) repair or replacement of the SOFTWARE PRODUCT that does not meet FISCHER FINANCE CONSULTING AG 's Limited Warranty and that is returned to FISCHER FINANCE CONSULTING AG with a copy of your receipt. This Limited Warranty is void if failure of the SOFTWARE PRODUCT has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE PRODUCT will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer.

NO OTHER WARRANTIES.

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, FISCHER FINANCE CONSULTING AG AND ITS SUPPLIERS DISCLAIM ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OR CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE PRODUCT, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE OTHERS, WHICH VARY FROM STATE/JURISDICTION TO STATE/JURISDICTION. LIMITATION OF LIABILITY.

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL FISCHER FINANCE CONSULTING AG OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT OR THE FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF FISCHER FINANCE CONSULTING AG HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN ANY CASE, FISCHER FINANCE CONSULTING AG 'S ENTIRE LIABILITY UNDER ANY PROVISION OF THIS EULA SHALL BE LIMITED TO THE GREATER OF THE AMOUNT ACTUALLY PAID BY YOU FOR THE SOFTWARE PRODUCT OR U.S.$5.00; PROVIDED, HOWEVER, IF YOU HAVE ENTERED INTO A FISCHER FINANCE CONSULTING AG SUPPORT SERVICES AGREEMENT, FISCHER FINANCE CONSULTING AG 'S ENTIRE LIABILITY REGARDING SUPPORT SERVICES SHALL BE GOVERNED BY THE TERMS OF THAT AGREEMENT. BECAUSE SOME STATES/JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

Fischer Finance Consulting does not guarantee for the correctness of the information in this help or in the software. All texts and pictures are subject to copyright of Fischer Finance Consulting (exception glossary: WirtschaftDirekt). They must not be copied in any way.

DAX, CDAX, MDAX, NeuerMarkt, MAX and REX are registered trademarks of the DeutschenBörse AG, Frankfurt/Main.

Windows is a registered trademark of Microsoft Corp., Redmond, WA, U.S.A.


Store parameters security dependent

Example: Storing security dependent parameters

  • Load the desired chart template within the securities chart for which the parameters shall be saved. Adjust the parameters of the included indicators optimally for this security. Through setting the checkbox 'save symbol dependent' in the indicators 'Parameters' tab sheet Fibotrader is told to save this combination within the template.

  • You can also save parameters from the tab sheet 'Appearance', e.g. for the symbol dependent box size of point & figure charts.

  • Even for backtesting sets parameters can be saved symbol dependent. Choose 'Save symbol dependent' from the Signals / Backtesting menu, this way all preferences set for this symbol, e.g. number of transactions / year, will be stored in the chart template.

  • Finally close the chart window and save all changes to the template. You can now load other symbols and set custom parameters there. Anytime you now open the first symbol again all settings for this will be automatically restored.


Assistant

Located at: Fibotrader > Explorer > Menu Help > Assistant

The assistant supports your everyday tasks and is an important tool, which should be checked for tips regularly. You activate it either through the Help menu or by using the [image] button in the lower part of the explorer, which also gives you a quick overview of current hints.

Over twenty different hints help you to get a quick overview about the current state of the program. There is an update approximately every minute.

Preferences

The preferences dialog allows you to choose the items, which are to be checked. The number in brackets shows the time in milliseconds of the last update. If you experience speed problems, it might be a good idea to uncheck items, which lasted for more than 500 milliseconds. They might cause the program to hang every now and then.


Break-/Even calculator

Located at: Fibotrader > Explorer > Menu Tools > Calculators > Break/Even

This calculator helps with the following problems when buying securities and when you know the price and the money available:

  • How much are the transaction costs?
  • How many shares to buy?
  • When do I start making profits?
  • At which quote do I reach the profit?

You can also include existing amounts and dividends in the calculation.

When selling securities you get the following information, knowing the price and the amount of shares to sell:

  • How much are the transaction costs?
  • When do I start making profits?
  • At which quote do I reach the profit wanted?
  • How much profit/loss in percent do I make at a certain price?

Buying quote

Enter the quote at which you bought including the transaction cost.


Draw tool limitations

There are some restrictions you should consider while drawing:

  • Regression lines can only be drawn on quotes, not on indicators
  • Signals are calculated for linear charts and might not be correct for logarithmic charts in all cases


... add indicators

If you right click on an entry in the object tree in the chart window, a menu with the entry Add indicator pops up. In the following dialog, select the indicator and press Ok. In order to change the parameters of the indicator, select it in the object tree and go to the Parameters section below.


... buy/sell securities

There are different possibilities to buy securities. To buy and sell securities you need a portfolio. If you haven't created a portfolio yet, proceed with creating a portfolio.

  • Right click on your portfolio in the Fibotrader Explorer
  • Select Portfolio manager
  • Click on Transaction, then New, and select Buy/sell stock
  • Select the security and enter the amount you want to buy/sell
  • Acknowledge with OK

Another way to buy a security is to select and drag & drop it into your portfolio. Or just right click on the security and select Buy.


... change the chart type

Click on a security in the object tree and select Appearance in the dialog box below. A full list of all available chart types is being displayed in the Type box. Select the chart type and press the OK button next to it to apply the changes.


... use the clipboard?

  • Right click the name of the stock => click Copy to clipboard
  • Right click the name of the folder => choose Insert from clipboard
  • Alternatively select the symbol, press F11 (copy to clipboard), select the folder in which the stock shall be copied and press F12 (insert from clipboard)


... create a portfolio

  • Right click on Portfolio manager in the Fibotrader Explorer
  • Select New owner
  • Insert your personal information. Only the bold labeled boxes are mandatory
  • Acknowledge with Ok and continue with your bank data by answering the following question with Yes
  • Click Ok again and create your portfolio

If you want to establish more than one owner, bank or portfolio, then right click on the folder which is one level up respectively and select New owner, new account and new portfolio


... update quotes

The easiest way to update quotes, is to click on the little yellow button in the bottom left corner of the Fibotrader Explorer. If you get your quotes from the internet, make sure that you are connected to the internet before trying to update.

A yellow button indicates that your quotes are out of date, a green one that the quotes have been updated today.


... create a new folder and add symbols?

  • Right click Stock folders => Choose new folder
  • Left click and enter the name of the new folder
  • Drag and drop the symbols from different folders or search results to the new folder (click with the left mouse button)


... hide/show indicator signals?

  • Indicator signals can be generated by left clicking on the name of the indicator in the object tree
  • Under Signals are the different signals to show and hide (Sell/Buy/Cover...)


... create signals between drawings and indicators

  • Select the Indicator in the object tree, which is supposed to create the intersection
  • Make sure that the option Put drawings always under main graph in the chart preferences is unchecked
  • Draw the line
  • The line should now be put below the indicator in the object tree
  • Click on the line and activate the signals of your choice in the signals pane of the line


... optimize a signal system

... optimize a chart template

  • First of all, create a new template in the chart window with the indicators and settings of your choice
  • Select Optimize... from the Signals menu
  • The settings for the optimization can be adjusted in the Parameters tab
  • Click Start Optimization, to begin with the optimization for the current value in the chart


... update a smaller number of stocks from the internet than the preset setting

... update different stocks from the internet than by default

In QuoteMan (open QuoteMan in the Fibotrader Explorer with: Program, Linked programs, QuoteMan), select Preferences in the Data sources menu. Open the Internet download dialog box. Select or unselect the available indices in the list.

Only choose the indices in your region of interest. The next time quotes will be updated, the unselected indices will be ignored.


Owner preferences

Located at: Fibotrader > Explorer > Portfolio Manager > right-click Owner

The owner preferences dialog allows to enter all data concerning the person managing the account.

Tax allowance

This figure is important for tax calculations. Attention: This feature will be used in future versions.

Professional outlay

The professional outlay can be accounted for when calculating the tax. In Germany it is 100,- Euro.


Account preferences

Located at: Fibotrader > Explorer > Portfolio Manager > right-click Account

The account preferences contain all information about a specific bank account. The name is mandatory. The other information is for your private use only.


Quick links

Located at: Fibotrader > Explorer > Menu Window > Quicklinks

Programs and web pages can be opened quickly through the Window/Quicklinks menu.

Quick link management

The quick link management allows to add, remove and change entries of the quick link menu.


WinPhiTech

Through our cooperation with Robert Fischer (www.fibotrader.com) WinPhiTech has been extended. These extensions can be found in the new product WinPhiTech. It is the successor of the WinPhi software and concentrates on Fibonacci analysis. It offers additional tools like the Phi-Ellipse, the Phi-Spiral and the Phi-Channels. In addition there are new indicators and predefined Fibonacci strategies.

The concepts for both programs are the same. Just some modules which are in public beta like the Neuronal Networks are not included. Professional traders can use additional data vendors like eSignal. Also, you gain access to the weekly market letter of Robert Fischer on his web page. In the near future a lot of additional functionality will follow, only available in WinPhiTech!


Vergleichschartswerden nicht automatisch im Fenster eingepasst

1.
Vergleichscharts können derzeit noch nicht automatisch im Fenster ausgerichtet werden. Dies betrifft vor allem kürzere Betrachtungsperioden. In einer kommenden Version wird dies möglich sein.


Overlay charts do not seem to be correct

If you have activated the option Interpolate missing chart data in the chart settings there can be errors displaying overlay charts since there can be datapoints missing in between.


Das Programm reagiert nicht mehr und es wird "Komponentenanforderung

Das Programm reagiert nicht mehr und es wird "Komponentenanforderung wird bearbeitet..." angezeigt

1.
Wenn Sie als Datenquelle TaiPan RT gewählt haben, zeigt dieser einen Loginbildschirm an, wenn Sie eine Aktie wählen. Wenn Sie hier Abbrechen wählen, dauert es ein paar Sekunden, bis diese Nachricht verarbeitet wurde und fortgefahren werden kann.

2.
Wenn Sie ein AutoUpdate starten, werden die Informationen online eingelesen. Während dieser ersten Aktion reagiert das Programm nicht und diese Meldung erscheint. Nach einigen Sekunden ist der Einlesevorgang beendet.


Es kann keine Verbindung zum Internet hergestellt werden

Öffnen Sie in Fibotrader das Menü Programme/Einstellungen/Allgemein. Dort gibt es eine Kategorie Internet. Deaktivieren Sie hier die automatische Interneterkennung. Sollte dies nicht geholfen haben, prüfen Sie, ob ein Proxyserver angegeben werden muss. Auch dies kann unter Internet erledigt werden.


QuoteMan reagiert nicht mehr

1.
Wenn Sie keine Standverbindung zum Internet haben, kann es mitunter einige Sekunden dauern, bis QuoteMan merkt, dass keine Verbindung vorhanden ist. Sie sollten in solchen Fällen unbedingt die automatische Verbindungserkennung in den Einstellungen aktivieren.

2.
Wenn Sie eine Kursaktualisierung über das Menü starten und das Menü noch geöffnet ist, kann es passieren, dass QuoteMan erst wieder reagiert, wenn die Aktualisierung beendet ist.


Es kann keine Verbindung zu TaiPan hergestellt werden

Es kann sein, dass die Registrierung von TaiPan nicht korrekt durchgeführt wurde. Mit folgenden Befehlen wird die interne Windowsdatenbank aktualisiert:

  • Wechseln Sie auf die DOS-Kommandozeile (innerhalb Windows)
  • Gehen Sie in das TaiPan Verzeichnis (etwa C:\Programme\Tai-Pan Windows 6.2)
  • Geben Sie ein (ohne Hochkommas): "REGSVR32 -u tpaccess.dll"
  • Es erscheint eine Bestätigungsmeldung
  • Geben Sie danach ein (ohne Hochkommas): "REGSVR32 tpaccess.dll"
  • Es erscheint eine Bestätigungsmeldung


TaiPan RT zeigt die Meldung "Server ausgelastet"

Wenn sehr viele Kursupdates kommen oder die Prozessorauslastung sehr hoch ist, erscheint diese Meldung manchmal.

Sie können sie unbeachtet lassen aber sollten trotzdem versuchen, die Prozessorauslastung zu verringern, indem Sie beispielsweise die Maus weniger über den Chart bewegen.


Es kann keine Verbindung zu TaiPan RT hergestellt werden

Starten Sie TaiPan RT einmal mit der Option /RegServer. Dadurch wird die interne Windowsdatenbank aktualisiert:

TaiPanRT.exe /RegServer

Es erscheint eine kurze Bestätigungsmeldung (Schreibweise von RegServer beachten)!


Es werden keine Daten per Videotext eingelesen

1.
Prüfen Sie, ob der Bereich, den Sie einlesen wollen, dem aktuellen Videotextset zugeordnet ist. Dies sehen Sie in QuoteMan unter Daten/Videotextmanager/Set Manager.

2.
Prüfen Sie, ob das Videotextset, welches Sie einlesen wollen, auch aktiviert ist. Dies sehen Sie in QuoteMan unter Kursquellen/Einstellungen/Videotext.

3.
Prüfen Sie, ob die Wertpapiere, deren Kurse nicht eingelesen werden, korrekt in der Aliasliste einer WKN zugeordnet sind. Diese finden Sie in QuoteMan unter Daten/Videotextmanager/Aliasliste. Wertpapiere mit leerer zweiter Spalte werden übergangen!

4.
Beobachten Sie während des Videotextimports VTPlus, ob dieses korrekt auf alle benötigten Seiten wechselt. Wenn das nicht der Fall ist, ist wahrscheinlich der benötigte Videotextbereich nicht ausgewählt.

5.
Achten Sie darauf, nur Sender zu verwenden, welche wenige Störungen im Videotext aufweisen.

Videotext Import


Function Reference

Sort by category

$BoxSize
$Buy
$CloseBar
$ColAutoDecline
$ColAutoNegative
$ColBorder
$ColMain
$ColNAME
$ColNegative
$ColPositive
$Cover
$DataResolution
$Date
$e
$Friday
$HighBar
$LastBar
$LastQuote
$LastQuoteDate
$LastSignal
$Long
$LowBar
$MaxBar
$Monday
$MSGTYPE
$NewLine
$OpenBar
$OriginalStartBar
$pi
$Portfolio
$PreviousClose
$PreviousHigh
$PreviousLow
$PreviousOpen
$PreviousVolume
$QUOTETYPE
$Reversal
$RootDir
$Saturday
$Sell
$Short
$SIGNAL
$SignalNumber
$SignalType
$StartBar
$Sunday
$Tab
$Thursday
$TimeBias
$TransCost
$Tuesday
$VolumeBar
$Wednesday
$WKNID
Abs
ACD
AddCumulative | Cum
AddToFolder
ADX
AllowDivisionByZero
Aroon
Array
ArrayAppend
ArrayDelete
ArrayDeleteDuplicates
ArrayInsert
ArrayKeys
Asc
ATR
AutoRecalculate
Avg
AvgTrend
Bar
BarDate
BarType
BlackScholes
BlockCanceled
BoxCount
BuyCondition
BuyPrediction
C2D
CacheData
CCI
CCIFP
ChangeSign
CHO
ChooseDate
ChooseDir
ChooseFile
ChooseStock
ChooseTimeRange
Chr
CHV
Clear
ClearHistoricalDate
CloseChartWindow
CloseListWindow
CMO
ColorBrightness
ColorPool
ColumnCount
Comparison operators
ConnectTest
CopyFile
Cos
CoverCondition
CoverPrediction
CPI
CreateChart
CreateEquityChart
CreateFile
CreateFolder
CreateFolderList
CreatePortfolioChart
CreatePortfolioList
CrossesDown
CrossesUp
DateAdd
DateDiff
DateSnapToWorkday
DateToBarID
DateToLong
Day
DayStartIDs
Delay
DeleteColumn
DeleteFolder
DeleteRow
DeleteScript
DeleteTransactions
DepotVis
Deserialize
Det
DirList
DMI
DrawAvgLine
DrawCircle
DrawDiamond
DrawLine
DrawRectangle
DrawText
DrawTextAbove
DrawTriangle
DSSBlau
DSSBr
EnableProfiler
EnterLong
EnterShort
Envelopes
ERay
Eval
ExecuteFilter
ExitLong
ExitShort
ExportChartImage
ExportFilterHTML
ExportFolderHTML
ExportListImage
ExportPortfolioHTML
ExtractMatrix
False
FBar
File
FileExists
Filter
Filter_Add
Filter_AddDate
Filter_AddList
Filter_AddSymbol
Filter_AddText
Filter_AddTextBox
FindPeak
FindPeaksAndValleys
FindValley
FixedStop
ForceIdx
FormatDate
FormatNumber
FPlotCount
FPlotSort
GapMarker
GD | MA
GetChartAge
GetChartType
GetDataSourceInfo
GetFolder
GetFolderList
GetFPlotParam
GetKeyFromPlotID
GetLanguage
GetNews
GetPlotParam
GetPortfolioIDs
GetPortfolioPositions
GetProfile
GetSignalProfits
GetSignals
GetTransactionIDs
GetUniDate
HAD
HasBuySignal
HasSellSignal
HasSignal
HideFilterMon
HideScriptMon
Histogram
Hour
Identity
IIf
IKH
IKHC
IKHK
IKHS
IKHT
InBuySignal
Include
Indicator_Add
Indicator_AddParam
Indicator_AutoCreate
Indicator_Signal
Indicator_Value
InputBox
InSellSignal
InsertColumn
InsertIntradayQuote
InsertNews
InsertQuote
InsertQuoteCache
InsertQuoteCacheActivate
InsertRow
InsertSymbolInfo
InSignal
InStr
Int
Inv
InvMP
IsBlackCandle
IsInsideDay
IsOutsideDay
IsWhiteCandle
Join
KAMA
Keltner
KRI
Kron
KST
kvgd
Lag
LastBar
LCase
Left
Len
LMK
LoadData
LoadMatrix
Log
Logical operators
MACD
MACDHist
Mathematical operators
MatrixColumn
MatrixDiagonal
MatrixRow
MatrixToScript
Max
MaxIdx
MaxValue
Mid
Midas
Midos
Min
MinIdx
Minute
MinValue
MJR
MMA
MMAJS
Mod
MOM
MoneyFlow
Month
MonthStartIDs
MPSAR
MsgBox
NormDistr
NormDistrInv
NotisV
NTD
NVI
OBV
OpenBrowser
PFAddBox
PFE
PivotCh
PlayMidi
PlaySound
Plot
POB
PortfolioCount
PortfolioInfo
PositionInfo
PowerFilter
Print
ProgInfo
PSAR
PSL
PVI
PVT
QBar
Quote
Quotes
RandomEnd
RandomGraph
RandomSignals
RangeSignal
RAVI
RegOK
RemittanceOrder
RemoveFromFolder
RemoveFromFolderIfOlder
Replace
Return
ReturnNumber
RGB
Right
RMI
Rnd
ROC
Round
RowCount
RSI
RSI-Classic
RSI3M3
RSIW
RSL
RunProgram
RVI
Second
SellCondition
SellPrediction
SendMail
Serialize
SetBigUpdate
SetBounds
SetColor
SetDez
SetHistoricalDate
SetPoint
SetProgress
SetProgressMax
SetSignal
SetSignals
SetSignalsOnCrossOver
SetThickness
Sgn
ShowFilterMon
ShowScriptMon
Sin
Sort
Split
Sqrt
SROC
StartBar
StdDev
StdDev
STOCH
String concatenation
Sum
SymbolCount
SymbolInfo
Synchronize
System_Signal
T3
Tan
Tanh
TBI
TCF
TDREI
TDSeq
TextPrediction
TII
TimeStop
Trace
TradingRange
TrailStop
Trans
TransInfo
TriggerChannel
TriggerLine
Trim
TRIX
True
TrueHigh
TrueLow
TrueRange
TSF
UBound
UCase
UpdateFolders
UpdatePortfolio
UpDownVis
Upload
ValueChart
Vec
VHF
VIDYA
Vola
VolOsc
Webpage
Weekday
WeekStartIDs
WilliamsR
WriteFile
WVAD
WVol
XCrossOver
Year
YearStartIDs
ZigZag